<div class="n7-top-bar flex items-center bg-white py-0 xl:py-2 px-4 border-b n7-border-gray-01 xl-min-w-480-min-h:fixed xl-min-w-480-min-h:z-30 xl-min-w-480-min-h:top-[--header-top-position] xl-min-w-480-min-h:right-0 xl-min-w-480-min-h:left-0 is-scrolled-up xl-min-w-480-min-h:transition-all">
    <div class="n7-top-bar__container n7-container flex items-center xl:flex-1">
        <a class="n7-top-bar__logo xl:mr-2 transition-all items-center xl:gap-10 hidden" href="/">
            <span class="sr-only">Homepage Giovanisì</span>
            <div class="n7-site-logo site-logo flex flex-1 w-auto h-auto md:max-w-[123px]" href="/">
                <picture class="w-full h-full">
                    <source srcset="<?php echo e(asset('images/loghi-mobile/logo-giovanisi.png')); ?>, <?php echo e(asset('images/loghi-mobile/logo-giovanisi@2x.png')); ?> 2x" media="(max-width: 767px)" />
                    <source srcset="<?php echo e(asset('images/loghi-desktop/logo-giovanisi-desktop.png')); ?>, <?php echo e(asset('images/loghi-desktop/logo-giovanisi-desktop@2x.png')); ?> 2x" media="(min-width: 768px)" />
                    <img class="w-full h-full object-contain object-left-top" src="<?php echo e(asset('images/loghi-mobile/logo-giovanisi.png')); ?>" alt="" width="247" height="67">
                </picture>
            </div>
        </a>
        <!-- PRIMARY NAVIGATION TEMPLATE -->
        <nav class="n7-primary-navigation flex xl:justify-end ml-auto xl:ml-0 is-top-nav-positioned" aria-label="Principale" id="siteNavWrapper">
            <button type="button" class="n7-btn n7-btn--only-text text-black active:text-black hover:text-black focus:text-black rounded-0 xl:hidden ml-auto n7-btn--icon group" aria-expanded="false" aria-controls="mainNavPanel" id="mobileNavToggle">
                <svg class="inline-block align-middle fill-curren w-6 h-6 m-0 p-0 transition-all duration-200 ease-out transform group-hover:translate-none is-show-menu group-aria-expanded:hidden" aria-hidden="true" focusable="false" role="img">
                    <use xlink:href="<?php echo e(asset('images/icons.svg')); ?>#hamburger" />
                </svg>

                <svg class="align-middle fill-current w-6 h-6 m-0 p-0 transition-all duration-200 ease-out transform group-hover:translate-none is-close-menu hidden group-aria-expanded:inline-block" aria-hidden="true" focusable="false" role="img">
                    <use xlink:href="<?php echo e(asset('images/icons.svg')); ?>#close" />
                </svg>

                <span class="sr-only is-show-menu group-aria-expanded:hidden">
                    Menu
                </span>
                <span class="sr-only is-close-menu hidden group-aria-expanded:block">
                    Chiudi menu
                </span>
            </button>
            <!-- Mobile panel -->
            <div class="n7-primary-navigation__panel flex-col px-4 xl:px-0 transition-all invisible w-[88%] max-w-[480px] xl:w-auto xl:max-w-none fixed xl:static xl:visible top-[--header-height] bottom-0 xl:left-0 border-l n7-border-primary xl:border-l-0 overflow-y-auto xl:overflow-y-visible" id="mainNavPanel">
                <!-- Main nav -->
                <div class="n7-primary-navigation__module is-main xl:border-b-0">
                    <?php echo wp_nav_menu([
                            'theme_location' => 'top_header',
                            'menu_class' => 'n7-primary-navigation__list xl:flex xl:justify-end gap-4 xl:gap-4 min-w-1536:gap-8 has-dropdown-menu',
                            'walker' => new DropdownMenuWalker()
                        ]); ?>

                </div>

                <!-- SEARCH MOBILE -->
                <div class="n7-primary-navigation__module is-main xl:hidden is-last-element">


                    <form role="search" method="get" id="searchform" class="searchform flex items-end p-3" action="<?php echo e(home_url( '/' )); ?>" >
                        <div class="n7-input-field grid gap-3 flex-1">
                            <label for="inputSearchMobile" class="block text-sm font-medium n7-content-01">Cerca</label>
                            <div class="n7-input flex items-center relative">
                                <input type="search" class="w-full n7-border-gray-02 text-sm n7-input-placeholder py-3 px-4 border n7-border-gray-01 absolute pr-8" value="<?php echo e(get_search_query()); ?>" name="s" id="inputSearchMobile" />
                                <div class="w-10 h-10 ml-auto relative group">
                                    <span class="sr-only" id="submitBtnLabel">Cerca</span>
                                    <input aria-labelledby="submitBtnLabel" class="n7-btn n7-btn--only-text n7-btn--icon border-0 n7-border-gray-02 bg-transparent w-full h-full cursor-pointer relative z-[2] search-submit hover:bg-transparent" type="submit" id="inputSearchMobile" value="<?php echo e(esc_attr_x( '', 'submit button' )); ?>" />
                                    <svg class="inline-block align-middle fill-current w-5 absolute items-center h-full right-2.5 z-[1] group-hover:text-primary" aria-hidden="true" focusable="false" role="img">
                                        <use xlink:href="<?php echo e(asset('images/icons.svg')); ?>#mini--magnifying-glass"></use>
                                    </svg>
                                </div>
                            </div>
                        </div>
                    </form>

                </div>

            </div>
             <!-- Mobile backdrop -->
            <div class="n7-primary-navigation__backdrop bg-black/25 top-[--header-height] xl:hidden"></div>
        </nav>

        <!-- Top bar utilities container -->
        <div class="n7-top-bar__utilities-area flex ml-auto">
            <?php echo $__env->make('partials.modules.topbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            
            <!-- DIVIDER -->
            <span class="self-center w-[1px] h-4 bg-neutral-800 mx-2 hidden xl:flex"></span>

            <!-- Search component -->
            <?php echo $__env->make('partials.modules.modal-search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
    </div>
</div><?php /**PATH /var/www/html/giovanisi2024/web/app/themes/giovanisi2024/resources/views/partials/header/top-header.blade.php ENDPATH**/ ?>