

<?php
$pretitolo = get_field('pretitolo_blocco_immagine_testo') ? get_field('pretitolo_blocco_immagine_testo') : '';
$titolo = get_field('titolo_blocco_immagine_testo') ? get_field('titolo_blocco_immagine_testo') : '';
$link = get_field('campo_link_blocco_immagine_testo');
$immagine = get_field('immagine_blocco_immagine_testo');
$allineamento = get_field('allineamento_blocco_immagine_testo') ? get_field('allineamento_blocco_immagine_testo') : 'sinistra';
$background_mob = get_field('background_mobile_blocco_immagine_testo');
$background_tab = get_field('background_tablet_blocco_immagine_testo');
$background_desk = get_field('background_desktop_blocco_immagine_testo');
$larghezza_img = get_field('larghezza_immagine_blocco_immagine_testo');
$larghezza_img_custom = get_field('larghezza_in_pixel_blocco_immagine_testo');
if(isset($larghezza_img) && !empty($larghezza_img)){
    $largh = $larghezza_img;
} else {
    $largh = '';
}
?>

<div data-<?php echo e($block['id']); ?> class="<?php echo e($block['classes']); ?> img-text-block-gutenberg">
    <section class="n7-banner py-20 <?php if(isset($background_desk) && !empty($background_desk)): ?> relative before:content-[''] before:absolute before:top-0 before:right-0 before:bottom-0 before:left-0 before:bg-darker-teal before:z-[1] before:opacity-80 <?php else: ?> bg-white <?php endif; ?>">
  
        <?php if(isset($background_desk) && !empty($background_desk)): ?>
            <picture class="w-full h-full absolute top-0 right-0 bottom-0 left-0">
                <?php if(isset($background_mob) && !empty($background_mob)): ?>
                    <source srcset="<?php echo e($background_mob['url']); ?>" media="(max-width: 767px)">
                <?php endif; ?>
                <?php if(isset($background_tab) && !empty($background_tab)): ?>
                    <source srcset="<?php echo e($background_tab['url']); ?>" media="(min-width: 768px) and (max-width: 1023px)">
                <?php endif; ?>
                <img class="object-cover object-center w-full h-full" src="<?php echo e($background_desk['url']); ?>" alt="" />
            </picture>
        <?php endif; ?>

        <div class="n7-container grid md:flex md:items-center md:justify-between gap-8 md:gap-9 lg:gap-20 <?php if(isset($background_desk) && !empty($background_desk)): ?> z-10 relative <?php endif; ?>">
            <?php if($allineamento=='sinistra'): ?>
                <?php if(isset($immagine['url'])): ?>
                                                        
                    <div class="<?php if(!empty($largh)): ?> md:<?php echo e($largh); ?> <?php else: ?> md:w-1/2 <?php endif; ?> mt-4 md:mt-0 flex align-center justify-center">
                        <picture class="w-full h-full" <?php if(isset($larghezza_img_custom) && !empty($larghezza_img_custom) && $largh == 'custom'): ?> style="max-width: <?php echo e($larghezza_img_custom); ?>px;" <?php endif; ?>>
                            
                            <source srcset="<?php echo wp_get_attachment_image_url($immagine['ID'], 'large'); ?>" media="(max-width: 567px)">
                            <source srcset="<?php echo wp_get_attachment_image_url($immagine['ID'], 'large'); ?>" media="(max-width: 767px)">
                            <source srcset="<?php echo wp_get_attachment_image_url($immagine['ID'], 'full'); ?>" media="(min-width: 768px) and (max-width: 1023px)">
                            <img src="<?php echo e($immagine['url']); ?>" alt="<?php echo e($immagine['alt']); ?>" class="w-full h-full object-contain object-left-top">
                        </picture>
                    </div>
                <?php endif; ?>
            <?php endif; ?>

            <div class="flex-1 grid gap-8 md:gap-9 lg:gap-10 order-last md:order-none <?php if(isset($background_desk) && !empty($background_desk)): ?> text-white <?php endif; ?>">
                
                <div class="flex flex-col-reverse gap-5 md:gap-6 md:max-w-[500px] lg:max-w-[900px]">
                    <?php if(!empty($titolo)): ?>
                        <h2 class="n7-heading-2" id="bannerTitle<?php echo e($block['id']); ?>">
                            <?php echo $titolo; ?>

                        </h2>
                    <?php endif; ?>
                    <?php if(!empty($pretitolo)): ?>
                        <small class="text-sm md:text-base lg:text-lg">
                            <?php echo $pretitolo; ?>

                        </small>
                    <?php endif; ?>
                </div>
    
                <?php if(isset($link['url']) && !empty($link['title'])): ?>
                    <div class="flex md:block">
                        <a href="<?php echo e($link['url']); ?>" class="flex-1 n7-btn <?php if(isset($background_desk) && !empty($background_desk)): ?> bg-white border-transparent hover:n7-button-primary-hover focus:n7-button-primary-hover active:n7-button-primary-active text-black hover:text-white focus:text-white active:text-white <?php else: ?> n7-btn--outline <?php endif; ?>" id="bannerCta<?php echo e($block['id']); ?>" aria-labelledby="bannerCta<?php echo e($block['id']); ?> bannerTitle<?php echo e($block['id']); ?>">
                            <?php echo $link['title']; ?>

                        </a>
                    </div>
                <?php endif; ?>
    
            </div>
            <?php if($allineamento=='destra'): ?>
                <?php if(isset($immagine['url'])): ?>
                    <div class="<?php if(!empty($largh)): ?> md:<?php echo e($largh); ?> <?php endif; ?> mt-4 md:mt-0 flex align-center justify-center order-first md:order-none">
                        <picture class="w-full h-full" <?php if(isset($larghezza_img_custom) && !empty($larghezza_img_custom) && $largh == 'custom'): ?> style="max-width: <?php echo e($larghezza_img_custom); ?>px;" <?php endif; ?>>
                            
                            <source srcset="<?php echo wp_get_attachment_image_url($immagine['ID'], 'large'); ?>" media="(max-width: 567px)">
                            <source srcset="<?php echo wp_get_attachment_image_url($immagine['ID'], 'large'); ?>" media="(max-width: 767px)">
                            <source srcset="<?php echo wp_get_attachment_image_url($immagine['ID'], 'full'); ?>" media="(min-width: 768px) and (max-width: 1023px)">
                            <img src="<?php echo e($immagine['url']); ?>" alt="<?php echo e($immagine['alt']); ?>" class="w-full h-full object-contain object-left-top">
                        </picture>
                    </div>
                <?php endif; ?>
            <?php endif; ?>
        </div>
    </section>  
</div>

<?php unset($pretitolo, $titolo, $link, $immagine, $allineamento, $larghezza_img, $larghezza_img_custom, $background_mob, $background_tab, $background_desk, $largh); ?>
<?php /**PATH /var/www/html/giovanisi2024/web/app/themes/giovanisi2024/resources/views/blocks/simple-block-img-text.blade.php ENDPATH**/ ?>