

<?php
$titolo = get_field('titolo_ngf_programma');
setlocale(LC_TIME, 'it_IT', 'Italian_Italy.1252');  // Imposta la localizzazione italiana
$giornoevento = get_field('data_ngf_programma');
$dataOggetto = DateTime::createFromFormat('d/m/Y', $giornoevento);
if ($dataOggetto !== false) {
    $giorno = $dataOggetto->format('d');
    $mese = strftime('%B', $dataOggetto->getTimestamp());  // '%B' per il nome completo del mese in locale
    $anno = $dataOggetto->format('Y');
    $dataISO = $dataOggetto->format('Y-m-d');  // Formato ISO per l'attributo datetime
} else {
    $giorno = '';
    $mese = '';
    $anno = '';
    $dataISO = '';
}

$luogo = get_field('luogo_ngf_programma');
$testo = get_field('testo_ngf_programma');
$tab_orari = get_field('tab_orario_ngf_programma');
$section_id = get_field('section_id');
// dd($tab_orari);
?>

<section data-<?php echo e($block['id']); ?> id="<?php if(isset($section_id) && !empty($section_id)): ?><?php echo e($section_id); ?><?php else: ?><?php echo e('sectionProgramma'); ?><?php endif; ?>" class="py-16 lg:py-20 relative scroll-m-24">

    <div class="hidden lg:block absolute top-0 right-0 bottom-0 left-0 bg-auto z-[1] bg-no-repeat bg-[left_5%_top_5%]" style="background-image: url('/app/themes/giovanisi2024/resources/images/stars-illustration.svg);"></div>
    <div class="hidden lg:block absolute top-0 right-0 bottom-0 left-0 bg-auto z-[1] bg-no-repeat bg-[right_bottom_5%]" style="background-image: url('/app/themes/giovanisi2024/resources/images/plant-illustration.svg');"></div>
    
    <div class="n7-container-xs grid gap-12 md:gap-16 lg:px-[5%] relative z-[2] lg:bg-white/80">
      
        <div class="grid gap-6 md:gap-12">

			<?php if(isset($titolo) && !empty($titolo)): ?>
				<h2 class="n7-heading-2"><?php echo e($titolo); ?></h2>
			<?php endif; ?>

          	<div class="n7-card n7-card--event p-0 pb-4 bg-white grid gap-6 md:gap-12 md:grid-cols-1-2 justify-start border-b n7-border-gray-02">
				<div class="n7-card__date grid gap-1">
					<?php if(isset($giornoevento) && !empty($giornoevento)): ?>
						<h3 class="sr-only">Data e luogo:</h3>
						<time class="text-brand flex items-baseline gap-1e" datetime="<?php echo e($dataISO); ?>">
						<span class="block font-serif n7-heading-2 leading-none"><?php echo e($giorno); ?></span>
						<span class="font-bold text-xl md:text-2xl"><?php echo e($mese); ?> <?php echo e($anno); ?></span>
						</time>
					<?php endif; ?>
					<?php if(isset($luogo) && !empty($luogo)): ?>
						<p class="text-lg md:text-xl text-black"><?php echo $luogo; ?></p>
					<?php endif; ?>
				</div>

				<div class="grid gap-4">
					<?php if(isset($testo) && !empty($testo)): ?>
						<div class="n7-card__heading grid gap-4 md:py-4">
							<h3 class="sr-only">Info aggiuntive</h3>
							<div class="text-sm md:text-base text-black font-bold">
								<?php echo $testo; ?>

							</div>
						</div>
					<?php endif; ?>
				</div>
          	</div>

          	<?php if(isset($tab_orari) && $tab_orari): ?>
				<!-- TABBED interface BASE -->
				<div class="n7-tabbed-interface grid gap-4">
                  
					<?php if(isset($tab_orari[0]['orario_ngf_programma']) && !empty($tab_orari[0]['orario_ngf_programma'])): ?>
						<ul class="n7-tabbed-interface__tabs grid md:flex">

							<?php $count = 0; ?>
							<?php $__currentLoopData = $tab_orari; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tab): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
								<?php $count++; ?>
								<?php if(!empty($tab['orario_ngf_programma']) && isset($tab['orario_ngf_programma'])): ?>
								
								<li class="n7-tabbed-interface__tab-item md:flex-1">
									<a class="n7-tab flex md:justify-center p-4 group border-b-4 border-transparent font-bold text-xl n7-content-02 aria-selected:text-black" href="#section<?php echo e($count); ?>">
									<span class="sr-only">Orario: </span>
									<span><?php echo e($tab['orario_ngf_programma']); ?></span>
									<svg class="inline-block align-middle fill-current w-6 h-6 ml-auto transition-all md:hidden" aria-hidden="true" focusable="false" role="img">
										<use xlink:href="<?php echo e(asset('images/icons.svg')); ?>#mini--chevron-down"></use>
									</svg>
									</a>
								</li>
								<?php endif; ?>
							<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

						</ul>
					<?php endif; ?>

					<?php if(isset($tab_orari[0]['orario_ngf_programma']) && !empty($tab_orari[0]['orario_ngf_programma'])): ?>
						<div class="py-4">
							<?php $count = 0; ?>
							<?php $__currentLoopData = $tab_orari; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tab): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
								<?php $count++; ?>
								<?php if(!empty($tab['talk_ngf_programma'])): ?>
									<?php if(isset($tab['talk_ngf_programma'][0]['speaker_ngf_programma']) && !empty($tab['talk_ngf_programma'][0]['speaker_ngf_programma'])): ?>
										<section class="n7-tabbed-interface__panel" id="section<?php echo e($count); ?>">
											<dl class="border-t border-dashed n7-border-gray-04 md:border-t-0">
												<?php $__currentLoopData = $tab['talk_ngf_programma']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $talk): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
													<div class="p-4 md:px-0 border-b border-dashed n7-border-gray-04 grid md:grid-cols-2-1 gap-2">
														<?php if(!empty($talk['speaker_ngf_programma']) && isset($talk['speaker_ngf_programma'])): ?>
															<dt class="grid gap-1 ">
																<span class="font-bold"><?php echo e($talk['speaker_ngf_programma']); ?></span>
																
															<?php if(!empty($talk['campo_testuale_ngf_programma']) && isset($talk['campo_testuale_ngf_programma'])): ?>
																<span class="n7-content-01"><?php echo e($talk['campo_testuale_ngf_programma']); ?></span>
															<?php endif; ?>
														
															</dt>
														<?php endif; ?>

														<dd class="n7-content-01 flex gap-2 align-baseline">
															<?php if(!empty($talk['icona_ngf_programma']) && isset($talk['icona_ngf_programma'])): ?>
																<svg class="hidden md:inline-block align-middle fill-current w-6 h-6" aria-hidden="true" focusable="false" role="img">
																	<use xlink:href="<?php echo e(asset('images/icons.svg')); ?>#<?php echo e($talk['icona_ngf_programma']); ?>"></use>
																</svg>
															<?php endif; ?>	
															<?php if(!empty($talk['argomento_ngf_programma']) && isset($talk['argomento_ngf_programma'])): ?>
																<?php echo e($talk['argomento_ngf_programma']); ?>

															<?php endif; ?>	
														</dd>
													</div>
												<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
											</dl>
										</section>
									<?php endif; ?>
								<?php endif; ?>
							<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  		</div>
					<?php endif; ?>
            	</div>
          	<?php endif; ?>
        </div>
    </div>
</section>
<?php unset($titolo, $giornoevento, $dataOggetto, $giorno, $mese, $anno, $dataISO, $luogo, $testo, $tab_orari, $count, $section_id); ?><?php /**PATH /var/www/html/giovanisi2024/web/app/themes/giovanisi2024/resources/views/blocks/ngf-programma.blade.php ENDPATH**/ ?>