<?php
$testo_giovanisi = get_field('motto_giovanisi', 'options-general');
?>

<div class="n7-footer__navigation-row py-8 lg:py-10">
    <div class="n7-container grid gap-16">
        <div class="grid lg:flex lg:flex-wrap justify-start lg:justify-between lg:items-center justify-items-center lg:justify-items-start gap-12">
            <!-- LOGO REGIONE + GIOVANISI -->
            <div class="grid lg:flex justify-start justify-items-start gap-6 md:gap-8 lg:gap-10 lg:justify-items-start">
                <a href="https://www.regione.toscana.it/" class="n7-site-logo site-logo flex flex-1 w-auto h-auto min-w-[185px] max-w-[247px]">
                    <picture class="w-full h-full">
                        <source srcset="<?php echo e(asset('images/footer/Logo-rt-negative.png')); ?>, <?php echo e(asset('images/footer/Logo-rt-negative@2x.png')); ?> 2x" />
                        <img class="w-full h-full object-contain object-left-top" src="<?php echo e(asset('images/footer/Logo-rt-negative.png')); ?>" alt="Regione Toscana" width="247" height="75">
                    </picture>
                </a>
                <!-- LOGO + SLOGAN -->
                <a href="/" class="grid md:flex gap-6 sm:items-center">
                    <div class="n7-site-logo site-logo flex flex-1 flex-wrap w-auto h-auto min-w-[185px] max-w-[247px]">
                        <picture class="w-full h-full">
                            <source srcset="<?php echo e(asset('images/footer/logo-footer.png')); ?>, <?php echo e(asset('images/footer/logo-footer@2x.png')); ?> 2x" />
                            <img class="w-full h-full object-contain object-left-top" src="<?php echo e(asset('images/footer/logo-footer.png')); ?>" alt="Giovanisì" width="247" height="67">
                        </picture>
                    </div>
                    <p class="n7-site-slogan min-w-0 w-[30ch] sm:text-sm lg:text-base"><?php if(isset($testo_giovanisi) && !empty($testo_giovanisi)): ?> <?php echo e($testo_giovanisi); ?> <?php else: ?> Il progetto della Regione Toscana per l’autonomia dei giovani <?php endif; ?></p>
                </a>
            </div>
            <!-- LOGO UNIONE EUROPEA -->
            <a href="https://www.regione.toscana.it/europa" class="n7-site-logo justify-self-start lg:justify-self-auto site-logo flex flex-1 w-auto h-auto min-w-[202px] max-w-[270px] justify-center justify-items-center">
                <picture class="w-full h-full">
                    <source srcset="<?php echo e(asset('images/footer/ConfUnioneEuropea_negative.png')); ?>, <?php echo e(asset('images/footer/ConfUnioneEuropea_negative@2x.png')); ?> 2x" />
                    <img class="w-full h-full object-contain object-left-top" src="<?php echo e(asset('images/footer/ConfUnioneEuropea_negative.png')); ?>" alt="Cofinanziato dall'Unione Europea" width="270" height="47">
                </picture>
            </a>
        </div>
        <!-- FOOTER NAVIGATION -->
        <div class="-ml-6 ms:ml-0">
            <nav aria-label="Utilità">
                <?php echo wp_nav_menu([
                        'theme_location' => 'footer',
                        'menu_class' => 'grid gap-y-2 md:flex md:gap-y-1 md:flex-wrap sm:justify-center sm:text-center sm:justify-items-center',
                        'walker' => new FooterMenuWalker()
                    ]); ?>

            </nav>
        </div>
    </div>
</div>

<?php unset($testo_giovanisi); ?><?php /**PATH /var/www/html/giovanisi2024/web/app/themes/giovanisi2024/resources/views/partials/footer/main-footer.blade.php ENDPATH**/ ?>