

<?php
$titolo = get_field('titolo_blocco_mappa_statica');
$sottotitolo = get_field('sottotitolo_blocco_mappa_statica');
$mappa = get_field('mappa_blocco_mappa_statica');
$mappa_mobile = get_field('mappa_mobile_blocco_mappa_statica');
$link_mappa = get_field('link_mappa_blocco_mappa_statica');
if(isset($link_mappa) && !empty($link_mappa)){
  $link = $link_mappa['url'];
} else {
  $link = '#';
}
?>

<section data-<?php echo e($block['id']); ?> class="<?php echo e($block['classes']); ?> map-static-block-gutenberg py-12 md:py-14">
  <div class="n7-container grid gap-6">
    
      <div class="wrapper-title grid justify-items-center gap-4 md:gap-6 text-center">
        <?php if(!empty($titolo) && isset($titolo)): ?>
        <h2 class="text-3xl md:text-4xl lg:text-5xl"><?php echo $titolo; ?></h2>
        <?php endif; ?>
        <?php if(!empty($sottotitolo) && isset($sottotitolo)): ?>
        <p class="text-lg md:text-xl lg:text-2xl text-center n7-page-body">
          <?php if(isset($link_mappa) && !empty($link_mappa)): ?>
          <a class="underline hover:no-underline" href="<?php echo e($link); ?>">
          <?php endif; ?>
          <?php echo $sottotitolo; ?>

          <?php if(isset($link_mappa) && !empty($link_mappa)): ?>
          </a>
          <?php endif; ?>
        </p>
        <?php endif; ?>
      </div>
   
    <?php if(!empty($mappa) && isset($mappa)): ?>
      <div class="relative md:flex md:justify-center">
          <picture class="block aspect-w-3 aspect-h-5 md:aspect-none rounded-[4rem] overflow-hidden">
            <?php if(!empty($mappa_mobile) && isset($mappa_mobile)): ?>
              <source srcset="<?php echo e($mappa_mobile['url']); ?>" media="(max-width: 767px)">
            <?php endif; ?>
            <img class="w-full h-full object-cover object-left-top" src="<?php echo e($mappa['url']); ?>" alt="<?php echo e($mappa['alt']); ?>">
          </picture>

        <button class="n7-btn bg-black/70 border-transparent hover:n7-background-04 focus:n7-background-04 text-white absolute right-[10%] bottom-5 left-[10%] md:hidden" id="openMapModalBtn">
          Esplora mappa
          
            <svg class="inline-block align-middle fill-current w-8 h-8 transition-all" aria-hidden="true" focusable="false" role="img">
                <use xlink:href="<?php echo e(asset('images/icons.svg')); ?>#eye" />
            </svg>

        </button>

        <div class="hidden bg-black/85 fixed top-0 right-0 bottom-0 left-0 md:static" id="mapMobileModal" >
          <h3 id="titlemapMobileModal" class="sr-only md:hidden">Esplora immagine mappa delle Opportunità</h3>
          
          <picture class="block w-full h-full overflow-auto">
            <?php if(!empty($mappa_mobile) && isset($mappa_mobile)): ?>
              <img tabindex="0" class="w-auto h-full max-w-none" src="<?php echo e($mappa_mobile['url']); ?>" alt="<?php echo e($mappa_mobile['alt']); ?>">
            <?php elseif(!empty($mappa) && isset($mappa)): ?>
              <img tabindex="0" class="w-auto h-full max-w-none" src="<?php echo e($mappa['url']); ?>" alt="<?php echo e($mappa['alt']); ?>">
            <?php endif; ?>
          </picture>

          <button id="closeMapModalBtn" class="fixed n7-btn bg-black/70 border-transparent hover:n7-background-04 focus:n7-background-04 text-white bottom-5 right-5">
            Chiudi
            <svg class="inline-block align-middle fill-current w-4 h-4" aria-hidden="true" focusable="false" role="img">
                <use xlink:href="<?php echo e(asset('images/icons.svg')); ?>#close" />
            </svg>

          </button>
        </div>
      </div>
    <?php endif; ?>
  </div>
</section>

<?php unset($titolo, $sottotitolo, $mappa, $mappa_mobile, $link_mappa, $link); ?><?php /**PATH /var/www/html/giovanisi2024/web/app/themes/giovanisi2024/resources/views/blocks/map-static.blade.php ENDPATH**/ ?>