


<?php
$titolo_eventi_storici = get_field('titolo_eventi_storici');
$sottotitolo_eventi_storici = get_field('sottotitolo_eventi_storici');
$lista_eventi_storici = get_field('lista_eventi_storici');
$link = get_field('link_eventi_storici');
?>


<section data-<?php echo e($block['id']); ?> class="<?php echo e($block['classes']); ?> calendario-eventi-block-gutenberg py-16 md:py-20 bg-cover bg-no-repeat bg-center relative z-10 n7-content-inverse">
    <div class="n7-container grid gap-6 md:gap-10 lg:gap-12">
        <div class="wrapper-title grid lg:flex lg:items-start lg:justify-between gap-8 py-4">
            <?php if((!empty($titolo_eventi_storici) && isset($titolo_eventi_storici)) || (!empty($sottotitolo_eventi_storici) && isset($sottotitolo_eventi_storici))): ?>
                <div class="justify-self-stretch">
                    <h2 class="n7-heading-3 grid gap-2 md:gap-4 text-black">
                        <?php if(isset($titolo_eventi_storici) && !empty($titolo_eventi_storici)): ?>
                            <small class="text-base md:text-lg"><?php echo $titolo_eventi_storici; ?></small>
                        <?php endif; ?>
                        <?php if(isset($sottotitolo_eventi_storici) && !empty($sottotitolo_eventi_storici)): ?>
                            <span class="font-bold"><?php echo $sottotitolo_eventi_storici; ?></span>
                        <?php endif; ?>
                    </h2>
                </div>
            <?php endif; ?>
            <?php if(isset($link['url']) && !empty($link['url']) && isset($link['title']) && !empty($link['title'])): ?>
                <a href="<?php echo e($link['url']); ?>" class="n7-link n7-link--action-link  group justify-self-end hidden md:inline-flex">
                    Vedi tutti gli eventi
                    <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                        <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="<?php echo e(asset('images/icons.svg')); ?>#arrow-up" />
                        </svg>
                    </span>
                </a>
            <?php endif; ?>
        </div>
        <?php if(isset($lista_eventi_storici) && !empty($lista_eventi_storici)): ?>
            <div class="pagination-container-net7-big-wrapper"> 
                <div class="events-container grid gap-6 md:grid-cols-2 lg:grid-cols-3">
                    <?php $__currentLoopData = $lista_eventi_storici; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $data_evento = calculateDateEvent($post->ID);
                            $category_names = get_all_other_taxonomies($post->ID);
                            $areetematiche = get_area_tematica($post->ID);
                            $catevent = get_categoria_evento($post->ID);
                            $cittaevento_acf = get_field('evento_citta', $post->ID);
                            $cittaevento = isset($cittaevento_acf) && !empty($cittaevento_acf) ? $cittaevento_acf : '';
                            $indirizzoevento_acf = get_field('evento_indirizzo', $post->ID);
                            $indirizzoevento = isset($indirizzoevento_acf) && !empty($indirizzoevento_acf) ? $indirizzoevento_acf : '';
                            $visibilita = get_field('visibilita_orario_evento', $post->ID);
                            if(isset($visibilita) && $visibilita){
                                $orarioevento = $data_evento['start']['hour'].':'.$data_evento['start']['minute'];
                            } else {
                                $orarioevento = '';
                            }
                        ?>
                        <?php echo $__env->make('partials.card-event', [
                            'event' => [
                                'title' => $post->post_title,
                                'permalink' => get_permalink($post),
                                'evento_data' => $data_evento,
                                'categories' => $category_names,
                                'aree_tematiche' => $areetematiche,
                                'categoria' => $catevent,
                                'cittaevento' => $cittaevento,
                                'indirizzoevento' => $indirizzoevento,
                                'orario' => $orarioevento,
                            ]
                        ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        <?php endif; ?> 

        <?php if(isset($link) && !empty($link)): ?>
            <div class="flex justify-center md:hidden"> 
                <a href="<?php echo e($link['url']); ?>" class="n7-link n7-link--action-link  group justify-self-end">
                    Vedi tutti gli eventi
                    <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                        <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="<?php echo e(asset('images/icons.svg')); ?>#arrow-up" />
                        </svg>
                    </span>
                </a>
            </div>
        <?php endif; ?>
    </div>
</section>

<?php unset($titolo_eventi_storici, $sottotitolo_eventi_storici, $lista_eventi_storici, $link) ?><?php /**PATH /var/www/html/giovanisi2024/web/app/themes/giovanisi2024/resources/views/blocks/eventi-storici.blade.php ENDPATH**/ ?>