

<?php 
$testo = get_field('testo_blocco_login');
$editor = get_field('editor_blocco_login');
$link_registrazione = get_field('link_alla_registrazione_blocco_login');
?>

<section data-<?php echo e($block['id']); ?> class="n7-container pb-12 bg-no-repeat bg-[size:16rem] lg:pb-48 lg:bg-[size:28rem] bg-right-bottom lg:bg-[right_10%_top] lg:bg-[url('images/forms-illustration.svg')]">
  	<div class="w-full max-w-[520px] pb-8 lg:pr-8 grid gap-6 bg-white/75 ">

      <?php if( !is_user_logged_in() ): ?> 
        
        <?php if(isset($testo) && !empty($testo)): ?>
          <p class="text-sm">
            <?php echo $testo; ?>

          </p>
        <?php endif; ?>

        <?php if(isset($_GET["login"]) && $_GET["login"] == 'failed'): ?>
          <section class="text-sm md:text-base lg:text-lg p-5 rounded-lg border border-error-dark text-error-dark space-y-4">
            
            <svg class="inline-block align-middle fill-current w-8 h-8" aria-hidden="true" focusable="false" role="img">
                <use xlink:href="<?php echo e(asset('images/icons.svg')); ?>#mini--exclamation-circle"></use>
            </svg>
            <p>Il nome utente o la password non sono corretti. Riprova per favore.</p>
          </section>
        <?php endif; ?>

        <div class="text-sm md:text-base lg:text-lg p-5 rounded-lg border border-error-dark text-error-dark space-y-2 hidden" id="formErrorsAlert" role="alert" aria-atomic="true">
          <svg class="inline-block align-middle fill-current w-8 h-8" aria-hidden="true" focusable="false" role="img">
            <use xlink:href="<?php echo e(asset('images/icons.svg')); ?>#mini--exclamation-circle"></use>
          </svg>
          <div id="formErrorsAlertInner"></div>
        </div>
        <div class="n7-form n7-form--login grid gap-6">

          <?php echo wp_login_form([
            'echo' => false,
            'redirect' => strtok($_SERVER["REQUEST_URI"],'?'),
            'form_id' => 'custom_login_form',
            'label_username' => __('Username'),
            'label_password' => __('Password'),
            'label_remember' => __('Remember Me'),
            'label_log_in' => __('Log In'),
            'remember' => true
          ]); ?>



          <div>
            <p>
              <a class="underline n7-content-01 text-sm md:text-base hover:n7-link-primary-hover" href="<?php echo e(wp_lostpassword_url()); ?>">
                Hai dimenticato la password?
              </a>
            </p>
          </div>

        </div>

        <script>
          document.getElementById('custom_login_form').addEventListener('submit', function(event) {
            let username = document.getElementById('user_login').value;
            let password = document.getElementById('user_pass').value;
            let alertRegion = document.getElementById('formErrorsAlert');
            let alertRegionInner = document.getElementById('formErrorsAlertInner');
            if (username === ""|| password === "") {
              if(alertRegion.classList.contains('hidden')) {
                alertRegion.classList.remove('hidden');
              }
            }

            if (username === "") {
              event.preventDefault(); // Prevent form submission
              alertRegionInner.innerHTML = '<p>Il campo Nome utente è obbligatorio.</p>';

            }
            
            if (password === "") {
              event.preventDefault(); // Prevent form submission
              alertRegionInner.innerHTML += '<p>Il campo password è obbligatorio.</p>';

            }
          });
        </script>

        <div class="border-t n7-border-gray-02 grid gap-2 py-6">
          <?php if(isset($editor) && !empty($editor)): ?>
            <?php echo $editor; ?>

          <?php endif; ?>
          <?php if(!empty($link_registrazione) && isset($link_registrazione)): ?>
            <p class="text-sm md:text-base lg:text-lg"><strong>Non hai ancora un accont?</strong> <a class="underline n7-link-primary hover:n7-link-primary-hover" href="<?php echo e($link_registrazione); ?>">Crea account</a></p>
          <?php endif; ?>
        </div>
      <?php else: ?>

        <div class="space-y-4 border-t n7-border-gray-02 mt-6 py-9">
          <h2 class="n7-heading-3 font-bold">Accesso effettuato come <?php echo e(wp_get_current_user()->data->user_nicename); ?></h2>
          <div>
            <a class="n7-btn n7-btn--primary" href="<?php echo e(wp_logout_url(strtok($_SERVER["REQUEST_URI"],'?'))); ?>"><?php echo e('Logout'); ?></a>
          </div>
          <p class="text-base md:text-lg">Puoi iniziare a pubblicare contenuti nel Magazine!</p>
        </div>
        
      <?php endif; ?>

  	</div>
</section>

<?php unset($testo, $editor, $link_registrazione ); ?><?php /**PATH /var/www/html/giovanisi2024/web/app/themes/giovanisi2024/resources/views/blocks/login.blade.php ENDPATH**/ ?>