<?php
$testo_giovanisi = get_field('motto_giovanisi', 'options-general');
?>

<div class="n7-main-heading bg-white flex items-center px-4 py-2 xl:p-4 border-b n7-border-primary xl:border-b-0 xl-max-w-480-min-h:fixed xl-max-w-480-min-h:top-[--header-top-position] xl-max-w-480-min-h:right-0 xl-max-w-480-min-h:left-0 xl-max-w-480-min-h:z-30">
    <div class="n7-main-heading__container n7-container flex items-center flex-1">
        <div class="flex items-center n7-branding site-branding xl:mr-auto gap-4 md:gap-6 xl:gap-10">
            <a class="flex items-center gap-4 md:gap-6 xl:gap-10" href="/">
                <span class="sr-only">Homepage Giovanisì - Progetto della Regione Toscana</span>
                <div class="n7-site-logo site-logo flex w-[42px] h-[42px] md:flex-1 md:w-auto md:h-auto md:max-w-[50px] xl:max-w-[75px]" >
                    <picture class="w-full h-full">
                        <source srcset="<?php echo e(asset('images/loghi-mobile/logo-regione.png')); ?>, <?php echo e(asset('images/loghi-mobile/logo-regione@2x.png')); ?> 2x" media="(max-width: 767px)" />
                        <source srcset="<?php echo e(asset('images/loghi-desktop/logo-regione-desktop.png')); ?>, <?php echo e(asset('images/loghi-desktop/logo-regione-desktop@2x.png')); ?> 2x" media="(min-width: 768px)" />
                        <img class="w-full h-full object-contain object-left-top" src="<?php echo e(asset('images/loghi-desktop/logo-regione-desktop@2x.png')); ?>" alt="" width="75" height="75">
                    </picture>
                </div>

                <div class="n7-site-logo site-logo flex w-[138px] h-[38px] md:flex-1 md:w-auto md:h-auto md:max-w-[123px] xl:max-w-[247px]" href="/">
                    <picture class="w-full h-full">
                        <source srcset="<?php echo e(asset('images/loghi-mobile/logo-giovanisi.png')); ?>, <?php echo e(asset('images/loghi-mobile/logo-giovanisi@2x.png')); ?> 2x" media="(max-width: 767px)" />
                        <source srcset="<?php echo e(asset('images/loghi-desktop/logo-giovanisi-desktop.png')); ?>, <?php echo e(asset('images/loghi-desktop/logo-giovanisi-desktop@2x.png')); ?> 2x" media="(min-width: 768px)" />
                        <img class="w-full h-full object-contain object-left-top" src="<?php echo e(asset('images/loghi-mobile/logo-giovanisi.png')); ?>" alt="" width="247" height="67">
                    </picture>
                </div>
            </a>
            <p class="n7-site-slogan hidden xl:block flex-1 min-w-0 w-[30ch] n7-content-01"><?php if(!empty($testo_giovanisi) && isset($testo_giovanisi)): ?> <?php echo e($testo_giovanisi); ?> <?php else: ?> Il progetto della Regione Toscana per l’autonomia dei giovani <?php endif; ?></p>
        </div>

        <a href="https://www.regione.toscana.it/europa" class="n7-site-logo site-logo hidden xl:flex w-46 h-10 md:flex-1 md:w-auto md:h-auto md:max-w-[203px]">
            <picture class="w-full h-full">
                <source srcset="<?php echo e(asset('images/loghi-mobile/logo-regione.png')); ?>, <?php echo e(asset('images/loghi-mobile/logo-regione@2x.png')); ?> 2x" media="(max-width: 767px)" />
                <source srcset="<?php echo e(asset('images/logo-eu.png')); ?>, <?php echo e(asset('images/logo-eu@2x.png')); ?> 2x" />
                <img class="w-full h-full object-contain object-left-top" src="<?php echo e(asset('images/logo-eu.png')); ?>" alt="Cofinanziato dall'Unione Europea" width="203" height="43">
            </picture>
        </a>

    </div>
</div>

<?php
unset($testo_giovanisi);
?><?php /**PATH /var/www/html/giovanisi2024/web/app/themes/giovanisi2024/resources/views/partials/header/main-header.blade.php ENDPATH**/ ?>