<?php

namespace App\View\Composers;

use Roots\Acorn\View\Composer;

require_once get_template_directory() . '/app/helpers.php';

class ArchiveCampagne extends Composer {
    
    protected static $views = [
        'blocks.elenco-campagne'
    ];

    public function with() {
        return [
            'campagne' => $this->get_campagne_posts(),
            'totalpage' => $this->get_campagne_posts()['totalpage'],
            'totalpost' => $this->get_campagne_posts()['totalpost'],
            'currentpage' => $this->get_campagne_posts()['currentpage'],
            'posts_per_page' => $this->get_campagne_posts()['posts_per_page'],
        ];
    }

    public function get_campagne_posts() {

        $evidenza = get_field('scegli_campagne_in_evidenza_elenco_campagne');
        $campagne_in_evidenza_id = [];
        if (!empty($evidenza)) {
            foreach($evidenza as $evi) {
                $campagne_in_evidenza_id[] = $evi->ID;
            }
        } else {
            // Se il campo è vuoto non mostrare post
            // $evidenza = default_query_giovanisi('campagna', 3, 'ASC', array(), array(), '', '', $campagne_in_evidenza_id);
            $evidenza = '';
            // foreach($evidenza as $evi) {
            //     $campagne_in_evidenza_id[] = $evi->ID;
            // }
        }
        $current_page = 1;
        if (is_front_page() && is_home()) {
            $current_page = get_query_var('paged') ? get_query_var('paged') : 1;
        } elseif (is_front_page()) {
            $current_page = get_query_var('page') ? get_query_var('page') : 1;
        } else {
            $current_page = get_query_var('paged') ? get_query_var('paged') : 1;
        }
        
        // Query per tutti i campagne escludendo quelli in evidenza
        $all_campagne = default_query_giovanisi('campagna', -1, 'ASC', array(), array(), '', '', $campagne_in_evidenza_id);
        
        $posts_per_page = 8;
        $current_page = 1;

        $total_posts = count($all_campagne);
        $totalPages = ceil($total_posts / $posts_per_page);

        $offset = ($current_page - 1) * $posts_per_page;
        $all_campagne = array_slice($all_campagne, $offset, $posts_per_page);
        
        $string_id = '';
        foreach($campagne_in_evidenza_id as $id){
            $string_id .= $id.'-';
        }

        return [
            'all_campagne' => $all_campagne,
            'evidenza' => $evidenza,
            'totalpage' => $totalPages,
            'totalpost' => $total_posts,
            'currentpage' => 1,
            'posts_per_page' => $posts_per_page,
            'id_evidenza' => $string_id
        ];
    }
    
}
