<?php
namespace App\View\Composers;

use Roots\Acorn\View\Composer;

require_once get_template_directory() . '/app/helpers.php';

class ArchiveNews extends Composer {

    protected static $views = [
        'home',
        'blocks.archive-post'
    ];
    
    public function with() {
        return [
            'post' => $this->get_all_news()['post'],
            'totalpage' => $this->get_all_news()['totalpage'],
            'totalpost' => $this->get_all_news()['totalpost'],
            'currentpage' => $this->get_all_news()['currentpage'],
            'posts_per_page' => $this->get_all_news()['posts_per_page'],
            // 'pagination' => $postsData['pagination'],
        ];
    }

    public function get_all_news() {
        $current_page = 1;
        if (is_front_page() && is_home()) {
            $current_page = get_query_var('paged') ? get_query_var('paged') : 1;
        } elseif (is_front_page()) {
            $current_page = get_query_var('page') ? get_query_var('page') : 1;
        } else {
            $current_page = get_query_var('paged') ? get_query_var('paged') : 1;
        }
        $posts = default_query_giovanisi('post', -1, 'DESC', array(), array(array('taxonomy' => 'category', 'field' => 'slug', 'terms' => 'senza-categoria', 'operator' => 'NOT IN',),), '');

        $posts_per_page = 12;
        $current_page = 1;

        $total_posts = count($posts);
        $totalPages = ceil($total_posts / $posts_per_page);

        $offset = ($current_page - 1) * $posts_per_page;
        $posts = array_slice($posts, $offset, $posts_per_page);
        // $pagination = generatePaginationLinks($totalPages, $current_page);

        return [
            'post' => $posts,
            'totalpage' => $totalPages,
            'totalpost' => $total_posts,
            'currentpage' => 1,
            'posts_per_page' => $posts_per_page,
        ];
    }
}