<?php

namespace App\View\Composers;

use Roots\Acorn\View\Composer;

require_once get_template_directory() . '/app/helpers.php';

class Bando extends Composer {

    protected static $views = [
        'blocks.opportunitainevidenza',
        'blocks.filter-tab-areatematica'
    ];

    public function with(){
        return [
            'bando_posts' => $this->get_bando_posts(),
            'bando_all_posts' => $this->get_bando_posts_filtered()['post_filtered'],
            'totalpage' => $this->get_bando_posts_filtered()['totalpage'],
            'totalpost' => $this->get_bando_posts_filtered()['totalpost'],
            'currentpage' => $this->get_bando_posts_filtered()['currentpage'],
            'posts_per_page' => $this->get_bando_posts_filtered()['posts_per_page'],
            'is_archive' => $this->get_bando_posts_filtered()['is_archive'],
            'getpostcountbystate' => $this->getPostCountsByState()
        ];
    }

    public function get_bando_posts(){
        $bando_posts_relational = get_field('scelta_opportunita_blocco_opportunita');
        if(isset($bando_posts_relational) && (!empty($bando_posts_relational))) {
            $bando_posts = $bando_posts_relational;
            if ( wp_is_mobile() ) {
                $bando_posts = array_slice($bando_posts, 0, 4);
            }
        } else {

            $bando_posts = [];

            //Gli ultime 4 in primo piano
            $bando_posts = default_query_giovanisi('bando', 4, 'DESC', array(array('key'   => 'primo_piano', 'value' => true)), null, null);

            //L'ultimo in primo piano per ognuna delle 4 aree tematiche 
            // $bando_posts [] = default_query_giovanisi('bando', 1, 'DESC', array(array('key'   => 'primo_piano', 'value' => true)), array( array('taxonomy' => 'area-tematica', 'field' => 'slug', 'terms' => 'studio-e-mi-formo',),), null, null)[0];
            // $bando_posts [] = default_query_giovanisi('bando', 1, 'DESC', array(array('key'   => 'primo_piano', 'value' => true)), array( array('taxonomy' => 'area-tematica', 'field' => 'slug', 'terms' => 'partecipo',),), null, null)[0];
            // $bando_posts [] = default_query_giovanisi('bando', 1, 'DESC', array(array('key'   => 'primo_piano', 'value' => true)), array( array('taxonomy' => 'area-tematica', 'field' => 'slug', 'terms' => 'faccio-impresa',),), null, null)[0];
            // $bando_posts [] = default_query_giovanisi('bando', 1, 'DESC', array(array('key'   => 'primo_piano', 'value' => true)), array( array('taxonomy' => 'area-tematica', 'field' => 'slug', 'terms' => 'lavoro',),), null, null)[0];
        
            //Uno random degli ultimi 10 per ognuna delle 4 aree tematiche 
            // $bando_studio [] = default_query_giovanisi('bando', 10, 'DESC', array(), array( array('taxonomy' => 'area-tematica', 'field' => 'slug', 'terms' => 'studio-e-mi-formo',),), null, null);
            // $bando_partecipo [] = default_query_giovanisi('bando', 10, 'DESC', array(), array( array('taxonomy' => 'area-tematica', 'field' => 'slug', 'terms' => 'partecipo',),), null, null);
            // $bando_impresa [] = default_query_giovanisi('bando', 10, 'DESC', array(), array( array('taxonomy' => 'area-tematica', 'field' => 'slug', 'terms' => 'faccio-impresa',),), null, null);
            // $bando_lavoro [] = default_query_giovanisi('bando', 10, 'DESC', array(), array( array('taxonomy' => 'area-tematica', 'field' => 'slug', 'terms' => 'lavoro',),), null, null);
            
            // if(!empty($bando_studio)){
            //     shuffle($bando_studio[0]);
            //     $bando_posts [] = $bando_studio[0][0];
            // }
            // if(!empty($bando_partecipo)){
            //     shuffle($bando_partecipo[0]);
            //     $bando_posts [] = $bando_partecipo[0][0];
            // }
            // if(!empty($bando_impresa)){
            //     shuffle($bando_impresa[0]);
            //     $bando_posts [] = $bando_impresa[0][0];
            // }
            // if(!empty($bando_lavoro)){
            //     shuffle($bando_lavoro[0]);
            //     $bando_posts [] = $bando_lavoro[0][0];
            // }

            // $bando_posts = [$bando_studio[0][0], $bando_partecipo[0][0], $bando_impresa[0][0], $bando_lavoro[0][0]];
        }

        $posts_with_categories = [];
        foreach ($bando_posts as $post) {
            $categories = get_all_other_taxonomies($post->ID);
            $area_tematica = get_area_tematica($post->ID);
            $stato = check_stato_bando($post->ID);
            $target_acf = get_field('target', $post->ID);
            $target = !empty($target_acf) && isset($target_acf) ? $target_acf : '';
            $post_data = [
                'post_id'          => $post->ID,
                'post_title'       => $post->post_title,
                'post_permalink'   => get_permalink($post->ID),
                'area_tematica'    => $area_tematica,
                'taxonomy'         => $categories,
                'stato'            => $stato,
                'target'           => $target,
            ];
            $posts_with_categories[] = $post_data;
        }
        return $posts_with_categories;
    }

    public function get_bando_posts_filtered() {
        $scelta_area = get_field('scelta_area_tematica_blocco_filtro_bandi');
        $tax_query = [];
        $scelta_area_slug = !empty($scelta_area) ? $scelta_area->slug : '';
        if(!empty($scelta_area_slug)){
            $tax_query = [
                [
                    'taxonomy' => 'area-tematica',
                    'field' => 'slug',
                    'terms' => $scelta_area_slug
                ]
            ];
        }

        $is_archive_bando = get_field('visualizza_bandi_scaduti_blocco_filtro_bandi');
        if(isset($is_archive_bando) && !empty($is_archive_bando) && $is_archive_bando){
            $is_archive = 'si';
        } else {
            $is_archive = 'no';
        }

        if($is_archive == 'no'){
            $bando_posts_filtered = default_query_giovanisi('bando', -1, 'ASC',
            array(array('key'   => 'stato', 'value' => 'attivo', 'compare' => '=')), $tax_query, null);
        } else {
            $bando_posts_filtered = default_query_giovanisi('bando', -1, 'ASC',
            array(array('key'   => 'stato', 'value' => 'archivio', 'compare' => '=')), $tax_query, null);
        }

        $choice_post_per_page = get_field('bandi_per_pagina_blocco_filtro_bandi');
        if(!empty($choice_post_per_page) && isset($choice_post_per_page)){
            $posts_per_page = intval($choice_post_per_page);
        } else {
            $posts_per_page = 8;
        }
        
        $current_page = 1;

        $total_posts = count($bando_posts_filtered);
        $totalPages = ceil($total_posts / $posts_per_page);
    
        // Calcola l'offset per la paginazione
        $offset = ($current_page - 1) * $posts_per_page;
        $bando_posts_filtered = array_slice($bando_posts_filtered, $offset, $posts_per_page);

        $post_filtered = [];
        foreach ($bando_posts_filtered as $post) {
            $categories = get_all_other_taxonomies($post->ID);
            $area_tematica = get_area_tematica($post->ID);
            $stato = check_stato_bando($post->ID);
            $target_acf = get_field('target', $post->ID);
            $target = !empty($target_acf) && isset($target_acf) ? $target_acf : '';
            $post_data = [
                'post_id'          => $post->ID,
                'post_title'       => $post->post_title,
                'post_permalink'   => get_permalink($post->ID),
                'area_tematica'    => $area_tematica,
                'taxonomy'         => $categories,
                'stato'            => $stato,
                'target'           => $target,
            ];
            $post_filtered[] = $post_data;
        }
        return [
            'post_filtered' => $post_filtered,
            'totalpage' => $totalPages,
            'totalpost' => $total_posts,
            'currentpage' => 1,
            'posts_per_page' => $posts_per_page,
            'is_archive' => $is_archive
        ];
    }

    private function getPostCountsByState() {
        $scelta_area = get_field('scelta_area_tematica_blocco_filtro_bandi');
        $scelta_area_slug = !empty($scelta_area) ? $scelta_area->slug : '';
        $tax_query = [];
        if(!empty($scelta_area_slug)){
            $tax_query = [
                [
                    'taxonomy' => 'area-tematica',
                    'field'    => 'slug',
                    'terms'    => $scelta_area_slug,
                ]
            ];
        }
        $post_counts = array(
            'attivo' => array('count' => 0, 'name' => 'Attivo', 'slug' => 'attivo'),
            'in_attivazione' => array('count' => 0, 'name' => 'In attivazione', 'slug' => 'in_attivazione'),
            'in_graduatoria' => array('count' => 0, 'name' => 'In graduatoria', 'slug' => 'in_graduatoria'),
        );
    
        $bando_posts = default_query_giovanisi('bando', -1, 'DESC', null, $tax_query, null);
        foreach ($bando_posts as $post) {
            if(isset(get_field('stato', $post->ID)['value']) && !empty(get_field('stato', $post->ID)['value'])){
                $stato = get_field('stato', $post->ID)['value'];
            } else {
                $stato = 'in_archivio';
            }
            if (array_key_exists($stato, $post_counts)) {
                $post_counts[$stato]['count']++;
            }
            $area_tematica = get_area_tematica($post->ID);
            if(!empty($scelta_area_slug)){
                if(!empty($area_tematica)){
                    $color = $area_tematica[0]['category_color'];
                }
            } else {
                $color = 'n7-background-02';
            }
        }
        $result = array(
            'post_counts' => $post_counts,
            'area_slug' => $scelta_area_slug,
            'area_color' => $color,
        );
    
        return $result;
    }
}