<?php

namespace App\View\Composers;

use Roots\Acorn\View\Composer;

class Breadcrumbs extends Composer{

    public function wp_bac_breadcrumb(){
        // Inizializza una variabile stringa per le briciole di pane
        $breadcrumbs = '';

        // Variabili per i delimitatori e altre impostazioni
        $delimiter = '<span class="delimiter"> &gt; </span>';
        $delimiter1 = '<span class="delimiter1"> &bull; </span>';
        $main = 'Home';
        $maxLength = 30;
        $arc_year = get_the_time('Y');
        $arc_month = get_the_time('F');
        $arc_day = get_the_time('d');
        $arc_day_full = get_the_time('l');
        $url_year = get_year_link($arc_year);
        $url_month = get_month_link($arc_year, $arc_month);

        if (!is_front_page()) {
            $breadcrumbs .= '<div id="breadcrumb">';
            $homeLink = get_option('home');
            $breadcrumbs .= '<a href="' . $homeLink . '">' . $main . '</a>' . $delimiter;

            if (is_single()) {
                // Logica per le briciole di pane per i post singoli
                global $post;
                if (get_post_type() == "evento") {
                    $category = array();
                    $categories = get_the_terms($event->ID, "categoria_evento");
                    if (is_array($categories)) {
                        foreach ($categories as $tmp) {
                            $category[] = $tmp;
                        }
                    }
                } else {
                    $categories = get_the_category();
                    $catToExclude = array(1729, 1, 1727, 1718);
                    $category = array();
                    foreach ($categories as $tmp) {
                        if (in_array($tmp->term_id, $catToExclude)) {
                            continue;
                        }
                        $category[] = $tmp;
                    }
                }
                $num_cat = count($category);
                if ($num_cat == 0) {
                    $breadcrumbs .= "<a title=\"\" href=''>" . get_the_title() . "</a>";
                } elseif ($num_cat == 1) {
                    $tmp = array_shift($category);
                    if (get_post_type() == "evento") {
                        $catName = $tmp->name;
                        $catLink = get_term_link($tmp->slug, "categoria_evento");
                    } else {
                        $catName = $tmp->cat_name;
                        $catLink = get_category_link($tmp->term_id);
                    }
                    $toReturn = "<a title=\"\" href=\"" . $catLink . "\">" . $catName . "</a>";
                    $breadcrumbs .= $toReturn . ' ' . $delimiter . ' ' . "<a title=\"\" href=''>" . get_the_title() . "</a>";
                } else {
                    $toReturn = array();
                    foreach ($category as $tmp) {
                        if (get_post_type() == "evento") {
                            $catName = $tmp->name;
                            $catLink = get_term_link($tmp->slug, "categoria_evento");
                        } else {
                            $catName = $tmp->cat_name;
                            $catLink = get_category_link($tmp->term_id);
                        }
                        $toReturn[] = "<a title=\"\" href=\"" . $catLink . "\">" . $catName . "</a>";
                    }
                    $breadcrumbs .= implode($delimiter1, $toReturn);
                    if (strlen(get_the_title()) >= $maxLength) {
                        $breadcrumbs .= ' ' . $delimiter . "<a title=\"\" href=''>" . get_the_title() . "</a>";
                    } else {
                        $breadcrumbs .= ' ' . $delimiter . "<a title=\"\" href=''>" . get_the_title() . "</a>";
                    }
                }
            } elseif (is_category()) {
                // Logica per le briciole di pane per le categorie
                global $cat;
                $breadcrumbs .= substr(get_category_parents($cat, true, ' ' . $delimiter . ' '), 0, -(strlen($delimiter) + 2));
            } elseif (is_tag()) {
                // Logica per le briciole di pane per i tag
                $breadcrumbs .= '' . single_tag_title("", false) . '';
            } elseif (is_page() && !$post->post_parent) {
                // Logica per le briciole di pane per le pagine principali
                $breadcrumbs .= "<a title=\"\" href=''>" . get_the_title() . "</a>";
            } elseif (is_page() && $post->post_parent) {
                // Logica per le briciole di pane per le pagine figlie
                $post_array = get_post_ancestors($post);
                krsort($post_array);
                foreach ($post_array as $key => $postid) {
                    $post_ids = get_post($postid);
                    $title = $post_ids->post_title;
                    $breadcrumbs .= '<a href="' . get_permalink($post_ids) . '">' . $title . '</a>' . $delimiter;
                }
                $breadcrumbs .= "<a title=\"\" href=''>" . get_the_title() . "</a>";
            }

            // Altre logiche per altri tipi di pagine

            $breadcrumbs .= '</div>';
        }

        // Restituisci la variabile delle briciole di pane invece di stampare direttamente l'output
        return $breadcrumbs;
    }
}
