<?php

namespace App\View\Composers;

use Roots\Acorn\View\Composer;

require_once get_template_directory() . '/app/helpers.php';

class Search extends Composer {

    protected static $views = [
        'search',
    ];

    public function with(){
        return [
            'search_post' => $this->getSearchResults()['search'],
            'totalpage' => $this->getSearchResults()['totalpage'],
            'totalpost' => $this->getSearchResults()['totalpost'],
            'currentpage' => $this->getSearchResults()['currentpage'],
        ];
    }

    public function getSearchResults(){

        $current_page = 1;

        $post_type_to_search = ['post', 'bando', 'page' , 'storia', 'post-magazine', 'evento', 'campagna', 'faq'];

        $searchpost = default_query_giovanisi($post_type_to_search, -1, 'DESC',[], [], '', '', [], $_GET['s']);

        $posts_per_page = 12;

        $total_posts = count($searchpost);
        $totalPages = ceil($total_posts / $posts_per_page);
    
        // Calcola l'offset per la paginazione
        $offset = ($current_page - 1) * $posts_per_page;
        $searchpost = array_slice($searchpost, $offset, $posts_per_page);
        // Ritorna un array contenente sia le storie che la tipologia
        return [
            'search' => $searchpost,
            'totalpage' => $totalPages,
            'totalpost' => $total_posts,
            'currentpage' => 1
        ];
    }  
}
