<?php

namespace App\View\Composers;

use Roots\Acorn\View\Composer;

require_once get_template_directory() . '/app/helpers.php';

class SingleBando extends Composer {
    
    /**
    * List of views served by this composer.
    *
    * @var array
    */
    protected static $views = [
        'partials.content-single-bando',
    ];

    /**
    * Data to be passed to view before rendering, but after merging.
    *
    * @return array
    */
    public function override(){
        return [
            'bando_details' => $this->FieldBandoSingle()
        ];
    }

    public function FieldBandoSingle(){

        //stato
        $stato_bando = get_field('stato');
        $stato = isset($stato_bando) && !empty($stato_bando) ? $stato_bando : array('value' => 'non_settato', 'label' => 'Non settato');
        
        //Preview Conditions
        $stato = preview_for_status($stato);
        print_preview_customize();

        // Annuncio Graduatoria && Graduatorie
        $annuncio_graduatoria = get_field('gs_annuncio_grad');
        $graduatoria_field = get_field('graduatorie');
        $graduatoria = [];
        if(
            isset($graduatoria_field) && !empty($graduatoria_field) && 
            ((!empty($graduatoria_field[0]['graduatoria_testo']) && isset($graduatoria_field[0]['graduatoria_testo'])) || 
            (!empty($graduatoria_field[0]['graduatoria_file']) && isset($graduatoria_field[0]['graduatoria_file']))
            )){
                $campi_grad = $graduatoria_field;
        } else {
            $campi_grad = '';
        }

        if(!empty($campi_grad)){
            $ann_grad = '';
        } else {
            $ann_grad = isset($annuncio_graduatoria) && !empty($annuncio_graduatoria) ? $annuncio_graduatoria : '';
        }
        $graduatoria = ['annuncio_graduatoria' => $ann_grad, 'campi_graduatoria' => $campi_grad ];

        // in attivazione
        $annuncio_in_attivazione = get_field('annuncio_bando_in_attivazione');
        $annuncio_attivazione = '';
        if($stato['value'] == 'in_attivazione'){
            $annuncio_attivazione = isset($annuncio_in_attivazione) && !empty($annuncio_in_attivazione) ? $annuncio_in_attivazione : '';
        }

        // Update - solo se in graduatoria, in archivio e attiva
        $update = '';
        if($stato['value'] != 'in_attivazione'){
            $update_field = get_field('update');
            $update = isset($update_field) && !empty($update_field) ? $update_field : '';
        }

        // Chi puo partecipare
        if(isset(get_field('chi_puo_partecipare')['col_sx']) && !empty(get_field('chi_puo_partecipare')['col_sx'])){
            $chi_puo_partecipare_sx = get_field('chi_puo_partecipare')['col_sx'];
        }
        if(isset(get_field('chi_puo_partecipare')['col_dx']) && !empty(get_field('chi_puo_partecipare')['col_dx'])){
            $chi_puo_partecipare_dx = get_field('chi_puo_partecipare')['col_dx'];
        }
        $chi_puo_partecipare = '';
        if(isset($chi_puo_partecipare_sx) && !empty($chi_puo_partecipare_sx)){
            $chi_puo_partecipare .= $chi_puo_partecipare_sx;
        }
        if(isset($chi_puo_partecipare_dx) && !empty($chi_puo_partecipare_dx)){
            $chi_puo_partecipare .= $chi_puo_partecipare_dx;
        }

        // Come fare la domanda
        if(isset(get_field('come_fare_la_domanda')['col_sx']) && !empty(get_field('come_fare_la_domanda')['col_sx'])){
            $come_fare_domanda_sx = get_field('come_fare_la_domanda')['col_sx'];
        }
        if(isset(get_field('come_fare_la_domanda')['col_dx']) && !empty(get_field('come_fare_la_domanda')['col_dx'])){
            $come_fare_domanda_dx = get_field('come_fare_la_domanda')['col_dx'];
        }
        $come_fare_domanda = '';
        if(isset($come_fare_domanda_sx) && !empty($come_fare_domanda_sx)){
            $come_fare_domanda .= $come_fare_domanda_sx;
        }
        if(isset($come_fare_domanda_dx) && !empty($come_fare_domanda_dx)){
            $come_fare_domanda .= $come_fare_domanda_dx;
        }

        //Da chi è finanziato
        if(isset(get_field('da_chi_e_finanziato')['col_sx']) && !empty(get_field('da_chi_e_finanziato')['col_sx'])){
            $da_chi_è_finanziato_sx = get_field('da_chi_e_finanziato')['col_sx'];
        }
        if(isset(get_field('da_chi_e_finanziato')['col_dx']) && !empty(get_field('da_chi_e_finanziato')['col_dx'])){
            $da_chi_è_finanziato_dx = get_field('da_chi_e_finanziato')['col_dx'];
        }
        $da_chi_è_finanziato = '';
        if(isset($da_chi_è_finanziato_sx) && !empty($da_chi_è_finanziato_sx)){
            $da_chi_è_finanziato .= $da_chi_è_finanziato_sx;
        }
        if(isset($da_chi_è_finanziato_dx) && !empty($da_chi_è_finanziato_dx)){
            $da_chi_è_finanziato .= $da_chi_è_finanziato_dx;
        }

        //Domande e risposte
        $domande_e_risposte = get_field('domande_e_risposte');
        $domande_risposte = isset($domande_e_risposte) && !empty($domande_e_risposte) ? $domande_e_risposte : '';

        //Documentazione
        $documentazione = get_field('documentazione');
        $doc = isset($documentazione) && !empty($documentazione) ? $documentazione : '';

        //Info
        if(isset(get_field('info')['col_sx']) && !empty(get_field('info')['col_sx'])){
            $infosx = get_field('info')['col_sx'];
        }
        if(isset(get_field('info')['col_dx']) && !empty(get_field('info')['col_dx'])){
            $infodx = get_field('info')['col_dx'];
        }
        $info = '';
        if(isset($infosx) && !empty($infosx)){
            $info .= $infosx;
        }
        if(isset($infodx) && !empty($infodx)){
            $info .= $infodx;
        }

        $area_tematica = get_area_tematica(get_the_id());
        $stato = check_stato_bando(get_the_id());
        $target_acf = get_field('target', get_the_id());
        $repeater = get_field('ripetitore_bando', get_the_id());
        if(isset($repeater) && !empty($repeater)){
            if(!empty($repeater[0]['titolo_voce_ripetitore']) || !empty($repeater[0]['testo_voce_ripetitore'])){
                $ripetitore = $repeater;
            } else {
                $ripetitore = '';
            }
        } else {
            $ripetitore = '';
        }
        $target = !empty($target_acf) && isset($target_acf) ? $target_acf : '';

        $singolo_bando = [
            'graduatoria' => $graduatoria,
            'voci_bando' => $ripetitore,
            'attivazione' => $annuncio_attivazione,
            'update' => $update,
            'chi_puo_partecipare' => $chi_puo_partecipare,
            'come_fare_domanda' => $come_fare_domanda,
            'da_chi_è_finanziato' => $da_chi_è_finanziato,
            'domande_risposte' => $domande_risposte,
            'documentazione' => $doc,
            'info' => $info,
            'target' => $target,
            'area_tematica' => $area_tematica,
            'stato' => $stato,
        ];

        return $singolo_bando;

    }
}