<?php

namespace App\View\Composers;

use Roots\Acorn\View\Composer;

require_once get_template_directory() . '/app/helpers.php';

class SingleEvento extends Composer {
    
    /**
    * List of views served by this composer.
    *
    * @var array
    */
    protected static $views = [
        'partials.content-single-evento',
    ];

    /**
    * Data to be passed to view before rendering, but after merging.
    *
    * @return array
    */
    public function override(){
        return [
            'evento_details' => $this->FieldEventoSingle()
        ];
    }

    public function FieldEventoSingle(){

        $data_evento = calculateDateEventNotFormatted(get_the_id());
        $category_names = get_all_other_taxonomies(get_the_id());
        $areetematiche = get_area_tematica(get_the_id());
        $catevent = get_categoria_evento(get_the_id());
        $indirizzo = get_field('evento_indirizzo');
        $citta = get_field('evento_citta');
        $link = get_field('link_eventbrite');
        $image_slider = get_field('post_immagini_slider');
        $thumbnail = get_the_post_thumbnail_url(get_the_ID());
        $luogo = '';
        $gallery_desk = [];
        $gallery_mob = [];
        if(!empty($indirizzo) && isset($indirizzo)){
            $luogo .= $indirizzo;
        }
        if(!empty($citta) && isset($citta)){
            if(!empty($indirizzo) && isset($indirizzo)){
                $luogo .= ' - ';
            }
            $luogo .= $citta;
        }
        $eventbrite = !empty($link) && isset($link) ? $link : '';
        if(!empty($thumbnail) && isset($thumbnail)){
            $immagine_evidenza_desk = get_the_post_thumbnail_url(get_the_ID(), 'large');
            $immagine_evidenza_mob = get_the_post_thumbnail_url(get_the_ID(), 'medium');
            if(isset($image_slider) && !empty($image_slider)){
                foreach($image_slider as $imgsl){
                    $gallery_desk[] = $imgsl['sizes']['large'];
                    $gallery_mob[] = $imgsl['sizes']['thumbnail'];
                }
            }
        } elseif (isset($image_slider) && !empty($image_slider)){
            $firstloop = true;
            $immagine_evidenza_desk = $image_slider[0]['sizes']['large'];
            $immagine_evidenza_mob = $image_slider[0]['sizes']['medium'];
            // dd($image_slider);
            foreach($image_slider as $imgsl){
                if(!$firstloop){
                    $gallery_desk[] = $imgsl['sizes']['large'];
                    $gallery_mob[] = $imgsl['sizes']['thumbnail'];
                }
                $firstloop = false;
            }
        } else {
            $immagine_evidenza_desk = '';
            $immagine_evidenza_mob = '';
            $gallery_desk = [];
            $gallery_mob = [];
        };
        $singolo_evento = [
            'title' => get_the_title(),
            'data_evento' => $data_evento,
            'category_names' => $category_names,
            'areetematiche' => $areetematiche,
            'catevent' => $catevent,
            'luogo_display' => $luogo,
            'link' => $eventbrite,
            'immagine_desktop' => $immagine_evidenza_desk,
            'immagine_mobile' => $immagine_evidenza_mob,
            'gallery_full' => $gallery_desk,
            'gallery_thumb' => $gallery_mob,
        ];

        return $singolo_evento;

    }
}