<?php

namespace App\View\Composers;

use Roots\Acorn\View\Composer;

require_once get_template_directory() . '/app/helpers.php';

class SingleStoria extends Composer {
    
    /**
    * List of views served by this composer.
    *
    * @var array
    */
    protected static $views = [
        'partials.content-single-storia',
    ];

    /**
    * Data to be passed to view before rendering, but after merging.
    *
    * @return array
    */
    public function override(){
        return [
            'storia_details' => $this->FieldStoriaSingle()
        ];
    }

    public function FieldStoriaSingle(){
        $titolo = get_field('titolo');
        $titolo_display = !empty($titolo) && isset($titolo) ? $titolo : get_the_title();
        $areetematiche = get_area_tematica(get_the_id());
        $thumbnail = get_the_post_thumbnail_url(get_the_ID());
        $terms_corrente = !empty(get_the_terms(get_the_id(), 'area-tematica')[0]->name) && isset(get_the_terms(get_the_id(), 'area-tematica')[0]->name) ? get_the_terms(get_the_id(), 'area-tematica')[0]->name : '';
        $terms_corrente_slug = !empty(get_the_terms(get_the_id(), 'area-tematica')[0]->slug) && isset(get_the_terms(get_the_id(), 'area-tematica')[0]->slug) ? get_the_terms(get_the_id(), 'area-tematica')[0]->slug : '';
        if(!empty($thumbnail) && isset($thumbnail)){
            $immagine_evidenza_desk = get_the_post_thumbnail_url(get_the_ID(), 'large');
            $immagine_evidenza_mob = get_the_post_thumbnail_url(get_the_ID(), 'medium');
        } elseif (isset($first_image_slider) && !empty($first_image_slider)){
            $immagine_evidenza_desk = $first_image_slider[0]['sizes']['large'];
            $immagine_evidenza_mob = $first_image_slider[0]['sizes']['medium'];
        } else {
            $immagine_evidenza_desk = '';
            $immagine_evidenza_mob = '';
        };
        $singola_storia = [
            'title' => get_the_title(),
            'areetematiche' => $areetematiche,
            'immagine_desktop' => $immagine_evidenza_desk,
            'immagine_mobile' => $immagine_evidenza_mob,
            'terms_corrente' => $terms_corrente,
            'terms_corrente_slug' => $terms_corrente_slug,
            'titolo' => $titolo_display
        ];

        return $singola_storia;
    }
}