<?php
/**
 * Customize admin.
 */

namespace App;


add_action('admin_head', function () {
    echo '
    <style>
        .block-editor .edit-post-sidebar .acf-repeater .acf-row-handle {
            width: 0px;
            padding: 2px;
        }
        .block-editor .edit-post-sidebar .acf-fields > .acf-field {
            margin-left:5px;
        }
        .block-editor .interface-complementary-area {
            width: 500px;
        }
        .block-editor__container img {
            height: -webkit-fill-available;
        }
        .ui-datepicker:not(.gform-legacy-datepicker) .ui-datepicker-header {
            margin: 0;
        }
        .acf-ui-datepicker .ui-datepicker td .ui-state-default {
            padding: 0 .5em;
        }
        .acf-postbox .refresh-youtube{
            padding: 0 15px;
        }
        .editor-styles-wrapper .wp-block-acf-ngf-speakers .acf-repeater img{
            height: 70px;
        }
    </style>'
    ;
});

add_action( 'login_enqueue_scripts',  function () {  ?> 
    <style type="text/css"> 
        body.login div#login h1 a {
            background-image: url("<?php echo asset('images/loghi-desktop/logo-giovanisi-desktop.png'); ?>");
            margin: 0;
            padding: 0;
            width: 100%;
            height: 80px;
            background-size: 250px;
        }
        body.login #login{
            /* border: 10px solid black; */
            width: 370px;
            border-radius: 30px;
            padding: 30px 10px;
            background: white;
            margin-top: auto;
        }
        body.login #loginform{
            border: 0;
            padding: 0 20px;
            box-shadow: unset;
        }
        body.login #loginform .dashicons{
            color: black;
        }
        body.login #login form p.submit{
            width: 100%;
            display: flex;
            flex-direction: column;
        }
        body.login #login form p.submit input{
            width: 100%;
            text-transform: uppercase;
            padding: 12px 20px;
            font-size: 16px;
            border-radius: 20px;
            line-height: 1;
            margin-top: 10px;
            height: unset;
            min-height: unset;
            background: #e50800;
            border: 0;
        }
        body.login{
            display: flex;
            flex-direction: column
        }
        body.login #login form .input{
            border: 1px solid #0000004d;
            border-radius: 20px;
            padding: 0px 10px;
            font-size: 18px;
        }
        body.login #login .notice.notice-info.message{
            border: 0;
            box-shadow: unset;
            text-align: center;
            font-size: 14px;
            padding: 10px 10px 0;
        }
        body.login #login form {
            border: 0;
            box-shadow: unset;
            padding: 0 20px;
        }

        body.login #login_error {
            border: 0;
            box-shadow: unset;
            text-align: center;
            padding: 10px 20px; 
            margin: 0;
        }

        body.login #language-switcher-locales{
            border-radius: 20px;
        }

        body.login .language-switcher {
            padding: 0 0 10px;
        }

        body.login .language-switcher .button {
            border: 0;
            border-radius: 20px;
            box-shadow: unset;
            background: #e50800;
            color: white;
            text-transform: uppercase;
            font-size: 12px;
            line-height: 1;
            height: 100%;
        } 
        body.login .admin-email__actions .admin-email__actions-primary a, body.login .admin-email__actions .admin-email__actions-primary input{
            border-radius: 20px;
            text-transform: uppercase;
            border: 1px solid red;
        }
        body.login .admin-email__actions .admin-email__actions-primary a{
            color: #e50800;
        }
        body.login .admin-email__actions .admin-email__actions-primary input{
            background-color: #e50800;
            color: white;
        }
        body.login .admin-email__heading{
            line-height: 1;
        }

    </style>
<?php });

add_filter('login_headerurl', function () { return ''; });
add_filter('login_headertitle', function () { return 'Giovanisi'; });

add_filter( 'block_categories', function ( $categories, $post ) {
    $custom_category = array(
        'slug' => 'ngf-blocks-giovanisi',
        'title' => __( 'Next Generation Fest', 'giovanisi' ),
    );
    $index = array_search( $custom_category, $categories );
    if ( $index !== false ) {
        unset( $categories[$index] );
    }

    // Aggiungi la categoria personalizzata all'inizio dell'array delle categorie
    array_unshift( $categories, $custom_category );

    return $categories;
}, 999, 2 );

add_filter( 'block_categories', function ( $categories, $post ) {
    $custom_category = array(
        'slug' => 'custom-blocks-giovanisi',
        'title' => __( 'Giovanisì', 'giovanisi' ),
    );
    $index = array_search( $custom_category, $categories );
    if ( $index !== false ) {
        unset( $categories[$index] );
    }

    // Aggiungi la categoria personalizzata all'inizio dell'array delle categorie
    array_unshift( $categories, $custom_category );

    return $categories;
}, 999, 2 );

// // Nascondi Plugin in modalità di produzione
// add_action( 'admin_init', __NAMESPACE__.'\\my_remove_menu_pages' );
// function my_remove_menu_pages() {
//     if (defined('WP_ENV') && WP_ENV == 'production') {
//         remove_menu_page('plugins.php'); // Plugins
//     }
// }
