<?php

/**
 * Theme filters.
 */

namespace App;

function bandi_no_documenti($post_id, $xml_node, $is_update) {
    $import_id = wp_all_import_get_import_id();
    if ($import_id == '6') {
        $record = json_decode(json_encode((array)$xml_node), true);
        if(!empty($record['scadenzadataeora'])) {
            $date = \DateTime::createFromFormat('d/m/Y H:i', $record['scadenzadataeora']);
            $iso_date = $date->format('Y-m-d H:i:s');
            update_post_meta($post_id, 'scadenza', $iso_date);
        }
        if(!empty($record['scadenzadata'])) {
            $date = \DateTime::createFromFormat('d/m/Y', $record['scadenzadata']);
            $iso_date = $date->format('Y-m-d');
            update_post_meta($post_id, 'gs_scadenza_date', $iso_date);
        }
    }
}
add_action('pmxi_saved_post',__NAMESPACE__.'\\bandi_no_documenti', 10, 3);

function bandi_documenti($post_id, $xml_node, $is_update)
{
    $import_id = wp_all_import_get_import_id();
    if ($import_id == '7') {
        $record = json_decode(json_encode((array) $xml_node), true);
        $j = 0;
        for ($i = 0; $i < 14; $i++) {
            $gs_doc_text = !empty($record['documentazione_' . $i . '_gs_doc_text']) ? $record['documentazione_' . $i . '_gs_doc_text'] : '';
            $documento = !empty($record['documentazione_' . $i . '_documento']) ? $record['documentazione_' . $i . '_documento'] : '';
            $link = !empty($record['documentazione_' . $i . '_link']) ? $record['documentazione_' . $i . '_link'] : '';

            if (!empty($gs_doc_text) || !empty($documento) || !empty($link)) {
                if (is_string($link)) {
                    $link = unserialize($link);
                }
                update_post_meta($post_id, 'documentazione_' . $j . '_gs_doc_text', $gs_doc_text);
                update_post_meta($post_id, '_documentazione_' . $j . '_gs_doc_text', 'gs_doc_text');
                update_post_meta($post_id, 'documentazione_' . $j . '_documento', $documento);
                update_post_meta($post_id, '_documentazione_' . $j . '_documento', 'field_5d0b98c7a4324');
                update_post_meta($post_id, 'documentazione_' . $j . '_link', $link);
                update_post_meta($post_id, '_documentazione_' . $j . '_link', 'field_5d38729973ab9');
                $j++;
            }
        }
        $array = array();

        for ($i = 0; $i < $j; $i++) {
            $array[] = 'docs';
        }
        update_post_meta($post_id, 'documentazione', $array);
        update_post_meta($post_id, '_documentazione', 'field_5d0b98aea4323');
    }
}
add_action('pmxi_saved_post',__NAMESPACE__.'\\bandi_documenti', 10, 3);

function eventi_date($post_id, $xml_node, $is_update) {
    $import_id = wp_all_import_get_import_id();
    if ($import_id == '9') {
        $record = json_decode(json_encode((array)$xml_node), true);
        if(!empty($record['datainizio'])) {
            $date = \DateTime::createFromFormat('d/m/Y H:i', $record['datainizio']);
            $iso_date = $date->format('Y-m-d H:i:s');
            update_post_meta($post_id, 'evento_data_inizio', $iso_date);
        }
        if(!empty($record['datafine'])) {
            $date = \DateTime::createFromFormat('d/m/Y H:i', $record['datafine']);
            $iso_date = $date->format('Y-m-d H:i:s');
            update_post_meta($post_id, 'evento_data_fine', $iso_date);
        }
    }
}
add_action('pmxi_saved_post',__NAMESPACE__.'\\eventi_date', 10, 3);


add_action( 'wp',__NAMESPACE__.'\\custom_maybe_activate_user', 9 );
function custom_maybe_activate_user() {
	$template_path    = get_stylesheet_directory() . '/resources/views/activate.blade.php';
	$is_activate_page = isset( $_GET['page'] ) && $_GET['page'] === 'gf_activation';
	$is_activate_page = $is_activate_page || isset( $_GET['gfur_activation'] ); // WP 5.5 Compatibility

	if ( ! file_exists( $template_path ) || ! $is_activate_page ) {
		return;
	}

    echo \Roots\view($template_path)->render();

	exit();
}

global $api_status;
$api_status = 0;

add_filter('gform_validation_5',__NAMESPACE__.'\\newsletter', 10, 2);
function newsletter($validation_result)
{
	$form = $validation_result['form'];

	foreach ($form['fields'] as $field) {
		if ($field->failed_validation) {
			return $validation_result;
		}
	}

	$nome = rgpost('input_5');
	$cognome = rgpost('input_6');
	$email = rgpost('input_4');

	$url = get_field('login_url_api_newsletter', 'options-general');
	$username = get_field('username_api_newsletter', 'options-general');
	$password = get_field('password_api_newsletter', 'options-general');

	if (!empty($url) && !empty($username) && !empty($password)) {
		$decoded_response = api_login($url, $username, $password);

		if (isset($decoded_response->access_token)) {
			$access_token = $decoded_response->access_token;
			$url = get_field('add_user_url_api_newsletter', 'options-general');

			if (!empty($url) && !empty($access_token)) {

				$decoded_response = api_add_user($url, $nome, $cognome, $email, $access_token);

				if ($decoded_response->status == "ok") {
					if ($decoded_response->message == "updated")
						$api_status = 2;
					$validation_result['is_valid'] = true;

					return $validation_result;
				} else {
					$api_status = 1;
					$validation_result['is_valid'] = false;

					return $validation_result;
				}
			} else {
				global $api_status;
				$api_status = 1;
				$validation_result['is_valid'] = false;

				return $validation_result;
			}
		} else {
			global $api_status;
			$api_status = 1;
			$validation_result['is_valid'] = false;

			return $validation_result;
		}
	} else {
		global $api_status;
		$api_status = 1;
		$validation_result['is_valid'] = false;

		return $validation_result;
	}
}

add_filter('gform_validation_message', __NAMESPACE__.'\\change_message', 10, 2);
function change_message($message, $form)
{
	global $api_status;

	if ($api_status == 1)
		return 'Errore imprevisto sul server. Riprova più tardi.';
	else if ($api_status == 2)
		return 'Abbiamo aggiornato i tuoi dati per la newsletter. Grazie!';
	else
		return 'C\'è stato un problema con il tuo invio. Verifica i campi qui sotto.';
}

function api_login($url, $username, $password)
{
	$request_body = array(
		'username' => $username,
		'password' => $password,
	);

	$request_headers = array(
		'Content-Type' => 'application/x-www-form-urlencoded',
	);

	$response = wp_remote_post(
		$url,
		array(
			'body' => $request_body,
			'headers' => $request_headers,
		)
	);

	return json_decode($response['body']);
}

function api_add_user($url, $nome, $cognome, $email, $access_token)
{
	$curl = curl_init();

	curl_setopt_array($curl, [
		CURLOPT_URL => $url,
		CURLOPT_RETURNTRANSFER => true,
		CURLOPT_ENCODING => "",
		CURLOPT_MAXREDIRS => 10,
		CURLOPT_TIMEOUT => 30,
		CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
		CURLOPT_CUSTOMREQUEST => "POST",
		CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"nome\"\r\n\r\n" . $nome . "\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"cognome\"\r\n\r\n" . $cognome . "\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"email\"\r\n\r\n" . $email . "\r\n-----011000010111000001101001--\r\n",
		CURLOPT_HTTPHEADER => [
			"Authorization: Bearer " . $access_token,
			"Content-Type: multipart/form-data; boundary=---011000010111000001101001"
		],
	]);

	$response = curl_exec($curl);
	$err = curl_error($curl);

	curl_close($curl);

	return json_decode($response);
}

function my_posts_filter($query) {
    if (is_admin() && $query->is_main_query() && !current_user_can('manage_options')) {
        if ($query->get('post_type') === 'post-magazine') {
            $query->set('author', get_current_user_id());
        }
    }
}
add_action('pre_get_posts', __NAMESPACE__.'\\my_posts_filter');

function disable_gutenberg_for_specific_role_and_post_type($can_edit, $post_type) {
    if ($post_type === 'post-magazine') {
        $current_user = wp_get_current_user();
        if (in_array('subscriber', $current_user->roles)) {
            return false;
        }
    }

    return $can_edit;
}

add_filter('use_block_editor_for_post_type', __NAMESPACE__.'\\disable_gutenberg_for_specific_role_and_post_type', 10, 2);

function wpdocs_run_on_publish_only($new_status, $old_status, $post)
{
    if ('pending' === $new_status && user_can($post->post_author, 'edit_posts_magazine') && !user_can($post->post_author, 'publish_posts_magazine')) {
        $pending_submission_email = get_field('email_notifiche_approvazione_post_magazine', 'options-general');
        $admins = (empty($pending_submission_email)) ? get_option('admin_email') : $pending_submission_email;
        $edit_link = get_edit_post_link($post->ID, '');
        $preview_link = get_permalink($post->ID) . '&preview=true';
        $username = get_userdata($post->post_author);
        $username_last_edit = get_the_modified_author();
        $subject = 'Nuovo post del magazine in attesa di revisione: "' . $post->post_title . '"';
        $message = 'Un nuovo post del magazine è in attesa di essere esaminato.';
        $message .= "\r\n\r\n";
        $message .= 'Autore: ' . $username->user_login . "\r\n";
        $message .= 'Titolo: ' . $post->post_title . "\r\n";
        $message .= 'Ultima modifica di: ' . $username_last_edit . "\r\n";
        $message .= 'Data dell\'ultima modifica: ' . $post->post_modified;
        $message .= "\r\n\r\n";
        $message .= 'Modifica il post: ' . $edit_link . "\r\n";
        $message .= 'Anteprima del post: ' . $preview_link;
        $result = wp_mail($admins, $subject, $message);
    } elseif ('pending' === $old_status && 'publish' === $new_status && user_can($post->post_author, 'edit_posts_magazine') && !user_can($post->post_author, 'publish_posts_magazine')) {
        $username = get_userdata($post->post_author);
        $url = get_permalink($post->ID);
        $subject = 'Il tuo post è online! ';
        $message = '"' . $post->post_title . '" ' . 'è stato appena pubblicato ' . "! \r\n\r\n";
        $message .= $url;
        $result = wp_mail($username->user_email, $subject, $message);
    }
}
add_action('transition_post_status', __NAMESPACE__.'\\wpdocs_run_on_publish_only', 10, 3);

function remove_media_menu_for_subscribers() {
    $current_user = wp_get_current_user();
    if (in_array('subscriber', $current_user->roles)) {
        remove_menu_page('upload.php');
    }
}
add_action('admin_menu', __NAMESPACE__.'\\remove_media_menu_for_subscribers');

//Disabilita Autop Globalmente
function disable_wpautop_for_all_acf_wysiwyg($value, $post_id, $field) {
    if ($field['type'] === 'wysiwyg') {
        remove_filter('acf_the_content', 'wpautop');
    }
    return $value;
}
add_filter('acf/format_value/type=wysiwyg', __NAMESPACE__.'\\disable_wpautop_for_all_acf_wysiwyg', 9, 3);

function custom_acf_wpautop_control($value, $post_id, $field) {
    // Array di campi su cui applicare autop e nomi dei ripetitori
    $included_fields = ['testo_ngf_info', 'titolo_ngf_generic', 'testo_ngf_generic', 'editor_tit_img_descr_link', 'descrizione_ngf_descrizione_evento'];
    $repeater_name = 'editor_di_testo_blocco_generico';
    $target_repeater_name = 'cards_elenco_cards_tesi';
    $target_repeater_name2 = 'altri_campi_ngf_descrizione_evento';

    // Verifica se il post è di tipo 'bando' e modifica il comportamento per questo tipo
    if (get_post_type($post_id) === 'bando') {
        $current_template = get_page_template_slug($post_id);
        $template_for_bando = 'content-single-bando.php';
        if ($current_template === $template_for_bando || (is_single() && is_singular('bando'))) {
            if (($field['name'] != 'target') || is_preview()) {
                return apply_wpautop($value);
            }
            return $value;
        }
    }

    // Ottieni il campo parent per verificare il nome del ripetitore
    $parent_field = acf_get_field($field['parent']);
    if ((in_array($field['name'], $included_fields) || (isset($parent_field['name']) && in_array($parent_field['name'], [$repeater_name, $target_repeater_name, $target_repeater_name2])) || is_preview())) {
        return apply_wpautop($value);
    }

    return $value;
}

function apply_wpautop($value) {
    add_filter('acf_the_content', 'wpautop');
    $value = apply_filters('acf_the_content', $value);
    remove_filter('acf_the_content', 'wpautop');
    return $value;
}

add_filter('acf/format_value/type=wysiwyg', __NAMESPACE__.'\\custom_acf_wpautop_control', 9, 3);




//Inserisci anche il nome della storia a fianco della scelta relazionale
function custom_acf_relationship_result_list($title, $post, $field) {
    if ($field['name'] === 'storie_possibili_scelta_storie') {
        $post_title = get_the_title();
        $titolo_storia = get_field('titolo', $post->ID);
        $post_id_storia = get_post_meta($post->ID, '_acf_post_id', true);
        $result = sprintf('%s - %s', $title, $titolo_storia, $post_id_storia);
        return $result;
    } else {
        // Se il campo non è 'storie_possibili_scelta_storie', restituisci il titolo normale
        return $title;
    }
}
add_filter('acf/fields/relationship/result', __NAMESPACE__.'\\custom_acf_relationship_result_list', 10, 4);

// Aggiungi i terms alle select di calendario evento dinamicamente in base ai terms che appartengono alle relative tassonomie
function select_custom_acf_populate( $field ) {
    $taxonomy_map = array(
        'scelta_area_tematica_blocco_calendario_eventi' => 'area-tematica',
        'scelta_categoria_blocco_calendario_eventi' => 'categoria-evento',
        'scelta_tipologia_blocco_calendario_eventi' => 'tipologia-evento'
    );

    // Controlla se il campo corrente è uno di quelli da popolare
    if (isset($taxonomy_map[$field['_name']])) {
        // Recupera i termini della tassonomia corrispondente
        $terms = get_terms(array(
            'taxonomy' => $taxonomy_map[$field['_name']],
            'hide_empty' => false,  // Metti true se vuoi nascondere i termini senza post
        ));

        if (!is_wp_error($terms) && !empty($terms)) {
            $field['choices'] = array('' => 'Tutte');
            foreach ($terms as $term) {
                $field['choices'][$term->slug] = $term->name;
            }
        }
    }

    return $field;
}
// Applica la stessa funzione alle tre select di calendario eventi
foreach (['scelta_area_tematica_blocco_calendario_eventi', 'scelta_categoria_blocco_calendario_eventi', 'scelta_tipologia_blocco_calendario_eventi'] as $field_name) {
    add_filter('acf/load_field/name=' . $field_name, __NAMESPACE__ . '\\select_custom_acf_populate');
}

function customize_oembed_result($html, $url, $args) {
    $video_url = get_field('video_ngf_hero', false, false);
    $video_2_url = get_field('video_ngf_highlights', false, false);

    if ($url === $video_url || $url === $video_2_url) {
        $classes = 'n7-video__iframe w-full aspect-video invisible';  // Classi che vuoi aggiungere
        $html = str_replace('<iframe', '<iframe class="' . $classes . '"', $html);
        $html = preg_replace('/width="[^"]*"/', '', $html);
        $html = preg_replace('/height="[^"]*"/', '', $html);
        $html = preg_replace('/referrerpolicy="[^"]*"/', '', $html);
        $html = preg_replace('/tabindex="[^"]*"/', '', $html);
    }
    return $html;
}
add_filter('oembed_result', __NAMESPACE__.'\\customize_oembed_result', 10, 3);

//GET parameters on failed login
add_action( 'wp_login_failed', __NAMESPACE__.'\\my_front_end_login_fail' );  // hook failed login
function my_front_end_login_fail( $username ) {
   $referrer = $_SERVER['HTTP_REFERER'];  // where did the post submission come from?
   // if there's a valid referrer, and it's not the default log-in screen
   if ( !empty($referrer) && !strstr($referrer,'wp-login') && !strstr($referrer,'wp-admin') ) {
      wp_redirect( $referrer . '?login=failed' );  // let's append some information (login=failed) to the URL for the theme to use
      exit;
   }
}

//Skip Confirmation Logout
add_action('check_admin_referer', __NAMESPACE__.'\\logout_without_confirm', 10, 2);
function logout_without_confirm($action, $result){
    if ($action == "log-out" && !isset($_GET['_wpnonce'])) {
        $redirect_to = isset($_REQUEST['redirect_to']) ? $_REQUEST['redirect_to'] : home_url();
        $location = str_replace('&amp;', '&', wp_logout_url($redirect_to));
        header("Location: $location");
        die;
    }
}

/* Funzioni prese dal vecchio tema */

function filter_handler($approved, $commentdata)
{

	$current_user = wp_get_current_user();
	if (user_can($current_user, "subscriber")) {
		return 0;
	} else {
		return $approved;
	}
}

add_filter('pre_comment_approved', 'filter_handler', '99', 2);

add_action('rss2_item', 'add_my_rss_node');

function add_my_rss_node()
{
	global $post;
	if (has_post_thumbnail($post->ID)) {
		$thumbnail = wp_get_attachment_url(get_post_thumbnail_id($post->ID));
		echo ("<fimage>{$thumbnail}</fimage>");

	}
}
add_action('send_headers', 'send_frame_options_header', 10, 0);

/**
 * Enables the HTTP Strict Transport Security (HSTS) header in WordPress.
 */
function tg_enable_strict_transport_security_hsts_header_wordpress()
{
	header('Strict-Transport-Security: max-age=31536000');
	header('X-Frame-Options: SAMEORIGIN');
	//	header( 'Content-Security-Policy: default-src self https://giovanisi.it http://giovanisi.netseven.work ');
	header('Access-Control-Allow-Origin: https://giovanisi.it');
}

//add_action('send_headers', 'tg_enable_strict_transport_security_hsts_header_wordpress');

add_filter('upload_mimes', function ($file_types) {
    $new_filetypes = array();
    $new_filetypes['svg'] = 'image/svg+xml';
    $new_filetypes['webp'] = 'image/webp';
    $file_types = array_merge($file_types, $new_filetypes);
    return $file_types;
});

add_action( 'template_redirect', function () {
    if( is_category() || is_tag() || is_date() || is_author() ) {
        wp_redirect( home_url() );
        exit;
    }
});
   
add_filter('acf/load_field/name=seleziona_tipologia_di_evento_tab2_mappa', function ( $field ) {
    $field['choices'] = array();
    $field['choices']['all'] = 'Tutte';
    $terms = get_terms( array(
        'taxonomy' => 'categoria-evento',
        'hide_empty' => false,
    ));
    if( !empty($terms) && !is_wp_error($terms) ){
        foreach( $terms as $term ){
            $field['choices'][$term->slug] = $term->name;
        }
    }
    return $field;
});

add_filter('acf/load_field/name=seleziona_tipologia_di_evento_tab1_mappa', function ( $field ) {
    $field['choices'] = array();
    $field['choices']['all'] = 'Tutte';
    $terms = get_terms( array(
        'taxonomy' => 'categoria-evento',
        'hide_empty' => false,
    ));
    if( !empty($terms) && !is_wp_error($terms) ){
        foreach( $terms as $term ){
            $field['choices'][$term->slug] = $term->name;
        }
    }
    return $field;
});

add_action('admin_footer', function() { ?>
    <script>
    jQuery(document).ready(function($) {
        var inputField = $('.post-type-post-magazine #poststuff #titlewrap input#title');
        var inputWrapper = $('.post-type-post-magazine #poststuff #titlewrap');
        inputField.on('input', function() {
            var inputLength = $(this).val().length;
            if (inputLength > 64) {
                $(this).css({
                    'border-color': '#ff9966',
                    'border-width': '2px'
                });
                if (inputWrapper.find('.length-warning').length === 0) {
                    inputWrapper.append('<strong class="length-warning" style="margin-top: 0; color: #ff9966;">Il titolo supera la lunghezza massima consigliata di 64 caratteri.</strong>');
                }
            } else {
                $(this).css({
                    'border-color': '',
                    'border-width': ''
                });
                inputWrapper.find('.length-warning').remove();
            }
        });
    });
    </script>
<?php });

//Block Task Force Page to Task Force User

function hide_menu(){
    global $current_user;
    $user = wp_get_current_user();
    if (in_array('taskforce', $user->roles)) {
        remove_menu_page( 'index.php' );
        remove_menu_page( 'users.php' );
        remove_menu_page( 'upload.php' );
        remove_submenu_page( 'users.php', 'user-new.php' );
        remove_submenu_page( 'users.php', 'profile.php' );
        remove_submenu_page( 'upload.php', 'media-new.php' );
        remove_menu_page('profile.php');
        remove_menu_page('mappress');
        //BANDO
        remove_menu_page( 'edit.php?post_type=bando' );
        remove_submenu_page( 'edit.php?post_type=bando', 'post-new.php?post_type=bando' );
        //FAQ
        remove_menu_page( 'edit.php?post_type=faq' );
        remove_submenu_page( 'edit.php?post_type=faq', 'post-new.php?post_type=faq' );
        //STORIA
        remove_menu_page( 'edit.php?post_type=storia' );
        remove_submenu_page( 'edit.php?post_type=storia', 'post-new.php?post_type=storia' );
        //EVENTO
        remove_menu_page( 'edit.php?post_type=evento' );
        remove_submenu_page( 'edit.php?post_type=evento', 'post-new.php?post_type=evento' );
        //CAMPAGNA
        remove_menu_page( 'edit.php?post_type=campagna' );
        remove_submenu_page( 'edit.php?post_type=campagna', 'post-new.php?post_type=campagna' );
        //POST
        remove_menu_page( 'edit.php' );
        remove_submenu_page( 'edit.php', 'post-new.php' );
        //PAGE
        remove_menu_page( 'edit.php?post_type=page' );
        remove_submenu_page( 'edit.php?post_type=page', 'post-new.php?post_type=page' );
        //COMMENTI
        remove_menu_page( 'edit-comments.php' );
        remove_menu_page( 'admin.php?page=parent' );

        remove_menu_page( 'tools.php' );                    //Tools
        remove_menu_page( 'options-general.php' );          //Settings
        remove_menu_page( 'plugins.php' );                  //Plugins

        $menu_slug = 'edit.php?post_type=page';
        add_menu_page( 'Task Force', 'Task Force', 'read', $menu_slug, false, 'dashicons-smiley' );
        echo '
        <style>
        li.wp-not-current-submenu.wp-menu-separator{
            display:none;
        }
        #wpcontent #posts-filter .tablenav.top,
        #wpcontent #posts-filter .search-box,
        #wpcontent #posts-filter .tablenav.bottom,
        #wpcontent .subsubsub, .column-mapid .mapp-post-attach,
        .page-title-action, #screen-meta-links, #dashboard-widgets-wrap{
            display:none !important;
        }
        </style>';
    }
}
add_action('admin_head', __NAMESPACE__.'\\hide_menu');

function remove_from_admin_bar($wp_admin_bar) {
    global $current_user;
    $user = wp_get_current_user();
    if (in_array('taskforce', $user->roles)) {

        $wp_admin_bar->remove_node('wp-logo');
        $wp_admin_bar->remove_node('updates');
        $wp_admin_bar->remove_node('comments');
        $wp_admin_bar->remove_node('new-content');
        $wp_admin_bar->remove_menu('wpseo-menu');

    }
}
add_action('admin_bar_menu', __NAMESPACE__.'\\remove_from_admin_bar', 999, 1);


function custom_check_page_publishing($post_ID, $post, $update) {
    // Controlla se il post è di tipo "page"
    if ($post->post_type === 'page') {
        // Controlla se l'utente ha il ruolo "task-force"
        $user = wp_get_current_user();
        if (in_array('taskforce', $user->roles)) {
            // Ottieni lo slug della pagina
            $slug = $post->post_name;
            
            // Controlla se lo slug è diverso da "task-force"
            if ($slug !== 'task-force') {
                // Impedisce il salvataggio e mostra un messaggio di errore
                wp_die('Non hai i permessi per pubblicare. <a href="/wp-admin">Torna alla home</a>');
            }
        }
    }
}
add_action('save_post', __NAMESPACE__.'\\custom_check_page_publishing', 10, 3);

remove_action('wp_head', __NAMESPACE__.'\\print_emoji_detection_script', 7);
remove_action('wp_print_styles', __NAMESPACE__.'\\print_emoji_styles');


// add_filter( 'big_image_size_threshold', '__return_false' );

function save_as_webp($editor, $base_name, $suffix, $width) {
    $editor->resize($width, null, false); // Solo larghezza, altezza proporzionale
    $editor->save($base_name . $suffix . '.webp', 'image/webp');
}

function my_acf_upload_prefilter($errors, $file, $field) {
    if ($field['name'] === 'immagine_slider') {
        // Aggiungi il filtro wp_handle_upload per creare i formati desiderati
        add_filter('wp_handle_upload', __NAMESPACE__ . '\\generate_custom_sizes_on_upload', 10, 2);
    } elseif ($field['name'] === 'immagine_slider_mobile') {
        // Aggiungi il filtro wp_handle_upload per creare solo il formato 450px per mobile
        add_filter('wp_handle_upload', __NAMESPACE__ . '\\generate_mobile_size_on_upload', 10, 2);
    }
    return $errors;
}

function generate_custom_sizes_on_upload($upload) {
    // Rimuovi il filtro per evitare esecuzioni multiple
    remove_filter('wp_handle_upload', __NAMESPACE__ . '\\generate_custom_sizes_on_upload', 10, 2);

    // Verifica che il file caricato sia un'immagine
    $image_mime_types = ['image/jpeg', 'image/png', 'image/gif', 'image/webp', 'image/avif'];
    if (in_array($upload['type'], $image_mime_types)) {
        $image_path = $upload['file'];
        $editor = wp_get_image_editor($image_path);

        if (!is_wp_error($editor)) {
            $path_info = pathinfo($image_path);
            $base_name = $path_info['dirname'] . '/' . $path_info['filename'];

            // Genera dimensioni personalizzate solo per desktop (1440px e 1024px)
            $sizes = [
                ['suffix' => '-2048w', 'width' => 2048],
                ['suffix' => '-1920w', 'width' => 1920],
                ['suffix' => '-1440w', 'width' => 1440],
                ['suffix' => '-1024w', 'width' => 1024],
            ];

            foreach ($sizes as $size) {
                save_as_webp($editor, $base_name, $size['suffix'], $size['width']);
                // Ripristina l'editor con l'immagine originale per evitare accumulo di errori
                $editor = wp_get_image_editor($image_path);
            }
        }
    }
    return $upload;
}

function generate_mobile_size_on_upload($upload) {
    // Rimuovi il filtro per evitare esecuzioni multiple
    remove_filter('wp_handle_upload', __NAMESPACE__ . '\\generate_mobile_size_on_upload', 10, 2);

    // Verifica che il file caricato sia un'immagine
    $image_mime_types = ['image/jpeg', 'image/png', 'image/gif', 'image/webp'];
    if (in_array($upload['type'], $image_mime_types)) {
        $image_path = $upload['file'];
        $editor = wp_get_image_editor($image_path);

        if (!is_wp_error($editor)) {
            $path_info = pathinfo($image_path);
            $base_name = $path_info['dirname'] . '/' . $path_info['filename'];

            // Dimensione personalizzata per mobile (458 x altezza proporzionale)
            save_as_webp($editor, $base_name, '-458w', 458);
        }
    }
    return $upload;
}

// Aggiungi il pre-filtro al caricamento di file tramite i campi ACF specificati
add_filter('acf/upload_prefilter/name=immagine_slider', __NAMESPACE__ . '\\my_acf_upload_prefilter', 10, 3);
add_filter('acf/upload_prefilter/name=immagine_slider_mobile', __NAMESPACE__ . '\\my_acf_upload_prefilter', 10, 3);


/*------ OG:IMAGE -------*/

// Forza l'OG image nell'header
// add_action('wp_head', function () {
//     echo '<meta property="og:image" content="' . esc_url(asset('images/banner.jpg')->uri()) . '"/>';
//     echo '<meta name="twitter:image" content="' . esc_url(asset('images/banner.jpg')->uri()) . '"/>';
// }, 999); // Priorità alta per sovrascrivere altri plugin

// Forza l'immagine per Yoast SEO
// function force_og_image($image) {
//     return asset('images/banner.jpg')->uri();
// }
// add_filter('wpseo_opengraph_image', __NAMESPACE__ . '\\force_og_image', 999);
// add_filter('wpseo_twitter_image', __NAMESPACE__ . '\\force_og_image', 999);

// Rimuovi tutte le immagini aggiuntive
// add_filter('wpseo_opengraph_image', '__return_false');

/*------ END OG:IMAGE -------*/