<?php

class DropdownMenuWalker extends Walker_Nav_Menu {

    private $dropdown_counter = 0;

    /* Classi */
    function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
        $classes = empty( $item->classes ) ? array() : (array) $item->classes;
        $svg_path = asset('images/icons.svg').'#mini--chevron-down';
        // Se l'elemento <li> ha figli e siamo al livello 0
        if( in_array('menu-item-has-children', $classes) && $depth === 0 ) {
            $this->dropdown_counter++;
            $dropdown_id = 'submenumenu-' . $this->dropdown_counter;
            $html_li_w_children = '<li class="n7-dropdown-menu n7-primary-navigation__item">';
            $html_button = '<button class="n7-dropdown-menu__trigger dropdown-trigger group w-full flex items-center hover:underline focus:n7-content-primary aria-expanded:n7-background-01 xl:aria-expanded:bg-white aria-expanded:n7-content-01 p-3 gap-2 text-lg xl:text-sm" aria-expanded="false" aria-controls="' . $dropdown_id . '">';
            $html_svg = '<svg class="inline-block align-middle fill-current w-5 h-5 ml-auto transition-all n7-dropdown-menu__trigger-icon group-aria-expanded:-rotate-180" aria-hidden="true" focusable="false" role="img">';
            $html_use = '<use xlink:href="'.esc_url($svg_path).'"/>';
            $closetag_svg = '</svg>';
            $closetag_button = '</button>';
            $output .= $html_li_w_children.$html_button.$item->title.$html_svg.$html_use.$closetag_svg.$closetag_button;
        // il <li> generico dentro il sottomenu
        } elseif ( $depth > 0 ) {
            $html_li_dropdown = '<li class="n7-dropdown-menu__item group py-1 xl:py-0">';
            $html_a_dropdown = '<a class="block p-3 xl:p-4 transition bg-white text-lg xl:text-base hover:underline hover:n7-background-01 focus:n7-background-01 xl:text-center font-bold" href="' . esc_url( $item->url ) . '">';
            $closetag_a = '</a>';
            $output .= $html_li_dropdown.$html_a_dropdown.$item->title.$closetag_a;
        } else {
            $html_a = '<a href="'. esc_url( $item->url ) . '" class="group w-full flex items-center p-3 gap-2 hover:underline focus:n7-content-primary text-lg xl:text-sm">' . $item->title . '</a>';
            $output .= '<li>' . $html_a;
        }
    }

    function end_el( &$output, $item, $depth = 0, $args = null ) {
        if ( $depth === 0 ) {
            $closetag_li = '</li>';
            $output .= $closetag_li;
        }
    }

    /* Inizio Sottomenu <ul> */
    function start_lvl( &$output, $depth = 0, $args = null ) {
        $dropdown_id = 'submenumenu-'.$this->dropdown_counter;
        $html_ul_dropdown = '<ul class="n7-dropdown-menu__list hidden pt-2 xl:pt-0 xl:absolute border-t-4 border-black xl:shadow-md xl:w-52 xl:z-10" id="'.$dropdown_id.'">';
        if( $depth === 0 ) {
            $output .= $html_ul_dropdown;
        }
    }

    /* Fine menu <ul> */
    function end_lvl( &$output, $depth = 0, $args = null ) {
        $closetag_ul = '</ul>';
        if( $depth === 0 ) {
            $output .= $closetag_ul;
        }
    }

}

class FooterMenuWalker extends Walker_Nav_Menu {
    /* Classi */
    function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
        $output .= '<li class="group"><a href="'. esc_url( $item->url ) . '" class="n7-link py-2 px-6 xl:py-2 text-white hover:text-white focus:text-white xl:border-r group-last-of-type:border-r-0">' . $item->title . '</a></li>';
    }
}
