<?php
/**
 * Customize TinyMCE Editor.
 */

namespace App;

/**
 * Aggiunge un bottone personalizzato all'editor TinyMCE di ACF.
 */

add_filter('acf/fields/wysiwyg/toolbars', __NAMESPACE__.'\\custom_acf_toolbar');

function custom_acf_toolbar($toolbars) {
    // Aggiungo le toolbar personalizzate
    $toolbars['Custom Toolbar'] = array();
    $toolbars['Custom Toolbar'][1] = array('bold', 'italic', 'forecolor', 'link', 'unlink', 'background_button', 'custom_style_font');
    $toolbars['Giovanisi'] = array();
    $toolbars['Giovanisi'][1] = array('bold', 'italic');
    $toolbars['Giovanisi w link'] = array();
    $toolbars['Giovanisi w link'][1] = array('bold', 'italic', 'link', 'unlink');
    return $toolbars;
}

add_action('acf/input/admin_footer', __NAMESPACE__.'\\add_custom_button_script');
function add_custom_button_script() { ?>
    <script type="text/javascript">
        acf.addFilter('wysiwyg_tinymce_settings', function(mceInit, id, field) {
            mceInit.verify_html = false;
            mceInit.plugins += ',textcolor,colorpicker,wordpress,wplink'
            var _setup = mceInit.setup;
            mceInit.setup = function(ed) {
              _setup.apply(this, arguments);
              ed.addButton('background_button', {
                type: 'button',
                text: 'Background',
                classes: 'background',
                onclick: function() {
                  // Apri una finestra modale TinyMCE
                  ed.windowManager.open({
                    title: 'Seleziona il colore di sfondo',
                    body: [
                        {type: 'colorpicker', name: 'backgroundColor', label: 'Colore di sfondo'},
                    ],
                    onsubmit: function(e) {
                        var backgroundColor = e.data.backgroundColor;
                        var selectedText = ed.selection.getContent({ format: 'html' });
                        var html = '<span class="gradient-text-editor" style="background-color:' + backgroundColor + ';">' + selectedText + '</span>';
                        ed.selection.setContent(html);
                    }
                  });
                }
              });
              ed.addButton('custom_style_font', {
                type: 'button',
                text: 'Gradient',
                classes: 'gradient',
                onclick: function() {
                  var selectedText = ed.selection.getContent({ format: 'html' });
                  var html = '<span class="background-text-editor" style="background: linear-gradient(90deg, rgba(14,0,255,1) 0%, rgba(121,9,113,1) 42%, rgba(255,0,52,1) 100%); -webkit-background-clip: text; -webkit-text-fill-color: transparent;">' + selectedText + '</span>';
                  ed.selection.setContent(html);
                }
              });
            };
            return mceInit;
        });
    </script>
  <?php
}
