<?php

/**
 * Theme filters.
 */

 namespace App;

if (defined('WP_CLI') && WP_CLI) {
    // Usa la classe base WP_CLI_Command dal namespace globale
    class Check_Bandi_Command extends \WP_CLI_Command {

            public function check_stato($args, $assoc_args) {
                
                global $post;

                $dateTimeZone = new \DateTimeZone('Europe/Rome');
                $current_date = new \DateTime('now', $dateTimeZone); // Oggetto DateTime per la data e ora corrente

                $attivazione_calculate = '';
                $scadenza_calculate = '';

                $total_bandi = default_query_giovanisi('bando', -1, 'ASC', ['relation' => 'OR', [
                    'key' => 'stato', 'value' => 'attivo', 'compare' => '='
                ], [
                    'key' => 'stato', 'value' => 'in_attivazione', 'compare' => '='
                ]], [], '', '', []);

                // $current_hour = (int)$current_date->format('H');
                $current_hour = $current_date->format('H');

                $log_file_path = get_theme_file_path().'/change_status.log';
                if (!file_exists($log_file_path)) {
                    file_put_contents($log_file_path, ""); // Assicurarsi di creare un file di log se non esiste
                }
                $elenco = [];

                $count_updated = 0; // Contatore per tenere traccia di quanti bandi sono stati aggiornati
                if (!empty($total_bandi)) {
                    foreach ($total_bandi as $total) {
                
                        $stato = get_post_meta($total->ID, 'stato', true);
                        $log_entry = "";

                        if (isset($stato) && !empty($stato)) {

                            if ($stato == 'attivo') {

                                // $scadenza = \DateTime::createFromFormat('d/m/Y H:i', get_field('scadenza', $total->ID), $dateTimeZone) ?: \DateTime::createFromFormat('d/m/Y', get_field('gs_scadenza_date', $total->ID).' 23:59', $dateTimeZone);
                                $scadenza_testo = get_field('gs_scadenza_text', $total->ID);

                                if (empty($scadenza_testo) && isset($scadenza_testo)) {

                                    $scadenza = get_field('scadenza', $total->ID);
                                    $scadenza_date = get_field('gs_scadenza_date', $total->ID);
                                    if (isset($scadenza) && !empty($scadenza)) {
                                        $scadenza_calculate = \DateTime::createFromFormat('d/m/Y H:i', $scadenza, $dateTimeZone);
                                    } elseif (isset($scadenza_date) && !empty($scadenza_date)) {
                                        $scadenza_calculate = \DateTime::createFromFormat('d/m/Y H:i', $scadenza_date.' 23:59', $dateTimeZone);
                                    }

                                    if ($scadenza_calculate && $scadenza_calculate < $current_date && $current_hour >= 10) {
                                        $log_entry .= "[" . $current_date->format('Y-m-d H:i:s') . "][ $total->ID ] attivo ---> in archivio.\n";
                                        $elenco [] = $total->ID.' - '.substr($total->post_title, 0, 35).'... -  attivo ---> in archivio';
                                        //update_post_meta($total->ID, 'stato', 'archivio'); Aggiornamento dello stato nel database
                                        update_field('stato', 'archivio', $total->ID);
                                        $count_updated++;
                                    }
                                }

                            } elseif ($stato == 'in_attivazione') {

                                $attivazione_testo = get_field('data_di_attivazione', $total->ID);

                                if (empty($attivazione_testo) && isset($attivazione_testo)) {

                                    $attivazionedataora = get_field('data_di_attivazione_data_e_ora',  $total->ID);
                                    $attivazionedata = get_field('data_di_attivazione_data',  $total->ID);
                                    if (isset($attivazionedataora) && !empty($attivazionedataora)) {
                                        $attivazione_calculate = \DateTime::createFromFormat('d/m/Y H:i', $attivazionedataora, $dateTimeZone);
                                    } elseif (isset($attivazionedata) && !empty($attivazionedata)) {
                                        $attivazione_calculate = \DateTime::createFromFormat('d/m/Y H:i', $attivazionedata.' 00:00', $dateTimeZone);
                                    }

                                    if ($attivazione_calculate && $attivazione_calculate < $current_date && $current_hour >= 10) {
                                        $log_entry .= "[" . $current_date->format('Y-m-d H:i:s') . "][ $total->ID ] in attivazione ---> attivo.\n";
                                        $elenco [] = $total->ID.' - '.substr($total->post_title, 0, 35).'... -  in attivazione ---> attivo';
                                        // update_post_meta($total->ID, 'stato', 'attivo'); Aggiornamento dello stato nel database
                                        update_field('stato', 'attivo', $total->ID);
                                        $count_updated++;
                                    }

                                }
                            }

                            if ($log_entry) {
                                file_put_contents($log_file_path, $log_entry, FILE_APPEND);
                            }
                        }
                    }
                } else {
                    $log_entry = "[" . $current_date->format('Y-m-d H:i:s') . "] Nessun bando attivo o in attivazione da processare.\n";
                    file_put_contents($log_file_path, $log_entry, FILE_APPEND);
                }

                if ($count_updated > 0) {
                    \WP_CLI::success("$count_updated bandi sono stati aggiornati.");
                    foreach ($elenco as $dettaglio) {
                        \WP_CLI::log("$dettaglio");
                    }
                } else {
                    \WP_CLI::line("Nessun bando necessita di aggiornamento.");
                }
            }
        }

    \WP_CLI::add_command('check_bandi', '\App\Check_Bandi_Command');
}
