// jQuery(document).ready(function(){
//     jQuery('.pagination-container-net7').on('click', '.n7-pagination a', function(e){
//         e.preventDefault();
//         var link = jQuery(this).attr('href');
//         jQuery('.pagination-container-net7').load(link+' .pagination-container-net7');
//         jQuery('html, body').animate({scrollTop: jQuery('.pagination-container-net7').offset().top - 220}, 'fast');
//     });
// });

//Ajax Bandi
function doAjax(status, eta, page, areaTematica, postperpage, isarchive) {
    jQuery.ajax({
        type: 'POST',
        url: ajax_object.ajax_url,
        data: {
            action: 'charge_bandi',
            nonce: ajax_object.nonce,
            status: status, // Stato del bando
            eta: eta, // Fascia di età
            page: page,
            area_tematica: areaTematica,
            postperpage : postperpage,
            isarchive : isarchive
        },
        success: function(response) {
            jQuery('.bando-container-filter').html(response);
            jQuery('.pagination').attr('data-current-page', page);
            jQuery('html, body').animate({scrollTop: jQuery('.bando-container-filter').offset().top - 350}, 'fast');
        },
        error: function() {
            console.error('Errore nella richiesta.');
        }
    });
}

// Gestione click sui bottoni di stato
jQuery('.filter-button').on('click', function(e) {
    e.preventDefault();
    var wasActive = jQuery(this).hasClass('active');
    var buttonId = jQuery(this).attr('id'); // Otteniamo l'ID del filter-button cliccato
    jQuery('.filter-button').removeClass('active').removeAttr('aria-selected'); // Rimuove la classe active da tutti i bottoni di stato
    if (!wasActive) {
        jQuery(this).addClass('active').attr('aria-selected','true'); // Aggiunge la classe active solo se non era già attiva
        jQuery('#opportunityTabpanel').attr('aria-labelledby', buttonId); // Impostiamo l'attributo aria-labelledby con l'ID del button cliccat
    }
    var status = !wasActive ? jQuery(this).data('status') : ''; // Se era attivo, resetta lo stato
    var eta = jQuery('.scelta-eta.active').data('eta') || ''; // Prende l'età attiva se presente
    var areaTematica = jQuery('.filter-container-net7').data('area-tematica') || ''; // Ottieni il valore di data-area-tematica
    var postperpage = jQuery('.filter-container-net7').data('post-per-page');
    var isarchive = jQuery('.filter-container-net7').data('is-archive');
    doAjax(status, eta, 1, areaTematica, postperpage, isarchive);
});

// Gestione click sui filtri di età
jQuery('.scelta-eta').on('change', function(e) {
    e.preventDefault();
    jQuery('.scelta-eta').not(this).prop('checked', false); 
    var wasActive = jQuery(this).hasClass('active');
    jQuery('.scelta-eta').removeClass('active'); // Rimuove la classe active da tutti i filtri di età
    if (!wasActive) {
        jQuery(this).addClass('active'); // Aggiunge la classe active solo se non era già attiva
    }
    var eta = !wasActive ? jQuery(this).data('eta') : ''; // Se era attivo, resetta l'età
    var status = jQuery('.filter-button.active').data('status') || ''; // Prende lo stato attivo se presente
    var areaTematica = jQuery('.filter-container-net7').data('area-tematica') || ''; // Ottieni il valore di data-area-tematica
    var postperpage = jQuery('.filter-container-net7').data('post-per-page');
    var isarchive = jQuery('.filter-container-net7').data('is-archive');
    doAjax(status, eta, 1, areaTematica, postperpage, isarchive);
});

jQuery('.bando-container-filter').on('click', '.first-page-net7, .last-page-net7, .prev-page-net7, .next-page-net7, .page-number-net7', function(e) {
    e.preventDefault();
    var currentPage = parseInt(jQuery('.pagination').attr('data-current-page'));
    var maxPage = parseInt(jQuery('.pagination').attr('data-max-page'));
    var isNext = jQuery(this).hasClass('next-page-net7');
    var isPrev = jQuery(this).hasClass('prev-page-net7');
    var isFirst = jQuery(this).hasClass('first-page-net7');
    var isLast = jQuery(this).hasClass('last-page-net7');
    var isNumber = jQuery(this).hasClass('page-number-net7');
    
    var page;
    if (isNext) {
        page = currentPage + 1;
        if (page > maxPage) {
            page = maxPage;
        }
    } else if (isPrev) {
        page = currentPage - 1;
        if (page < 1) {
            page = 1;
        }
    } else if (isFirst) {
        page = 1;
    } else if (isLast) {
        page = maxPage;
    } else if (isNumber) {
        page = parseInt(jQuery(this).text());
    }

    // Aggiorna il numero di pagina
    jQuery('.current-page').text(page);
    var status = jQuery('.filter-button.active').data('status') || '';
    var eta = jQuery('.scelta-eta.active').data('eta') || '';
    var areaTematica = jQuery('.filter-container-net7').data('area-tematica') || ''; // Ottieni il valore di data-area-tematica
    var postperpage = jQuery('.filter-container-net7').data('post-per-page');
    var isarchive = jQuery('.filter-container-net7').data('is-archive');
    doAjax(status, eta, page, areaTematica, postperpage, isarchive); // Passa la pagina corrente
});


//Ajax Storie 
function doAjaxStorie(page, areaTematica) {
    jQuery.ajax({
        type: 'POST',
        url: ajax_object.ajax_url,
        data: {
            action: 'charge_storie',
            nonce: ajax_object.nonce,
            page: page,
            area_tematica: areaTematica
        },
        success: function(response) {
            jQuery('.storie-container-filter').html(response);
            jQuery('.pagination').attr('data-current-page', page);
            jQuery('html, body').animate({scrollTop: jQuery('.storie-container-filter').offset().top - 170}, 'fast');
        },
        error: function() {
            console.error('Errore nella richiesta.');
        }
    });
}

// Gestione click sulle aree tematiche
jQuery('.scelta-area-tematica').on('change', function(e) {
    e.preventDefault();
    jQuery('.scelta-area-tematica').not(this).prop('checked', false); 
    var wasActive = jQuery(this).hasClass('active');
    jQuery('.scelta-area-tematica').removeClass('active');
    if (!wasActive) {
        jQuery(this).addClass('active');
    }
    var areaTematica = jQuery('.scelta-area-tematica.active').val();
    doAjaxStorie(1, areaTematica);
});

jQuery('.storie-container-filter').on('click', '.first-page-net7, .last-page-net7, .prev-page-net7, .next-page-net7, .page-number-net7', function(e) {
    e.preventDefault();
    var currentPage = parseInt(jQuery('.pagination').attr('data-current-page'));
    var maxPage = parseInt(jQuery('.pagination').attr('data-max-page'));
    var isNext = jQuery(this).hasClass('next-page-net7');
    var isPrev = jQuery(this).hasClass('prev-page-net7');
    var isFirst = jQuery(this).hasClass('first-page-net7');
    var isLast = jQuery(this).hasClass('last-page-net7');
    var isNumber = jQuery(this).hasClass('page-number-net7');
    
    var page;
    if (isNext) {
        page = currentPage + 1;
        if (page > maxPage) {
            page = maxPage;
        }
    } else if (isPrev) {
        page = currentPage - 1;
        if (page < 1) {
            page = 1;
        }
    } else if (isFirst) {
        page = 1;
    } else if (isLast) {
        page = maxPage;
    } else if (isNumber) {
        page = parseInt(jQuery(this).text());
    }

    // Aggiorna il numero di pagina
    jQuery('.current-page').text(page);
    var areaTematica = jQuery('.scelta-area-tematica.active').val();
    doAjaxStorie(page, areaTematica);
});

//Ajax Categorie News 
function doAjaxCategorieNews(page, categoria) {
    jQuery.ajax({
        type: 'POST',
        url: ajax_object.ajax_url,
        data: {
            action: 'charge_category_news',
            nonce: ajax_object.nonce,
            page: page,
            categoria: categoria
        },
        success: function(response) {
            jQuery('.wrapper-container-articoli').html(response);
            jQuery('.pagination').attr('data-current-page', page);
            jQuery('html, body').animate({scrollTop: jQuery('.wrapper-container-articoli').offset().top - 330}, 'fast');
        },
        error: function() {
            console.error('Errore nella richiesta.');
        }
    });
}

// Gestione cambio categoria selezionata
jQuery('.filter-archive-news').on('change', function(e) {
    var categoria = jQuery(this).val();
    doAjaxCategorieNews(1, categoria);
});

jQuery('.wrapper-container-articoli').on('click', '.first-page-net7, .last-page-net7, .prev-page-net7, .next-page-net7, .page-number-net7', function(e) {
    e.preventDefault();
    var currentPage = parseInt(jQuery('.pagination').attr('data-current-page'));
    var maxPage = parseInt(jQuery('.pagination').attr('data-max-page'));
    var isNext = jQuery(this).hasClass('next-page-net7');
    var isPrev = jQuery(this).hasClass('prev-page-net7');
    var isFirst = jQuery(this).hasClass('first-page-net7');
    var isLast = jQuery(this).hasClass('last-page-net7');
    var isNumber = jQuery(this).hasClass('page-number-net7');
    
    var page;
    if (isNext) {
        page = currentPage + 1;
        if (page > maxPage) {
            page = maxPage;
        }
    } else if (isPrev) {
        page = currentPage - 1;
        if (page < 1) {
            page = 1;
        }
    } else if (isFirst) {
        page = 1;
    } else if (isLast) {
        page = maxPage;
    } else if (isNumber) {
        page = parseInt(jQuery(this).text());
    }

    // Aggiorna il numero di pagina
    jQuery('.current-page').text(page);
    var categoria = jQuery('.filter-archive-news').val(); 

    doAjaxCategorieNews(page, categoria);
});

//Ajax Campagna
function doAjaxCampagna(page, evidenza) {
    jQuery.ajax({
        type: 'POST',
        url: ajax_object.ajax_url,
        data: {
            action: 'charge_campagne',
            nonce: ajax_object.nonce,
            page: page,
            evidenza: evidenza
        },
        success: function(response) {
            jQuery('.filter-campagne').html(response);
            jQuery('.pagination').attr('data-current-page', page);
            jQuery('html, body').animate({scrollTop: jQuery('.filter-campagne').offset().top - 150}, 'fast');
        },
        error: function() {
            console.error('Errore nella richiesta.');
        }
    });
}

jQuery('.filter-campagne').on('click', '.first-page-net7, .last-page-net7, .prev-page-net7, .next-page-net7, .page-number-net7', function(e) {
    e.preventDefault();
    var currentPage = parseInt(jQuery('.pagination').attr('data-current-page'));
    var maxPage = parseInt(jQuery('.pagination').attr('data-max-page'));
    var isNext = jQuery(this).hasClass('next-page-net7');
    var isPrev = jQuery(this).hasClass('prev-page-net7');
    var isFirst = jQuery(this).hasClass('first-page-net7');
    var isLast = jQuery(this).hasClass('last-page-net7');
    var isNumber = jQuery(this).hasClass('page-number-net7');
    var page;
    if (isNext) {
        page = currentPage + 1;
        if (page > maxPage) {
            page = maxPage;
        }
    } else if (isPrev) {
        page = currentPage - 1;
        if (page < 1) {
            page = 1;
        }
    } else if (isFirst) {
        page = 1;
    } else if (isLast) {
        page = maxPage;
    } else if (isNumber) {
        page = parseInt(jQuery(this).text());
    }

    // Aggiorna il numero di pagina
    jQuery('.current-page').text(page);
    var evidenza = jQuery('.campagne-posts').data('id');
    doAjaxCampagna(page, evidenza);
});

//Ajax PostMagazine
function doAjaxPostMag(page) {
    jQuery.ajax({
        type: 'POST',
        url: ajax_object.ajax_url,
        data: {
            action: 'charge_postmagazine',
            nonce: ajax_object.nonce,
            page: page,
        },
        success: function(response) {
            jQuery('.wrapper-container-articoli-postmag').html(response);
            jQuery('.pagination').attr('data-current-page', page);
            jQuery('html, body').animate({scrollTop: jQuery('.wrapper-container-articoli-postmag').offset().top - 350}, 'fast');
        },
        error: function() {
            console.error('Errore nella richiesta.');
        }
    });
}

jQuery('.wrapper-container-articoli-postmag').on('click', '.first-page-net7, .last-page-net7, .prev-page-net7, .next-page-net7, .page-number-net7', function(e) {
    e.preventDefault();
    var currentPage = parseInt(jQuery('.pagination').attr('data-current-page'));
    var maxPage = parseInt(jQuery('.pagination').attr('data-max-page'));
    var isNext = jQuery(this).hasClass('next-page-net7');
    var isPrev = jQuery(this).hasClass('prev-page-net7');
    var isFirst = jQuery(this).hasClass('first-page-net7');
    var isLast = jQuery(this).hasClass('last-page-net7');
    var isNumber = jQuery(this).hasClass('page-number-net7');
    var page;
    if (isNext) {
        page = currentPage + 1;
        if (page > maxPage) {
            page = maxPage;
        }
    } else if (isPrev) {
        page = currentPage - 1;
        if (page < 1) {
            page = 1;
        }
    } else if (isFirst) {
        page = 1;
    } else if (isLast) {
        page = maxPage;
    } else if (isNumber) {
        page = parseInt(jQuery(this).text());
    }

    // Aggiorna il numero di pagina
    jQuery('.current-page').text(page);
    doAjaxPostMag(page);
});

//Ajax Search
function doAjaxSearch(page) {
    var searchKey = ''; // Inizializza la variabile searchKey

    // Recupera il valore del parametro $_GET['s'] se presente e non vuoto
    var searchParam = new URLSearchParams(window.location.search);
    if (searchParam.has('s')) {
        searchKey = searchParam.get('s');
    }

    jQuery('#loader').show();

    jQuery.ajax({
        type: 'POST',
        url: ajax_object.ajax_url,
        data: {
            action: 'charge_searchresults',
            nonce: ajax_object.nonce,
            page: page,
            searchkey : searchKey
        },
        success: function(response) {
            jQuery('.wrapper-container-search').html(response);
            jQuery('.pagination').attr('data-current-page', page);
            jQuery('#loader').hide();
            jQuery('html, body').animate({scrollTop: jQuery('.wrapper-container-search').offset().top - 350}, 'fast');
        },
        error: function() {
            console.error('Errore nella richiesta.');
            jQuery('#loader').hide();
        }
    });
}

jQuery('.wrapper-container-search').on('click', '.first-page-net7, .last-page-net7, .prev-page-net7, .next-page-net7, .page-number-net7', function(e) {
    e.preventDefault();
    var currentPage = parseInt(jQuery('.pagination').attr('data-current-page'));
    var maxPage = parseInt(jQuery('.pagination').attr('data-max-page'));
    var isNext = jQuery(this).hasClass('next-page-net7');
    var isPrev = jQuery(this).hasClass('prev-page-net7');
    var isFirst = jQuery(this).hasClass('first-page-net7');
    var isLast = jQuery(this).hasClass('last-page-net7');
    var isNumber = jQuery(this).hasClass('page-number-net7');
    var page;
    if (isNext) {
        page = currentPage + 1;
        if (page > maxPage) {
            page = maxPage;
        }
    } else if (isPrev) {
        page = currentPage - 1;
        if (page < 1) {
            page = 1;
        }
    } else if (isFirst) {
        page = 1;
    } else if (isLast) {
        page = maxPage;
    } else if (isNumber) {
        page = parseInt(jQuery(this).text());
    }

    // Aggiorna il numero di pagina
    jQuery('.current-page').text(page);
    doAjaxSearch(page);
});


//Ajax Eventi
function doAjaxEventi(page, categoria) {
    jQuery.ajax({
        type: 'POST',
        url: ajax_object.ajax_url,
        data: {
            action: 'charge_eventi_filtered',
            nonce: ajax_object.nonce,
            page: page,
            order : jQuery('.pagination-container-net7-big-wrapper').attr('data-order'),
            categoria: jQuery('.pagination-container-net7-big-wrapper').attr('data-tipologia'),
            futuri: jQuery('.pagination-container-net7-big-wrapper').attr('data-futuri'),
        },
        success: function(response) {
            jQuery('.pagination-container-net7').html(response);
            jQuery('.pagination').attr('data-current-page', page);
            jQuery('html, body').animate({scrollTop: jQuery('.pagination-container-net7').offset().top - 350}, 'fast');
        },
        error: function() {
            console.error('Errore nella richiesta.');
        }
    });
}

jQuery('.pagination-container-net7').on('click', '.first-page-net7, .last-page-net7, .prev-page-net7, .next-page-net7, .page-number-net7', function(e) {
    e.preventDefault();
    var currentPage = parseInt(jQuery('.pagination').attr('data-current-page'));
    var maxPage = parseInt(jQuery('.pagination').attr('data-max-page'));
    var isNext = jQuery(this).hasClass('next-page-net7');
    var isPrev = jQuery(this).hasClass('prev-page-net7');
    var isFirst = jQuery(this).hasClass('first-page-net7');
    var isLast = jQuery(this).hasClass('last-page-net7');
    var isNumber = jQuery(this).hasClass('page-number-net7');
    
    var page;
    if (isNext) {
        page = currentPage + 1;
        if (page > maxPage) {
            page = maxPage;
        }
    } else if (isPrev) {
        page = currentPage - 1;
        if (page < 1) {
            page = 1;
        }
    } else if (isFirst) {
        page = 1;
    } else if (isLast) {
        page = maxPage;
    } else if (isNumber) {
        page = parseInt(jQuery(this).text());
    }

    // Aggiorna il numero di pagina
    jQuery('.current-page').text(page);
    var categoria = jQuery('.pagination-container-net7-big-wrapper').attr('data-tipologia');
    var order = jQuery('.pagination-container-net7-big-wrapper').attr('data-order');
    var futuri = jQuery('.pagination-container-net7-big-wrapper').attr('data-futuri');
    doAjaxEventi(page, categoria, order, futuri); // Passa la pagina corrente
});