/* From INCLUSIVE COMPONENT LIBRARY by Heydon Pickering 
* https://inclusive-components.design/
* card pattern:
* https://inclusive-components.design/cards/
* Create redundant click event on the whole card, using only
* card heading link
* A click handler on the card's container element 
* simply triggers the click method on the link inside it
* Add also a delay in click, in order to detect if the user is selecting the text and not clicking
*/


const cards = document.querySelectorAll('.n7-card.is-card-fullclickable');

Array.prototype.forEach.call(cards, card => {
    let down, up, link = card.querySelector('.n7-card__title a, button.n7-card__action');

    card.style.cursor = 'pointer';

    card.onmousedown = () => down = +new Date();
    card.onmouseup = (event) => {
        up = +new Date();
        if ((up - down) < 200) {

            if (event.target.classList.contains('exclude-from-click')) {
                event.stopPropagation();

            } else {
                if (link && link.tagName === 'A' && !link.classList.contains('exclude-from-click')) {

                    link.click();
   

                } else if (link && link.tagName === 'BUTTON' && !link.classList.contains('exclude-from-click')) {
                    link.click(); // O esegui un'altra azione associata al pulsante
                }
            }
        }
    }
});
