jQuery(function ($) {
  'use strict';

  // Definizione della funzione initializeBlock al di fuori di $(document).ready()
  var initializeBlock = function() {
    /* Slick initialize function - use same settings, customize label and eventually other settings if needed */
    function slickInitialization(carousel, label) {
      $(carousel).not('.slick-initialized').slick({
        dots: false,
        infinite: false,
        regionLabel: label,
        slidesToShow: 3,
        slidesToScroll: 1,
        arrowsPlacement: 'afterSlides',
        nextArrow: '<button class="slick-next slick-arrow" type="button"><svg class="slick-arrow-svg inline-block align-middle fill-current w-full h-full" aria-hidden="true" focusable="false" role="img"><use xlink:href="/app/themes/giovanisi2024/resources/images/icons.svg#arrow-right" /></svg></span><span class="slick-sr-only">Successiva</span></button>',
        prevArrow: '<button class="slick-prev slick-arrow" type="button"><svg class="slick-arrow-svg inline-block align-middle fill-current w-full h-full" aria-hidden="true" focusable="false" role="img"><use xlink:href="/app/themes/giovanisi2024/resources/images/icons.svg#arrow-left" /></svg></span><span class="slick-sr-only">Precedente</span></button>',
        responsive: [
          {
            breakpoint: 1024,
            settings: {
              infinite: false,
              slidesToShow: 2,
              slidesToScroll: 1
            }
          },
          {
            breakpoint: 600,
            settings: {
              infinite: false,
              slidesToShow: 1,
              slidesToScroll: 1
            }
          }
        ]
      });
    }

    // Inizializzazione dello slider degli eventi
    slickInitialization('.n7-carousel--events', 'Calendario eventi');

    // Inizializzazione dello slider delle news
    slickInitialization('.n7-carousel--news', 'News');

    // Aggiungiamo una classe per indicare che i blocchi sono stati inizializzati
    $('.n7-carousel--events, .n7-carousel--news').addClass('initialized');
  };

  // Inizializzazione di ogni blocco al caricamento della pagina (front end).
  // Verifica se gli elementi non hanno la classe 'initialized' prima di inizializzarli
  $('.n7-carousel--events, .n7-carousel--news').each(function() {
    if (!$(this).hasClass('initialized')) {
      initializeBlock();
    }
  });

  // Inizializzazione dell'anteprima del blocco dinamico (editor).
  if (window.acf) {
    window.acf.addAction('render_block_preview', initializeBlock);
  }
});
