// console.log('Script inizializzato');

// function initializeMapPressAccessibility() {
//   console.log('Inizializzazione dell\'accessibilità di MapPress');

//   function handlePopupAccessibility(mappIbWrapper) {
//     console.log('Gestione accessibilità popup');

//     if (!mappIbWrapper) {
//       console.log('mapp-ib-wrapper non trovato');
//       return;
//     }

//     console.log('mapp-ib-wrapper trovato:', mappIbWrapper);

//     mappIbWrapper.setAttribute('tabindex', '0');
//     setTimeout(() => {
//       mappIbWrapper.focus({preventScroll: true});
//       console.log('Focus spostato su mapp-ib-wrapper');
//     }, 100);

//     document.body.style.overflow = 'hidden';
//     console.log('Scroll bloccato');

//     const previousActiveElement = document.activeElement;

//     function closePopup() {
//       console.log('Chiusura popup');
//       document.body.style.overflow = '';
//       mappIbWrapper.removeAttribute('tabindex');
//       document.removeEventListener('keydown', handleKeyDown);
//       mappIbWrapper.style.display = 'none'; // Nascondi il popup
//     }

//     function handleKeyDown(e) {
//       const focusableElements = Array.from(mappIbWrapper.querySelectorAll('a[href], button, textarea, input[type="text"], input[type="radio"], input[type="checkbox"], select'));
//       const lastFocusableElement = focusableElements[focusableElements.length - 1];

//       if (e.key === 'Tab' && !e.shiftKey && document.activeElement === lastFocusableElement) {
//         e.preventDefault();
//         closePopup();
        
//         // Trova l'elemento .mapp-item successivo e focalizzalo
//         const mappItems = document.querySelectorAll('.mapp-item');
//         const currentIndex = Array.from(mappItems).findIndex(item => item.contains(previousActiveElement));
//         const nextItem = mappItems[currentIndex + 1] || mappItems[0];
//         const focusableInNextItem = nextItem.querySelector('button, a[href]');
//         if (focusableInNextItem) {
//           focusableInNextItem.focus();
//         }
//       } else if (e.key === 'Escape') {
//         closePopup();
//         previousActiveElement.focus();
//       }
//     }

//     document.addEventListener('keydown', handleKeyDown);
//   }

//   // Osserva le modifiche al DOM per rilevare quando MapPress crea il suo popup
//   const observer = new MutationObserver((mutations) => {
//     for (let mutation of mutations) {
//       if (mutation.type === 'childList') {
//         const addedNodes = mutation.addedNodes;
//         for (let node of addedNodes) {
//           if (node.nodeType === Node.ELEMENT_NODE && node.classList.contains('mapp-ib-wrapper')) {
//             console.log('Popup MapPress rilevato');
//             handlePopupAccessibility(node);
//           }
//         }
//       }
//     }
//   });

//   // Inizia a osservare il documento per le modifiche
//   observer.observe(document.body, {
//     childList: true,
//     subtree: true
//   });

//   console.log('Osservatore DOM inizializzato');
// }

// // Avvia l'inizializzazione quando il DOM è pronto
// if (document.readyState === 'loading') {
//   document.addEventListener('DOMContentLoaded', initializeMapPressAccessibility);
// } else {
//   initializeMapPressAccessibility();
// }

console.log('Script inizializzato');

function initializeMapPressAccessibility() {
  console.log('Inizializzazione dell\'accessibilità di MapPress');

  function handlePopupAccessibility(mappIbWrapper) {
    console.log('Gestione accessibilità popup');

    if (!mappIbWrapper) {
      console.log('mapp-ib-wrapper non trovato');
      return;
    }

    console.log('mapp-ib-wrapper trovato:', mappIbWrapper);

    mappIbWrapper.setAttribute('tabindex', '0');
    setTimeout(() => {
      mappIbWrapper.focus({preventScroll: true});
      console.log('Focus spostato su mapp-ib-wrapper');
    }, 100);

    document.body.style.overflow = 'hidden';
    console.log('Scroll bloccato');

    const previousActiveElement = document.activeElement;

    function closePopup() {
      console.log('Chiusura popup');
      document.body.style.overflow = '';
      mappIbWrapper.removeAttribute('tabindex');
      document.removeEventListener('keydown', handleKeyDown);
      document.removeEventListener('click', handleOutsideClick);
      mappIbWrapper.style.display = 'none'; // Nascondi il popup
    }

    function handleKeyDown(e) {
      const focusableElements = Array.from(mappIbWrapper.querySelectorAll('a[href], button, textarea, input[type="text"], input[type="radio"], input[type="checkbox"], select'));
      const lastFocusableElement = focusableElements[focusableElements.length - 1];

      if (e.key === 'Tab' && !e.shiftKey && document.activeElement === lastFocusableElement) {
        e.preventDefault();
        closePopup();
        
        // Trova l'elemento .mapp-item successivo e focalizzalo
        const mappItems = document.querySelectorAll('.mapp-item');
        const currentIndex = Array.from(mappItems).findIndex(item => item.contains(previousActiveElement));
        const nextItem = mappItems[currentIndex + 1] || mappItems[0];
        const focusableInNextItem = nextItem.querySelector('button, a[href]');
        if (focusableInNextItem) {
          focusableInNextItem.focus();
        }
      } else if (e.key === 'Escape') {
        closePopup();
        previousActiveElement.focus();
      }
    }

    function handleOutsideClick(e) {
      if (!mappIbWrapper.contains(e.target) && !e.target.closest('.mapp-item')) {
        closePopup();
      }
    }

    document.addEventListener('keydown', handleKeyDown);
    document.addEventListener('click', handleOutsideClick);
  }

  // Osserva le modifiche al DOM per rilevare quando MapPress crea il suo popup
  const observer = new MutationObserver((mutations) => {
    for (let mutation of mutations) {
      if (mutation.type === 'childList') {
        const addedNodes = mutation.addedNodes;
        for (let node of addedNodes) {
          if (node.nodeType === Node.ELEMENT_NODE && node.classList.contains('mapp-ib-wrapper')) {
            console.log('Popup MapPress rilevato');
            handlePopupAccessibility(node);
          }
        }
      }
    }
  });

  // Inizia a osservare il documento per le modifiche
  observer.observe(document.body, {
    childList: true,
    subtree: true
  });

  console.log('Osservatore DOM inizializzato');
}

// Avvia l'inizializzazione quando il DOM è pronto
if (document.readyState === 'loading') {
  document.addEventListener('DOMContentLoaded', initializeMapPressAccessibility);
} else {
  initializeMapPressAccessibility();
}