const galleryBlocks = document.querySelectorAll('.wp-block-gallery');

    galleryBlocks.forEach(galleryBlock => {
        // Estrai tutte le immagini del blocco specifico
        const imageElements = galleryBlock.querySelectorAll('.wp-block-image img');
        const gallery = Array.from(imageElements).map(img => ({
            url: img.src,
            alt: img.alt || '' // Gestisci il caso in cui non ci sia attributo alt
        }));

        // Crea e aggiungi la galleria personalizzata per ciascun blocco di galleria
        const galleryElement = createGallery(gallery, galleryBlock.dataset.galleryId);
        if (galleryElement) {
            galleryBlock.insertAdjacentElement('afterend', galleryElement);
            galleryBlock.parentNode.removeChild(galleryBlock); // Decommenta se vuoi rimuovere il blocco originale
        }
    });

    function createGallery(gallery, groupId) {
        if (!gallery || !gallery.length) {
            return;
        }

        const div = document.createElement('div');
        div.className = 'grid gap-6';

        const ul = document.createElement('div');
        ul.className = 'grid gap-4 grid-cols-2 md:grid-cols-3';

        gallery.forEach(gal => {
            const li = document.createElement('div');
            li.className = 'flex';

            const a = document.createElement('a');
            a.className = 'lightbox';
            a.href = gal.url;
            a.dataset.group = groupId || 'galleryGutenberg'; // Assicurati che ogni galleria abbia un gruppo unico se necessario

            const picture = document.createElement('picture');
            picture.className = 'w-full aspect-[15/8]';

            const img = document.createElement('img');
            img.className = 'w-full h-full object-cover object-center';
            img.src = gal.url;
            img.alt = gal.alt;

            const span = document.createElement('span');
            span.className = 'sr-only';
            span.textContent = ' - Espandi immagine';

            picture.appendChild(img);
            a.appendChild(picture);
            a.appendChild(span);
            li.appendChild(a);
            ul.appendChild(li);
        });

        div.appendChild(ul);
        return div;
    }