
/* HEADER SCRIPT - mobile management */
document.addEventListener('DOMContentLoaded', function () {
    'use strict';

    if (document.querySelector('.n7-header')) {
        /* GLOBAL VARIABLES */
        var rootElement = document.documentElement;
        var siteHeader = document.querySelector('.n7-header');
        var siteHeaderTopBar = document.querySelector('.n7-top-bar');
        var wpTopBar = document.querySelector('#wpadminbar');
        var mainHeading = document.querySelector('.n7-main-heading');

        var topBarLogo = document.querySelector('.n7-top-bar__logo');
        // var breadcrumb = document.querySelector('.n7-breadcrumb');
        var headerHeight;
        var topbarHeight;
        var adminBarHeight;
        // var breadcrumbHeight;

        var mainMenuWrapper = document.getElementById('mainNavPanel');
        var headerLinkRight = document.querySelector('.n7-header-link-right');
        var headerSocialLinks = document.querySelector('#headerSocial');
        var headerSecondaryNav = document.querySelector('.n7-top-bar__navigation');
        var mobilePanelLastEl = document.querySelector('.is-last-element');
        var headerMainActions = document.querySelector('.n7-main-heading__actions');

        var SiteMenuWrapper = document.getElementById('siteNavWrapper');

        var mobilePanelSecondLastEl = document.querySelector('.is-second-last');

        /* FUNCTIONS */

        function toggleIcon(icon) {
            if (icon.classList.contains('is-hidden')) {
                icon.classList.remove('is-hidden');
                icon.classList.add('is-visible');
            } else if (icon.classList.contains('is-visible')) {
                icon.classList.remove('is-visible');
                icon.classList.add('is-hidden');
            }
        }

        // function for dinamyc site header calculation, print height in custom property
        // used for positioning fixed elements relative to header or for fixed header space
        function calculateSiteHeader(header) {
            headerHeight = header.offsetHeight;

            rootElement.style.setProperty('--header-offset', headerHeight + 'px');
        }

        function calculateHeaderTopBar(topbar) {
            topbarHeight = topbar.offsetHeight;

            rootElement.style.setProperty('--topbar-offset', topbarHeight + 'px');
        }

        // function calculateSiteHeaderMobile(header) {
        //     if (document.querySelector('.mobile-remove-from-header-height')) {
        //         headerHeight = header.offsetHeight - document.querySelector('.mobile-remove-from-header-height').offsetHeight;
        //     } else {
        //         headerHeight = header.offsetHeight
        //     }
        //     rootElement.style.setProperty('--header-offset', headerHeight + 'px');
        // }

        function calculateWpTopBar(topBar) {
            adminBarHeight = topBar.offsetHeight;

            rootElement.style.setProperty('--wpadminbar-height', adminBarHeight + 'px');
        }

        // function calculateBreadcrumbHeader(breadcrumb) {
        //     breadcrumbHeight = breadcrumb.offsetHeight;
        //     rootElement.style.setProperty('--breadcrumb-height', breadcrumbHeight + 'px');
        // }

        function ariaExpandedToggle(target) {
            if (target.getAttribute('aria-expanded') === "false") {
                target.setAttribute('aria-expanded', 'true');
            } else {
                target.setAttribute('aria-expanded', 'false');
            }
        }

        function openOffCanvasMenu(button, targetMenu) {
            button.classList.toggle('is-selected');
            ariaExpandedToggle(button);
            targetMenu.classList.toggle('is-open');
            document.body.classList.toggle('overflow-hidden');
        }

        function closeMobileMenu() {
            if (document.body.classList.contains('overflow-hidden')) {
                document.body.classList.remove('overflow-hidden');
            }

            mainMenuWrapper.classList.remove('is-open');
            document.getElementById('mobileNavToggle').setAttribute('aria-expanded', 'false');
            document.getElementById('mobileNavToggle').classList.remove('is-selected');
        }


        function wrapAndAppend(wrapperClass, elementToWrap, parentElement) {
            // Controlla se l'elemento da avvolgere è già contenuto in un wrapperDiv con la stessa classe
            var existingWrapper = elementToWrap.closest('.' + wrapperClass);

            // Se l'elemento è già avvolto, utilizza il wrapper esistente anziché crearne uno nuovo
            if (existingWrapper) {
                existingWrapper.appendChild(elementToWrap);
            } else {
                // Altrimenti, crea un nuovo wrapperDiv
                var wrapperDiv = document.createElement('div');
                wrapperDiv.classList.add(wrapperClass);
                wrapperDiv.appendChild(elementToWrap);

                // Prependi il wrapperDiv al parentElement
                parentElement.appendChild(wrapperDiv);
                if (mobilePanelLastEl) {
                    parentElement.insertBefore(wrapperDiv, mobilePanelLastEl);
                } else {
                    parentElement.appendChild(wrapperDiv);
                }

            }
        }

        function unwrapAndRemove(wrapperDiv, elementToUnwrap, parentElement) {
            if (elementToUnwrap && elementToUnwrap.parentNode === parentElement) {
                parentElement.removeChild(elementToUnwrap);
            }

            if (wrapperDiv && wrapperDiv.parentNode === parentElement) {
                parentElement.removeChild(wrapperDiv);
            }
        }

        function handleResize() {

            if (window.matchMedia("screen and (max-width: 1279px)").matches) {
                // Moving header elements for mobile

                if (headerLinkRight) {
                    wrapAndAppend('n7-primary-navigation__module', headerLinkRight, mainMenuWrapper);
                }

                if (document.querySelector('.n7-top-bar').contains(SiteMenuWrapper)) {
                    document.querySelector('.n7-main-heading__container').append(SiteMenuWrapper);
                }

                if (headerSecondaryNav) {
                    wrapAndAppend('n7-primary-navigation__module', headerSecondaryNav, mainMenuWrapper);
                }

                if (headerMainActions) {
                    wrapAndAppend('n7-primary-navigation__module', headerMainActions, mainMenuWrapper);
                }

                if (mobilePanelSecondLastEl) {
                    wrapAndAppend('n7-primary-navigation__module', mobilePanelSecondLastEl, mainMenuWrapper);
                }

                if (headerSocialLinks) {
                    wrapAndAppend('n7-primary-navigation__module', headerSocialLinks, mainMenuWrapper);
                }


                // Dynamic site header height calculation

                calculateSiteHeader(mainHeading);

                if (wpTopBar) {
                    calculateWpTopBar(wpTopBar);
                }

            } else if (window.matchMedia("screen and (min-width: 1280px)").matches) {

                // Se la viewport è maggiore o uguale a 768px, rimuovi tutti gli elementi .n7-primary-navigation__module vuoti
                var emptyNavModules = document.querySelectorAll('.n7-primary-navigation__module:not(.is-main):empty');

                emptyNavModules.forEach(function (emptyNavModule) {
                    // if (topBarLogo) {
                    //     document.querySelector('.n7-top-bar__container').prepend(topBarLogo);
                    // }

                    if (SiteMenuWrapper.classList.contains('is-top-nav-positioned')) {
                        if (topBarLogo) {
                            topBarLogo.after(SiteMenuWrapper);
                        } else {
                            document.querySelector('.n7-top-bar__container').prepend(SiteMenuWrapper);
                        }
                    }

                    if (headerSecondaryNav) {
                        unwrapAndRemove(emptyNavModule, headerSecondaryNav, mainMenuWrapper);
                    }

                    if (headerMainActions) {
                        unwrapAndRemove(emptyNavModule, headerMainActions, mainMenuWrapper);
                    }

                    if (mobilePanelSecondLastEl) {
                        unwrapAndRemove(emptyNavModule, mobilePanelSecondLastEl, mainMenuWrapper);
                    }

                    if (headerSocialLinks) {
                        unwrapAndRemove(emptyNavModule, headerSocialLinks, mainMenuWrapper);
                    }

                    if (headerLinkRight) {
                        unwrapAndRemove(emptyNavModule, headerLinkRight, mainMenuWrapper);
                    }
                });

                // Riporto headerSocialLinks nel suo posto originale
                if (headerSecondaryNav) {
                    document.querySelector('.n7-top-bar__container').prepend(headerSecondaryNav);
                }

                if (headerSocialLinks) {
                    document.querySelector('.n7-top-bar__utilities-area').prepend(headerSocialLinks);
                }

                if (headerLinkRight) {
                    document.querySelector('.n7-top-bar__utilities-area').prepend(headerLinkRight);
                }

                if (headerMainActions) {
                    document.querySelector('.n7-main-heading__container').append(headerMainActions);
                }

                if (mobilePanelSecondLastEl) {
                    document.querySelector('#siteHeader').append(mobilePanelSecondLastEl);
                }

                calculateSiteHeader(siteHeader);
                calculateHeaderTopBar(siteHeaderTopBar);

                if (wpTopBar) {
                    calculateWpTopBar(wpTopBar);
                }

                // if(wpTopBar) {
                //     calculateWpTopBar(wpTopBar);
                // }
            }
        }

        window.addEventListener('resize', handleResize);
        handleResize(); // Initialize on page load

        document.getElementById('mobileNavToggle').addEventListener('click', function (e) {
            e.preventDefault();
            openOffCanvasMenu(this, mainMenuWrapper);
            // console.log('clicked');
        });

        document.addEventListener('keyup', function (e) {
            // if (e.key === "Escape") {
            //     if (mainMenuWrapper.classList.contains('is-open')) {
            //         closeMobileMenu();
            //         if (window.getComputedStyle(document.getElementById('mobileNavToggle')).display !== 'none') {
            //             document.getElementById('mobileNavToggle').focus();
            //         }

            //         if (document.getElementById('mainMenuToggle')) {
            //             document.getElementById('mainMenuToggle').focus();
            //         }
            //     }
            // }

            if (e.key === "Escape") {
                if (mainMenuWrapper.classList.contains('is-open')) {
                    // Verifica se il focus è all'interno del menu principale
                    const isFocusInsideMainMenu = SiteMenuWrapper.contains(document.activeElement) &&
                        !document.activeElement.closest('.n7-dropdown-menu__item');

                    if (isFocusInsideMainMenu) {
                        closeMobileMenu();

                        // Se disponibile, ripristina il focus sull'elemento principale di apertura menu
                        if (document.getElementById('mobileNavToggle')) {
                            document.getElementById('mobileNavToggle').focus();
                        }
                    }
                }
            }

            if ((e.key === 'Tab' || e.keyCode === 9) && !mainMenuWrapper.contains(e.target)) {
                closeMobileMenu();
            }
        });

        document.body.addEventListener('click', function (e) {
            if ((!SiteMenuWrapper.contains(e.target) || document.querySelector('.n7-primary-navigation__backdrop').contains(e.target)) && mainMenuWrapper.classList.contains('is-open')) {
                closeMobileMenu();
            }
        });

        /* FIXED TOP HEADER SCROLL EFFECT */
        function opacityOnScroll(element) {

            let lastScroll = 0;

            window.addEventListener('scroll', () => {
                const currentScroll = window.scrollY;
                if (!element) return;
                if(currentScroll == 0) {
                    element.classList.add('is-viewport-top');
                    element.classList.remove('is-scrolling');
                } else if (currentScroll > 0) {
                    element.classList.add('is-scrolling');
                    element.classList.remove('is-viewport-top');
                } 

                if (currentScroll > lastScroll) {
                    // Scroll verso il basso, diminuisci l'opacità
                    element.classList.add('is-scrolled-down');
                    element.classList.remove('is-scrolled-up');
                } else if (currentScroll < lastScroll) {
                    // Scroll verso l'alto, aumenta l'opacità
                    element.classList.add('is-scrolled-up');
                    element.classList.remove('is-scrolled-down');
                } 


                lastScroll = currentScroll;
            });
        }

        opacityOnScroll(siteHeaderTopBar);

    }
});

/* SEARCH DIALOG */
const openModal = () => {
    const modal = document.getElementById('searchModal');
    const modalContent = modal.querySelector('.modal-content');

    modal.style.display = 'flex';
    modal.classList.add("z-20");
    modal.setAttribute('aria-hidden', 'false');

    // Get all the focusable elements inside the modal content
    const focusableElements = 'button, [href], input, select, textarea, [tabindex]:not([tabindex="-1"])';
    const firstFocusable = modalContent.querySelectorAll(focusableElements)[0];
    const fallbackFocusable = modalContent.querySelector('.is-focusable-element'); // Adjust the selector if necessary

    // If there's a focusable element, focus on it; otherwise, focus on the fallback element
    if (firstFocusable) {
        firstFocusable.focus();
    } else if (fallbackFocusable) {
        fallbackFocusable.setAttribute('tabindex', '-1');
        fallbackFocusable.focus();
    }

    if (!document.body.classList.contains('overflow-hidden')) {
        document.body.classList.add('overflow-hidden');
    }
};

const closeModal = () => {
    const modal = document.getElementById('searchModal');
    const modalContent = modal.querySelector('.modal-content');
    const previouslyFocusedElement = document.getElementById('searchModalTrigger');

    // Remove tabindex from the fallback focusable element
    const fallbackFocusable = modalContent.querySelector('.is-focusable-element');
    if (fallbackFocusable) {
        fallbackFocusable.removeAttribute('tabindex');
    }

    if (document.body.classList.contains('overflow-hidden')) {
        document.body.classList.remove('overflow-hidden');
    }

    modal.style.display = 'none';
    modal.setAttribute('aria-hidden', 'true');
    modal.classList.remove("z-10");
    previouslyFocusedElement.focus();
};

if (document.getElementById('searchModal')) {
    document.getElementById('searchModalTrigger').addEventListener('click', openModal);

    document.getElementById('closeModal').addEventListener('click', closeModal);

    document.getElementById('searchModal').addEventListener('keydown', function (event) {
        const modalContent = document.querySelector('.modal-content');
        const focusableElements = modalContent.querySelectorAll('button, [href], input, select, textarea, [tabindex]:not([tabindex="-1"])');
        const firstFocusableElement = focusableElements[0];
        const lastFocusableElement = focusableElements[focusableElements.length - 1];

        if (event.key === 'Tab') {
            if (event.shiftKey && document.activeElement === firstFocusableElement) {
                lastFocusableElement.focus();
                event.preventDefault();
            } else if (!event.shiftKey && document.activeElement === lastFocusableElement) {
                firstFocusableElement.focus();
                event.preventDefault();
            }
        }

        if (event.key === 'Escape') {
            closeModal();
        }
    });

    // window.addEventListener('click', function (event) {
    //     const modal = document.getElementById('searchModal');
    //     if (event.target === modal) {
    //         closeModal();
    //     }
    // });
}