/* DETECT IOS VERSION
* REMOVE CSS FILTER WITH SVG IN PADDED TEXT EFFECT with class
* resolve compatibility issue on older IOS versions
 */

document.addEventListener('DOMContentLoaded', function () {
    function getIosVersion(userAgent) {
        var match = userAgent.match(/OS (\d+)[._](\d+)?/);
        if (match) {
            var major = parseInt(match[1], 10);
            var minor = parseInt(match[2] || '0', 10);
            return parseFloat(major + '.' + minor);
        }
        return null;
    }

    function isIosDevice() {
        if (navigator.userAgentData) {
            // userAgentData is available
            return navigator.userAgentData.platform === 'iOS';
        } else {
            // Fallback to userAgent
            return /iP(hone|od|ad)/.test(navigator.userAgent);
        }
    }

    var iosVersion = getIosVersion(navigator.userAgent);

    // console.log(iosVersion);
    if (isIosDevice() && iosVersion && iosVersion < 17.0) {
        document.querySelectorAll('.n7-padded-text').forEach(function (el) {
            el.classList.add('no-svg-filter');
        });
    }
});

