jQuery(document).ready(function($) {
    // Funzione AJAX per ricaricare la mappa
    function AjaxMap() {
        $.ajax({
            type: 'POST',
            url: ajax_object.ajax_url,
            data: {
                action: 'carica_mappa',
                nonce: ajax_object.nonce
            },
            success: function(response) {
                $('#map-tabpanel-1 .contenitore-mappa .container-shortcode').html(response);
                function updateTexts() {
                    var countElement = document.querySelector('.mapp-list-count');
                    if (countElement) {
                        var countText = countElement.textContent;
                        var countNumber = parseInt(countText.match(/\d+/));
                        if (!isNaN(countNumber)) {
                            countElement.textContent = (countNumber === 1) ? '1 Risultato' : countNumber + ' Risultati';
                        }
                    }
            
                    var listElement = document.querySelector('.mapp-button.mapp-view-list');
                    if (listElement) {
                        listElement.lastChild.nodeValue = 'Lista';
                    }
            
                    var mapElement = document.querySelector('.mapp-button.mapp-view-map');
                    if (mapElement) {
                        mapElement.lastChild.nodeValue = 'Mappa';
                    }
                }
            
                var targetNode = document.querySelector('.container-shortcode .mapp-layout');
                var config = { childList: true, subtree: true };
            
                var updateTextsDebounced = debounce(updateTexts, 100);
            
                var callback = function(mutationsList, observer) {
                    for (var mutation of mutationsList) {
                        if (mutation.type === 'childList') {
                            updateTextsDebounced();
                        }
                    }
                };
            
                var observer = new MutationObserver(callback);
            
                if (targetNode) {
                    observer.observe(targetNode, config);
                }
            
                function debounce(func, wait) {
                    var timeout;
                    return function() {
                        var context = this, args = arguments;
                        clearTimeout(timeout);
                        timeout = setTimeout(function() {
                            timeout = null;
                            func.apply(context, args);
                        }, wait);
                    };
                }
                jQuery('#loader').hide();
            },
            error: function() {
                console.error('Errore nella richiesta.');
            }
        });
    }

    // Aggiungi l'event listener al bottone per effettuare la chiamata AJAX
    $('.aggiorna-mappa').on('click', function() {
        jQuery('#loader').show();
        AjaxMap();
    });
});

document.addEventListener('DOMContentLoaded', function() {
    function updateTexts() {
        var countElement = document.querySelector('.mapp-list-count');
        if (countElement) {
            var countText = countElement.textContent;
            var countNumber = parseInt(countText.match(/\d+/));
            if (!isNaN(countNumber)) {
                countElement.textContent = (countNumber === 1) ? '1 Risultato' : countNumber + ' Risultati';
            }
        }

        var listElement = document.querySelector('.mapp-button.mapp-view-list');
        if (listElement) {
            listElement.lastChild.nodeValue = 'Lista';
        }

        var mapElement = document.querySelector('.mapp-button.mapp-view-map');
        if (mapElement) {
            mapElement.lastChild.nodeValue = 'Mappa';
        }
    }

    var targetNode = document.querySelector('.container-shortcode .mapp-layout');
    var config = { childList: true, subtree: true };

    var updateTextsDebounced = debounce(updateTexts, 100);

    var callback = function(mutationsList, observer) {
        for (var mutation of mutationsList) {
            if (mutation.type === 'childList') {
                updateTextsDebounced();
            }
        }
    };

    var observer = new MutationObserver(callback);

    if (targetNode) {
        observer.observe(targetNode, config);
    }

    function debounce(func, wait) {
        var timeout;
        return function() {
            var context = this, args = arguments;
            clearTimeout(timeout);
            timeout = setTimeout(function() {
                timeout = null;
                func.apply(context, args);
            }, wait);
        };
    }
});