(function($) {
    $(document).ready(function() {
        var maxCharacters = 64;

        var checkTitleLength = function() {
            var titleField = $('.post-type-post-magazine.block-editor-page .editor-post-title__input');
            var warningMessage = $('#title-warning-message');

            if (titleField.length) {
                var currentLength = titleField.text().length;
                if (currentLength > maxCharacters) {
                    titleField.css('color', 'orange');
                    if (warningMessage.length === 0) {
                        titleField.after('<span id="title-warning-message" style="z-index:99999; color: white; left: 0px; background: orange; padding: 3px 8px; line-height: 1; font-size: 13px;">Il titolo supera la dimensione consigliata di 64 caratteri</span>');
                    }
                } else {
                    titleField.css('color', 'black');
                    if (warningMessage.length) {
                        warningMessage.remove();
                    }
                }
            }
        };

        // Check length on keyup and initial load
        $(document).on('keyup', '.post-type-post-magazine.block-editor-page .editor-post-title__input', checkTitleLength);
        checkTitleLength();

        // Ensure check on initial load and when title is updated by Gutenberg
        wp.data.subscribe(function() {
            var postTitle = wp.data.select('core/editor').getEditedPostAttribute('title');
            if (postTitle) {
                checkTitleLength();
            }
        });
    });
})(jQuery);
