/* POLAROID ANIMATION SCRIPT */
/* MOVE horizontally polaroid cards from center of viewport to their inizial position in DOM */
var animationContainer = document.querySelector('.animation-container');
var rotationOffset = "2.5";

function centerElementsToContainer(elements) {
    // const container = document.querySelector('.animation-container');
    const containerRect = animationContainer.getBoundingClientRect();
    const containerCenterX = containerRect.left + containerRect.width / 2;
    const containerCenterY = containerRect.top + containerRect.height / 2;

    elements.forEach((el, index) => {
        //console.log(index);
        const elRect = el.getBoundingClientRect();
        // Calcolo spostamento in alto o in basso 
        var itemPositionOffsetX;
        var itemPositionOffsetY;

        switch (index) {
            case 0:
                itemPositionOffsetX = elRect.width * -0.05;
                itemPositionOffsetY = elRect.height * 0;
                break;
            case 1:
                itemPositionOffsetX = elRect.width * 0.1;
                itemPositionOffsetY = elRect.height * -0.06;
                break;
            case 2:
                itemPositionOffsetX = elRect.width * -0.2;
                itemPositionOffsetY = elRect.height * 0.15;
                break;
            case 3:
                itemPositionOffsetX = elRect.width * 0.3;
                itemPositionOffsetY = elRect.height * 0.03;
                break;
        }

        const elCenterX = elRect.left + elRect.width / 2;
        const elCenterY = elRect.top + elRect.height / 2;

        // Calcola la traslazione necessaria per centrare l'elemento nel container
        const translateX = (containerCenterX - elCenterX) + itemPositionOffsetX;
        const translateY = (containerCenterY - elCenterY) + itemPositionOffsetY;

        // Calcola la rotazione in base all'indice dell'elemento
        const rotation = index % 2 === 0 ? '-' + rotationOffset + 'deg' : rotationOffset + 'deg';

        // Applica la traslazione e la rotazione all'elemento
        el.style.transform = `translate(${translateX}px, ${translateY}px) rotate(${rotation})`;
    });
}

document.addEventListener('DOMContentLoaded', () => {
    if (animationContainer) {

        const elements = document.querySelectorAll('.animation-container .n7-card');
        // const container = document.querySelector('.animation-container');
        const containerRect = animationContainer.getBoundingClientRect();
        const windowHeight = window.innerHeight;

        centerElementsToContainer(elements);


        document.addEventListener('scroll', () => {
            const containerRect = animationContainer.getBoundingClientRect();
            const windowHeight = window.innerHeight;

            const triggerOffset = containerRect.top + containerRect.top * 0.85;

            // console.log(triggerOffset);

            // Verifica se il container è visibile nella viewport
            if (
                triggerOffset < windowHeight
            ) {
                // Attiva l'effetto solo se il container è visibile
                elements.forEach((el, index) => {
                    // Calcola la rotazione in base all'indice dell'elemento
                    const rotation = index % 2 === 0 ? '-' + rotationOffset + 'deg' : rotationOffset + 'deg';
                    el.style.transform = `translate(0, 0) rotate(${rotation})`;
                });
            }
        });
    }
});

// document.addEventListener('DOMContentLoaded', () => {
//     const elements = document.querySelectorAll('.animation-container .n7-card');
//     const container = document.querySelector('.animation-container');
//     let prevScrollY = window.scrollY;

//     centerElementsToContainer(elements);

//     document.addEventListener('scroll', () => {
//         const containerRect = container.getBoundingClientRect();
//         const windowHeight = window.innerHeight;
//         const currentScrollY = window.scrollY;

//         if (
//             containerRect.top < windowHeight && 
//             containerRect.bottom > 0
//         ) {
//             // Verifica la direzione dello scroll
//             if (currentScrollY > prevScrollY) {
//                 // Scroll verso il basso: riposiziona gli elementi al loro stato iniziale
//                 elements.forEach(el => {
//                     el.style.transform = 'translate(0, 0)';
//                 });
//             } else {
//                 // Scroll verso l'alto: riposiziona gli elementi al centro
//                 centerElementsToContainer(elements);
//             }
//         }

//         // Aggiorna lo stato dello scroll
//         prevScrollY = currentScrollY;
//     });
// });
