document.addEventListener('DOMContentLoaded', (event) => {
    const popupWrapper = document.querySelector('.popup-wrapper');
    const popup = document.querySelector('.popup-section');
    const closeButton = document.getElementById('closepopup');
    const documentBody = document.body;

    // Verifica se gli elementi principali esistono
    if (!popupWrapper || !popup || !documentBody) {
        // console.log('Elementi principali del popup non trovati');
        return;
    }

    const focusableModalElements = popup.querySelectorAll('button, [href], input, select, textarea, [tabindex]:not([tabindex="-1"])');
    const focusableBodyElements = documentBody.querySelectorAll('button, [href], input, select, textarea, [tabindex]:not([tabindex="-1"])');

    if (focusableModalElements.length > 0) {
        focusableModalElements[0].focus();
    }

    documentBody.classList.add('has-modal-open');

    function trapFocus(e) {
        if (!popupWrapper.contains(document.activeElement)) {
            return;
        }

        const focusableElements = popupWrapper.querySelectorAll('button, [href], input, select, textarea, [tabindex]:not([tabindex="-1"])');
        if (focusableElements.length === 0) return;

        const firstElement = focusableElements[0];
        const lastElement = focusableElements[focusableElements.length - 1];

        if (e.key === 'Tab') {
            if (e.shiftKey) {
                if (document.activeElement === firstElement) {
                    e.preventDefault();
                    lastElement.focus();
                }
            } else {
                if (document.activeElement === lastElement) {
                    e.preventDefault();
                    firstElement.focus();
                }
            }
        }
    }

    const closeFunction = function (modal) {
        if (modal) {
            modal.classList.add('hidden');
            documentBody.classList.remove('has-modal-open');
            document.removeEventListener('keydown', trapFocus);
        }
    };

    document.addEventListener('keydown', trapFocus);

    if (closeButton) {
        closeButton.addEventListener('click', function(e) {
            if (popup) {
                popup.classList.add('hidden');
            }

            closeFunction(popupWrapper);
            
            // Imposta il cookie per 3 giorni
            let date = new Date();
            date.setTime(date.getTime() + (3 * 24 * 60 * 60 * 1000));
            let expires = "expires=" + date.toUTCString();
            let cookieName = this.getAttribute('data-cookie-name');
            if (cookieName) {
                document.cookie = cookieName + "=1;" + expires + ";path=/";
            }
        });
    }

    document.addEventListener('keydown', function (event) {
        if (popup && !popupWrapper.classList.contains('hidden')) {
            if (event.key === 'Escape') {
                popup.classList.add('hidden');
                documentBody.classList.remove('has-modal-open');
                if (focusableBodyElements.length > 0) {
                    focusableBodyElements[0].focus();
                }
                document.removeEventListener('keydown', trapFocus);
            }
        }
    });
});