import { registerPlugin } from '@wordpress/plugins';
import { PluginSidebar, PluginSidebarMoreMenuItem } from '@wordpress/edit-post';
import { Button, PanelBody, Dashicon } from '@wordpress/components';
import { useSelect } from '@wordpress/data';
import { __ } from '@wordpress/i18n'; // Per la localizzazione

console.log('caricato');

const CustomSidebarButton = () => {
    const post = useSelect(select => select('core/editor').getCurrentPost(), []);
    const postType = useSelect(select => select('core/editor').getCurrentPostType(), []);
    const nonceUrl = editorSettings.preview_nonce_url;

    if (postType !== 'bando') { 
        return null;
    }

    return (
        <>
            <PluginSidebar
                name="custom-sidebar-panel"
                title={__('Anteprime', 'text-domain')}
                className="custom-sidebar-panel"
                icon="cover-image"
            >
                <PanelBody>
                    <Button isPrimary onClick={() => window.open(nonceUrl+'&preview_status=attivo&preview_device=mobile&is_main_preview=yes')}>
                        <Dashicon icon="smartphone" className="mr-2"/> {__('Anteprima stato attivo - Mobile', 'text-domain')}
                    </Button>
                </PanelBody>
                <PanelBody>
                    <Button isPrimary onClick={() => window.open(nonceUrl+'&preview_status=in_attivazione&preview_device=mobile&is_main_preview=yes')}>
                        <Dashicon icon="smartphone" className="mr-2"/> {__('Anteprima stato in attivazione - Mobile', 'text-domain')}
                    </Button>
                </PanelBody>
                <PanelBody>
                    <Button isPrimary onClick={() => window.open(nonceUrl+'&preview_status=attivo&preview_device=desktop&is_main_preview=yes')}>
                        <Dashicon icon="cover-image" className="mr-2"/> {__('Anteprima stato attivo - Desktop', 'text-domain')}
                    </Button>
                </PanelBody>
                <PanelBody>
                    <Button isPrimary onClick={() => window.open(nonceUrl+'&preview_status=in_attivazione&preview_device=desktop&is_main_preview=yes')}>
                        <Dashicon icon="cover-image" className="mr-2"/> {__('Anteprima stato in attivazione - Desktop', 'text-domain')}
                    </Button>
                </PanelBody>
            </PluginSidebar>
        </>
    );
};

registerPlugin('custom-sidebar', {
    render: CustomSidebarButton,
    icon: 'admin-post', // Opzionale: Puoi specificare un'icona qui
});