document.addEventListener('DOMContentLoaded', function () {
  // Seleziona tutti i link nel menu di navigazione
  var navLinks = document.querySelectorAll('.is-anchor-link');
  if (navLinks) {
    // Itera su ciascun link
    navLinks.forEach(function (link) {
      link.addEventListener('click', function (event) {
        // Previeni il comportamento predefinito del link
        event.preventDefault();

        // Rimuovi la classe "is-current" da tutti gli elementi del menu di navigazione
        var navItems = document.querySelectorAll('.n7-anchor-nav__item');
        navItems.forEach(function (item) {
          item.classList.remove('is-current');
        });

        // Aggiungi la classe "is-current" all'elemento corrente del menu di navigazione
        var currentItem = this.closest('.n7-anchor-nav__item');
        currentItem.classList.add('is-current');

        // Ottieni l'ID della sezione di destinazione dal link
        var targetId = this.getAttribute('href').substring(1);
        if (targetId) {

          // Trova l'elemento con l'ID corrispondente
          var targetElement = document.getElementById(targetId);
          const topOffset = targetElement.offsetTop;

          // Scrolla alla sezione di destinazione con uno smooth scrolling
          if (targetElement) {
            targetElement.scrollIntoView({
              top: topOffset,
              behavior: 'smooth',
            });

            // Aspetta un breve ritardo prima di impostare il focus sull'elemento di destinazione
            setTimeout(function () {
              targetElement.setAttribute('tabindex', '-1');
              targetElement.focus();
            }, 600); // 400 millisecondi di ritardo
          }
        }

      });
    });
  }

});
