/* STICKY SOCIAL IN HOMEPAGE */
document.addEventListener('DOMContentLoaded', () => {

    if (document.querySelector('body').classList.contains('home')) {
        var socialBlock = document.querySelector('.n7-footer .n7-social-block');
        var socialWrapper = document.querySelector('.n7-footer__bottom-bar-right');
        var socialWidth;
        var socialHeight;

        if (socialBlock) {

            function calculateSocialBlockHeight(social) {
                socialWidth = social.offsetWidth;
                socialHeight = social.offsetHeight;

                socialWrapper.style.setProperty('--social-width', socialWidth + 'px');
                socialWrapper.style.setProperty('--social-height', socialHeight + 'px');
            }

            function calculateDistanceToViewportRight(wrapper) {
                const wrapperRect = wrapper.getBoundingClientRect();
                const viewportRight = window.innerWidth;
                const distanceToViewportRight = viewportRight - wrapperRect.right;
                return distanceToViewportRight;
            }

            function socialResize() {
                calculateSocialBlockHeight(socialBlock);
                const distanceToViewportRight = calculateDistanceToViewportRight(socialWrapper);
                socialWrapper.style.setProperty('--distance-to-viewport-right', 'calc(' + distanceToViewportRight + 'px - 2.5rem)');
            }

            window.addEventListener('resize', socialResize);
            socialResize(); // Initialize on page load

            socialWrapper.classList.remove('not-scrolled');
            socialWrapper.classList.add('is-scrolled');
            
            document.addEventListener('scroll', () => {
                const containerRect = socialWrapper.getBoundingClientRect();
                const windowHeight = window.innerHeight;
                const distanceToBottom = containerRect.top * 0.99 - windowHeight;
                // console.log(containerRect.right);

                // Verifica se il fondo del contenitore è visibile nella viewport
                if (distanceToBottom <= 0) {
                    socialWrapper.classList.remove('is-scrolled');
                    socialWrapper.classList.add('not-scrolled');
                } else if (distanceToBottom > 0) {
                    socialWrapper.classList.remove('not-scrolled');
                    socialWrapper.classList.add('is-scrolled');
                    
                }
            });
        }
    }
});