/* TOOLTIP COMPONENT
* 
 */
document.addEventListener('DOMContentLoaded', function () {
  'use strict';
  (function () {
    // Get all the toggletip buttons
    var toggletips = document.querySelectorAll('[data-toggletip-content]');

    // Iterate over them
    Array.prototype.forEach.call(toggletips, function (toggletip) {
      // Get the message from the data-content element
      var message = toggletip.getAttribute('data-toggletip-content');

      var parentWrapper = toggletip.closest('.n7-tooltip-container');

      // Get the live region element
      var liveRegion = toggletip.nextElementSibling;

      // Toggle the message
      toggletip.addEventListener('click', function () {
        if (!liveRegion.innerHTML == '') {
          window.setTimeout(function () {
            liveRegion.innerHTML = '';
            if (parentWrapper.classList.contains('n7-card')) {
              parentWrapper.classList.remove('z-10');
            }
          }, 100);
        } else {
          liveRegion.innerHTML = '';
          window.setTimeout(function () {

            liveRegion.innerHTML = '<span class="n7-tooltip__bubble group-odd/transform:rotate-3 group-even/transform:-rotate-3"><p class="n7-tooltip__bubble-text">' + message + '</p><div class="n7-tooltip__bubble-action flex justify-end"><button class="n7-btn z-20 n7-tooltip__close">Ok<span class="sr-only"> (chiudi il popup)</span></button></div></span>';
            // temporarily removed
            if (parentWrapper.classList.contains('n7-card')) {
              parentWrapper.classList.add('z-10');
            }

          }, 100);
        }
      });

      // Close on outside click
      document.addEventListener('click', function (e) {
        if (toggletip !== e.target) {

          liveRegion.innerHTML = '';
          if (parentWrapper.classList.contains('n7-card')) {
            parentWrapper.classList.remove('z-10');
          }
        }
      });

      // Remove toggletip on ESC
      toggletip.addEventListener('keydown', function (e) {
        if ((e.keyCode || e.which) === 27)

          liveRegion.innerHTML = '';
        if (parentWrapper.classList.contains('n7-card')) {
          parentWrapper.classList.remove('z-10');
        }
      });

      // Remove on blur
      toggletip.addEventListener('blur', function (e) {

        liveRegion.innerHTML = '';
        if (parentWrapper.classList.contains('n7-card')) {
          parentWrapper.classList.remove('z-10');
        }
      });

    });
  }());
});