@extends('layouts.app')

@section('content')
    @php
        global $current_site;

        require_once gf_user_registration()->get_base_path() . '/includes/signups.php';

        GFUserSignups::prep_signups_functionality();
        $var = gf_user_registration()->get_activation_var();
    @endphp
    <div id="content" class="n7-container grid gap-6 py-12">

        @if ( empty( $_GET[ $var ] ) && empty( $_POST['key'] ) )

                <h2>
                    @php esc_html_e('Activation Key Required', 'gravityformsuserregistration'); @endphp
                </h2>
                <form name="activateform" id="activateform" method="post" action="@php echo esc_url(gf_user_registration()->get_activation_url()); @endphp">
                    <p>
                        <label for="key">@php esc_html_e('Activation Key:', 'gravityformsuserregistration'); @endphp</label>
                        <br /><input type="text" name="key" id="key" value="" size="50" />
                    </p>
                    <p class="submit">
                        <input id="submit" type="submit" name="Submit" class="submit" value="@php esc_attr_e('Activate', 'gravityformsuserregistration'); @endphp" />
                    </p>
                </form>

        @else

            @php
			$key    = ! empty( $_GET[ $var ] ) ? $_GET[ $var ] : $_POST['key'];
			$result = GFUserSignups::activate_signup( $key );
            @endphp

			@if ( is_wp_error( $result ) )
				@if ( 'already_active' == $result->get_error_code() || 'blog_taken' == $result->get_error_code() )
					@php $signup = $result->get_error_data(); @endphp
                    <header class="n7-hero n7-hero--default page-header-custom">
                        <div class="n7-container border-t-8 border-black py-6 md:py-8">
                            <div class="{{--max-w-[1024px]--}} grid gap-6 md:gap-8">

                                <h1 class="n7-heading-1 font-bold">
                                    @php esc_html_e('Your account is now active!', 'gravityformsuserregistration'); @endphp
                                </h1>

                                <p class="text-base md:text-lg lg:text-xl n7-hero__description">
                                    
                                    @if ( $signup->domain . $signup->path == '' )
                                        @php
                                            printf(
                                                /* translators: 1: Opening a tag with login URL, 2: Closing a tag, 3: Username, 4: User email address, 5: Opening a tag with lost password URL. */
                                                esc_html__( 'Your account has been activated. You may now %1$slog in%2$s to the site using your chosen username of &#8220;%3$s&#8221;. Please check your email inbox at %4$s for your login instructions. If you do not receive an email, please check your junk or spam folder. If you still do not receive an email within an hour, you can %5$sreset your password%2$s.', 'gravityformsuserregistration' ),
                                                sprintf( '<a href="%s">', network_site_url( 'wp-login.php', 'login' ) ),
                                                '</a>',
                                                $signup->user_login,
                                                $signup->user_email,
                                                sprintf( '<a href="%s">', wp_lostpassword_url() ),
                                                '</a>'
                                            );
                                        @endphp
                                    @else
                                        @php
                                            printf(
                                                /* translators: 1: Site link, 2: Username, 3: User email address, 4: Opening a tag with lost password URL, 5: Closing a tag. */
                                                esc_html__( 'Your site at %1$s is active. You may now log in to your site using your chosen username of &#8220;%2$s&#8221;. Please check your email inbox at %3$s for your login instructions. If you do not receive an email, please check your junk or spam folder. If you still do not receive an email within an hour, you can %4$sreset your password%5$s.', 'gravityformsuserregistration' ),
                                                sprintf( '<a href="http://%1$s">%2$s</a>', $signup->domain, $signup->domain ),
                                                $signup->user_login,
                                                $signup->user_email,
                                                sprintf( '<a href="%s">', wp_lostpassword_url() ),
                                                '</a>'
                                            );
                                        @endphp
                                    @endif
                                </p>
                            </div>
                        </div>
                    </header>
        
                    
				@else
                    <header class="n7-hero n7-hero--default page-header-custom">
                        <div class="n7-container border-t-8 border-black py-6 md:py-8">
                            <div class="{{--max-w-[1024px]--}} grid gap-6 md:gap-8">
                                <h1 class="n7-heading-1 font-bold">
                                    @php esc_html_e('An error occurred during the activation', 'gravityformsuserregistration'); @endphp
                                </h1>
                                <p class="text-base md:text-lg lg:text-xl n7-hero__description">@php esc_html_e($result->get_error_message()); @endphp</p>
                            </div>
                        </div>
                    </header>
				@endif
            @else

                @php
                    extract( $result );
                    $url  = is_multisite() ? get_blogaddress_by_id( (int) $blog_id ) : home_url( '', 'http' );
                    $user = new WP_User( (int) $user_id );
				@endphp

                <header class="n7-hero n7-hero--default page-header-custom">
                    <div class="n7-container border-t-8 border-black py-6 md:py-8">
                        <div class="{{--max-w-[1024px]--}} grid gap-6 md:gap-8">

                            <h1 class="n7-heading-1 font-bold">@php esc_html_e('Your account is now active!', 'gravityformsuserregistration'); @endphp</h1>
                            
                            <div>
                                <p class="text-base md:text-lg lg:text-xl n7-hero__description">
                                    <span>@php esc_html_e('Username:', 'gravityformsuserregistration'); @endphp</span>
                                    @php echo esc_html($user->user_login); @endphp
                                </p>

                                <p class="text-base md:text-lg lg:text-xl n7-hero__description">
                                    <span>@php esc_html_e('Password:', 'gravityformsuserregistration'); @endphp</span>
                                    @if ($result['password_hash'])
                                        @php esc_html_e('Set at registration.', 'gravityformsuserregistration'); @endphp
                                    @elseif (!empty($user->user_activation_key)) 
                                        @php esc_html_e('Check your email for the set password link.', 'gravityformsuserregistration'); @endphp
                                    @else
                                        @php printf('<a href="%s">%s</a>', esc_url(gf_user_registration()->get_set_password_url($user)), esc_html__('Set your password.', 'gravityformsuserregistration')); @endphp
                                    @endif
                                    
                                    @if ( $url != network_home_url( '', 'http' ) )
                                        <p class="text-base md:text-lg lg:text-xl n7-hero__description">
                                            @php
                                            printf(
                                                /* translators: 1: Opening a tag with site URL, 2: Closing a tag, 3: Opening a tag with login URL. */
                                                esc_html__('Your account is now activated. %1$sView your site%2$s or %3$sLog in%2$s', 'gravityformsuserregistration'),
                                                sprintf('<a href="%s">', $url),
                                                '</a>',
                                                sprintf('<a href="%s">', $url . 'wp-login.php'),
                                            );
                                            @endphp
                                        </p>
                                    @else
                                        <p class="text-base md:text-lg lg:text-xl n7-hero__description">
                                            @php
                                            printf(
                                                /* translators: 1: Opening a tag with login URL, 2: Closing a tag, 3: Opening a tag with home URL. */
                                                esc_html__('Your account is now activated. %1$sLog in%2$s or go back to the %3$shomepage%2$s.', 'gravityformsuserregistration'),
                                                sprintf('<a href="%s">', network_site_url('wp-login.php', 'login')),
                                                '</a>',
                                                sprintf('<a href="%s">', network_home_url()),
                                            );
                                            @endphp
                                        </p>
                                    @endif

                                </p>
                            </div>
                        </div>
                    </div>
                </header>

            @endif
        @endif
    </div>

    <script type="text/javascript">
        var key_input = document.getElementById('key');
        key_input && key_input.focus();
    </script>

@endsection
