@extends('layouts.app')

@section('content')

@php
$titolo = get_field('page_header_archivio_faq', 'options');
@endphp

<header class="n7-hero n7-background-02 border-t-8 border-black pt-12 md:pt-16 pb-24 md:pb-32">
  <div class="n7-container grid gap-6 md:gap-8 justify-center justify-items-center text-center items-center">
    @if(isset($titolo) && !empty($titolo))
      <h1 class="n7-heading-1">{{$titolo}}</h1>
    @else
      <h1 class="n7-heading-1">Archivio Faq</h1>
    @endif
  </div>
</header>

@if (! have_posts())
  <x-alert type="warning">
    {!! __('Sorry, no results were found.', 'sage') !!}
  </x-alert>
@endif

@php $count = 0; @endphp
<section aria-label="Faq - Frequently asked questions" class="-mt-12 mb-24 md:-mt-16 md:mb-32">
  <div class="max-w-[908px] w-[90%] mx-auto grid gap-4">
    @while(have_posts())
      @php the_post(); $count++; @endphp
      @include('partials.details-faq', ['count' => $count])
    @endwhile
  </div>
</section>

@endsection
