{{--
  Title: Accedi Magazine
  Description: Blocco login/registrati al magazine
  Category: custom-blocks-giovanisi
  Icon: editor-break
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsInnerBlocks: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets:
--}}

@php
$testo = get_field('testo_accedi_magazine');
$crea_account = get_field('crea_account_accedi_magazine');
$accedi = get_field('accedi_accedi_magazine');
@endphp

@if((isset($testo) && !empty($testo)) || (isset($crea_account) && !empty($crea_account)) || (isset($accedi) && !empty($accedi)))
    <section data-{{ $block['id'] }} class="{{ $block['classes'] }} ">
        <div class="n7-container">
            <div class="xl:max-w-[75%] py-8 px-12 bg-gradient-07 text-white grid lg:flex lg:items-center gap-4">
                @if(isset($testo) && !empty($testo))
                    <h2 class="n7-heading-5">{!! $testo !!}</h2>
                @endif
                <div class="lg:ml-auto grid md:flex gap-4">

                    @if(isset($crea_account) && !empty($crea_account))
                        <a href="{{$crea_account['url']}}" class="n7-btn n7-btn--outline text-white border-white">
                            {{$crea_account['title']}}
                            <svg class="inline-block align-middle fill-current w-4 h-4 " aria-hidden="true" focusable="false" role="img">
                                <use xlink:href="{{ asset('images/icons.svg') }}#chevron-right" />
                            </svg>
                        </a>
                    @endif

                    @if(isset($accedi) && !empty($accedi))
                        <a href="{{$accedi['url']}}" class="n7-btn n7-btn--primary">
                            {{$accedi['title']}}
                            <svg class="inline-block align-middle fill-current w-4 h-4" aria-hidden="true" focusable="false" role="img">
                                <use xlink:href="{{ asset('images/icons.svg') }}#chevron-right" />
                            </svg>
                        </a>
                    @endif

                </div>
            </div>
    </div>
    </section>
@endif

@php unset($testo, $crea_account, $accedi); @endphp