{{--
  Title: Calendario Eventi
  Description: Blocco Calendario Eventi
  Category: custom-blocks-giovanisi
  Icon: clock
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$titolo = get_field('titolo_blocco_calendario_eventi');
$link = get_field('link_blocco_calendario_eventi');
$scelta = get_field('scelta_articoli_blocco_calendario_eventi');
$background = get_field('background_blocco_calendario_eventi');
$overlay = get_field('overlay_blocco_calendario_eventi');
@endphp

<section data-{{ $block['id'] }} class="{{ $block['classes'] }} calendario-eventi-block-gutenberg py-16 md:py-20 bg-cover bg-no-repeat bg-center relative z-10 
@if(isset($overlay) && $overlay )before:content-[''] before:absolute before:top-0 before:right-0 before:bottom-0 before:left-0 before:bg-gradient-04 before:z-[-5] @endif n7-content-inverse" 
@if (isset($background)&&!empty($background))style="background-image: url('{{$background['url']}}')" @endif>
    <div class="n7-container grid gap-6 md:gap-10 lg:gap-12">

        <div class="wrapper-title grid lg:flex lg:items-start lg:justify-between gap-8 py-4">
            <div class="justify-self-stretch">
              
                <h2 class="n7-heading-2 grid gap-2 md:gap-4">
                    <small class="text-base md:text-lg">Eventi</small>
                    @if(isset($titolo) && !empty($titolo))
                        <span>{!! $titolo !!}</span>
                    @endif
                </h2>
               
            </div>
            
            @if(isset($link['url']) && !empty($link['url']) && isset($link['title']) && !empty($link['title']))
                <a href="{{$link['url']}}" class="n7-link n7-link--action-link n7-link--action-link-inverse group justify-self-end hidden md:inline-flex">
                    Vedi tutti gli eventi
                    <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                        <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                        </svg>
                    </span>
                </a>
            @endif
        </div>

        <div class="events-container n7-carousel n7-carousel--events min-w-0">

            @if(isset($scelta) && !empty($scelta))
                
                @php
                $filtro_asc_desc = get_field('ordine_di_visualizzazione_blocco_calendario_eventi');
                @endphp

                @foreach ($scelta as $post)
                    @php
                        $data_evento = calculateDateEvent($post->ID);
                        $category_names = get_all_other_taxonomies($post->ID);
                        $areetematiche = get_area_tematica($post->ID);
                        $catevent = get_categoria_evento($post->ID);
                        $cittaevento_acf = get_field('evento_citta', $post->ID);
                        $cittaevento = isset($cittaevento_acf) && !empty($cittaevento_acf) ? $cittaevento_acf : '';
                        $indirizzoevento_acf = get_field('evento_indirizzo', $post->ID);
                        $indirizzoevento = isset($indirizzoevento_acf) && !empty($indirizzoevento_acf) ? $indirizzoevento_acf : '';
                        $visibilita = get_field('visibilita_orario_evento', $post->ID);
                        if(isset($visibilita) && $visibilita){
                            $orarioevento = $data_evento['start']['hour'].':'.$data_evento['start']['minute'];
                        } else {
                            $orarioevento = '';
                        }
                    @endphp

                    <div class="n7-card-carousel-wrapper">

                    @include('partials.card-event', [
                        'event' => [
                            'title' => $post->post_title,
                            'permalink' => get_permalink($post),
                            'evento_data' => $data_evento,
                            'categories' => $category_names,
                            'aree_tematiche' => $areetematiche,
                            'categoria' => $catevent,
                            'cittaevento' => $cittaevento,
                            'indirizzoevento' => $indirizzoevento,
                            'orario' => $orarioevento,
                        ]
                    ])
                    
                    </div>
                @endforeach
            @else
                @foreach ($futureEvents as $event)
                <div class="n7-card-carousel-wrapper">
                    @include('partials.card-event', ['event' => $event])
                </div>
                @endforeach
            @endif    
        </div>


        @if(isset($link) && !empty($link))
            <div class="flex justify-center md:hidden"> 
                <a href="{{$link['url']}}" class="n7-link n7-link--action-link n7-link--action-link-inverse group justify-self-end">
                    Vedi tutti gli eventi
                    <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                        <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                        </svg>
                    </span>
                </a>
            </div>
        @endif

    </div>
</section>

@php
unset($titolo, $link, $scelta, $background, $overlay);
@endphp