{{--
  Title: Contatti e Social Sidebar
  Description: Blocco Contatti e social da visualizzare nella sidebar
  Category: custom-blocks-giovanisi
  Icon: rss
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$titolo = get_field('titolo_contatti_social_sidebar');
$num_verde = get_field('numero_verde', 'options-general');
$mail_to = get_field('send_email', 'options-general');
$messenger = get_field('send_message', 'options-general');
$social_da_visualizzare = get_field('social_da_visualizzare_contatti_social_sidebar');
@endphp

<section data-{{ $block['id'] }} class="{{ $block['classes'] }}">
    <div class="grid gap-4 md:gap-5 text-sm md:text-base lg:text-lg">

        @if(!empty($titolo) && isset($titolo))
            <h2 class="font-bold">{{$titolo}}</h2>
        @endif

        {{-- Numero verde --}}
        @include('partials.modules.numero-verde')

        {{-- Messenger & Mailto --}}
        @include('partials.modules.mailto-messenger')

        {{-- Socials --}}
        @if(isset($social_da_visualizzare) && !empty($social_da_visualizzare))
            <div class="grid gap-2">
                <h3 id="sideSocialLabelId">Seguici:</h3>
                <ul id="sideSocial" class="flex flex-wrap items-center gap-2 md:gap-4" aria-labelledby="sideSocialLabelId">
                    @foreach($social_da_visualizzare as $soc)
                        @include('partials.modules.single-social', [
                            'icona' => getSocialIconBySlug($soc)['icon'],
                            'link_al_social' => getSocialIconBySlug($soc)['link'],
                            'name' => getSocialIconBySlug($soc)['name']
                        ])
                    @endforeach
                </ul>
            </div>
        @endif
    </div>
</section>

@php unset($titolo, $num_verde_testo, $num_verde, $scrivici_testo, $mail_to, $messenger, $seguici_testo); @endphp