{{--
  Title: Creator
  Description: Blocco contenente i creator
  Category: custom-blocks-giovanisi
  Icon: instagram
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post campagna
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets:
--}}

@php
$titolo = get_field('titolo_blocco_creator');
$creator = get_field('creators_blocco_creator');
@endphp

<section id="sectionCreator" data-{{ $block['id'] }} class="{{ $block['classes'] }} n7-background-04 n7-content-inverse py-16 md:py-20 scroll-m-24 n7-speakers">
    <div class="n7-container grid gap-8 md:gap-16">

        {{-- titolo --}}
        @if(isset($titolo) && !empty($titolo))
            <h2 class="n7-heading-2 text-center">{{$titolo}}</h2>
        @endif

        @if(isset($creator) && !empty($creator))
            @if(isset($creator[0]['nome_blocco_creator']) && !empty($creator[0]['nome_blocco_creator']) || isset($creator[0]['immagine_blocco_creator']) && !empty($creator[0]['immagine_blocco_creator']))
                <ul class="grid grid-cols-2 md:grid-cols-3 lg:grid-cols-4 gap-8 md:gap-16">
                    @foreach($creator as $cr)
                        @if(isset($cr['immagine_blocco_creator']) && !empty($cr['immagine_blocco_creator']) && isset($cr['nome_blocco_creator']) && !empty($cr['nome_blocco_creator']))
                            <li class="n7-card n7-speaker-item p-0 gap-4 items-start content-start @if(isset($cr['tooltip_blocco_creator']) && !empty($cr['tooltip_blocco_creator'])) n7-tooltip-container is-card-fullclickable @endif group transition-all relative">

                                <picture class="n7-card__image aspect-w-1 aspect-h-1 rounded-full overflow-hidden bg-gradient-speaker">
                                    @if(isset($cr['immagine_mobile_blocco_creator']) && !empty($cr['immagine_mobile_blocco_creator']))
                                        <source srcset="{{$cr['immagine_mobile_blocco_creator']['url']}}" media="(max-width: 767px)" />
                                    @endif
                                    <img class="object-cover w-full h-full border-8 border-transparent rounded-full" alt="{{$cr['immagine_blocco_creator']['alt']}}" src="{{ $cr['immagine_blocco_creator']['url'] }}" width="240" height="240">
                                </picture>

                                <div class="n7-card__heading n7-card__action grid justify-center text-center n7-content-inverse" >

                                    @if(isset($cr['tooltip_blocco_creator']) && !empty($cr['tooltip_blocco_creator']))
                                        <button class="n7-card__heading n7-card__action grid justify-center text-center n7-content-inverse mb-1" type="button" data-toggletip-content="{!! $cr['tooltip_blocco_creator'] !!}">
                                    @else
                                        <span class="n7-card__heading n7-card__action grid justify-center text-center n7-content-inverse mb-1">
                                    @endif    

                                        <span class="n7-card__title leading-tight text-base md:text-xl italic font-extrabold uppercase">
                                            {{$cr['nome_blocco_creator']}}
                                        </span>

                                        @if(isset($cr['tooltip_blocco_creator']) && !empty($cr['tooltip_blocco_creator']))
                                            <span class="sr-only"> - Ulteriori informazioni</span>
                                        @endif

                                    @if(isset($cr['tooltip_blocco_creator']) && !empty($cr['tooltip_blocco_creator']))
                                        </button>
                                    @else
                                        </span>
                                    @endif 

                                    @if(isset($cr['tooltip_blocco_creator']) && !empty($cr['tooltip_blocco_creator']))
                                        <span class="n7-tooltip n7-tooltip--inverse" role="status"></span>
                                    @endif
                                    
                                    <span class="flex flex-wrap justify-center items-center gap-2">
                                        @if(isset($cr['link_instagram_blocco_creator']) && !empty($cr['link_instagram_blocco_creator']))
                                            <span class="flex items-center">
                                                <a href="{{$cr['link_instagram_blocco_creator']}}" class="n7-link is-link-social hover:rounded-lg p-1 xl:p-1 text-2xl text-white hover:bg-white focus:text-white @if(isset($cr['tooltip_blocco_creator']) && !empty($cr['tooltip_blocco_creator'])) z-[2]@endif">
                                                    <span class="sr-only">Profilo Instagram di  {{$cr['nome_blocco_creator']}}</span>
                                                    <svg class="inline-block align-middle fill-current w-6 h-6 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                                        <use xlink:href="{{ asset('images/icons.svg')}}#linear--instagram"></use>
                                                    </svg>
                                                </a>
                                            </span>
                                        @endif

                                        @if(isset($cr['link_tiktok_blocco_creator']) && !empty($cr['link_tiktok_blocco_creator']))
                                            <span class="flex items-center">
                                                <a href="{{$cr['link_tiktok_blocco_creator']}}" class="n7-link exclude-from-click hover:rounded-lg p-1 xl:p-1 text-2xl text-white hover:bg-white focus:text-white  @if(isset($cr['tooltip_blocco_creator']) && !empty($cr['tooltip_blocco_creator'])) z-[2]@endif">
                                                    <span class="sr-only">Profilo Tik Tok di {{$cr['nome_blocco_creator']}}</span>
                                                    <svg class="inline-block align-middle fill-current w-6 h-6 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                                        <use xlink:href="{{ asset('images/icons.svg')}}#solid--tik-tok"></use>
                                                    </svg>
                                                </a>
                                            </span>
                                        @endif

                                        @if(isset($cr['link_x_blocco_creator']) && !empty($cr['link_x_blocco_creator']))
                                            <span class="flex items-center">
                                                <a href="{{$cr['link_x_blocco_creator']}}" class="n7-link exclude-from-click hover:rounded-lg p-1 xl:p-1 text-2xl text-white hover:bg-white focus:text-white  @if(isset($cr['tooltip_blocco_creator']) && !empty($cr['tooltip_blocco_creator'])) z-[2]@endif">
                                                    <span class="sr-only">Profilo Twitter di {{$cr['nome_blocco_creator']}}</span>
                                                    <svg class="inline-block align-middle fill-current w-6 h-6 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                                        <use xlink:href="{{ asset('images/icons.svg')}}#solid--x"></use>
                                                    </svg>
                                                </a>
                                            </span>
                                        @endif

                                        @if(isset($cr['link_facebook_blocco_creator']) && !empty($cr['link_facebook_blocco_creator']))
                                            <span class="flex items-center">
                                                <a href="{{$cr['link_facebook_blocco_creator']}}" class="n7-link exclude-from-click hover:rounded-lg p-1 xl:p-1 text-2xl text-white hover:bg-white focus:text-white @if(isset($cr['tooltip_blocco_creator']) && !empty($cr['tooltip_blocco_creator'])) z-[2]@endif">
                                                    <span class="sr-only">Pagina Facebook di {{$cr['nome_blocco_creator']}}</span>
                                                    <svg class="inline-block align-middle fill-current w-6 h-6 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                                        <use xlink:href="{{ asset('images/icons.svg')}}#solid--facebook"></use>
                                                    </svg>
                                                </a>
                                            </span>
                                        @endif

                                        @if(isset($cr['link_youtube_blocco_creator']) && !empty($cr['link_youtube_blocco_creator']))
                                            <span class="flex items-center">
                                                <a href="{{$cr['link_youtube_blocco_creator']}}" class="n7-link exclude-from-click hover:rounded-lg p-1 xl:p-1 text-2xl text-white hover:bg-white focus:text-white  @if(isset($cr['tooltip_blocco_creator']) && !empty($cr['tooltip_blocco_creator'])) z-[2]@endif">
                                                    <span class="sr-only">Canale Youtube di {{$cr['nome_blocco_creator']}}</span>
                                                    <svg class="inline-block align-middle fill-current w-6 h-6 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                                        <use xlink:href="{{ asset('images/icons.svg')}}#solid--youtube"></use>
                                                    </svg>
                                                </a>
                                            </span>
                                        @endif

                                    </span>
                                </div>
                            </li>
                        @endif
                    @endforeach
                </ul>
            @endif
        @endif
    </div>
</section>

@php unset($titolo, $creator); @endphp