{{--
  Title: Cta for Editor
  Description: Blocco Separatore con Cta da utilizzare all'interno dell'editor
  Category: custom-blocks-giovanisi
  Icon: admin-links
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsInnerBlocks: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets:
--}}

@php
$link = get_field('link_cta_for_editor');
@endphp

<div data-{{ $block['id'] }} class="{{ $block['classes'] }} ">
    @if(isset($link) && !empty($link))
        <div class="flex justify-center my-8 py-8 px-12 border-t-[3px] border-b-[3px] n7-border-gray-02 text-black no-underline">
            <a href="{{$link['url']}}" class="grid lg:flex gap-2 items-baseline justify-center justify-items-center hover:underline group">
                <span class="n7-link n7-link--action-link">
                    Scopri di più
                    <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                        <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                        </svg>
                    </span>
                </span>
            </a>
        </div>
    @endif
</div>

@php unset($link); @endphp