{{--
  Title: Elenco campagne
  Description: Blocco per visualizzare il listato delle campagne con possibilità di definire quelle in evidenza.
  Category: custom-blocks-giovanisi
  Icon: wordpress
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
// dd($campagne);
$titolo = get_field('titolo_campagne_in_evidenza')
@endphp

<section data-{{ $block['id'] }} class="{{ $block['classes'] }} ultimi-post-block-gutenberg">
    <div class="ultimi-post-block-gutenberg">
        <div class="n7-container grid gap-6 md:gap-10 lg:gap-12 py-6 md:py-8 @if(!empty($campagne['evidenza']) && isset($campagne['evidenza'])) border-b @endif n7-border-gray-02">

            @if(isset($titolo) && !empty($titolo))
                <div class="wrapper-title grid lg:flex lg:items-start lg:justify-between gap-8 py-4">
                    <h2 class="n7-heading-2 grid gap-2 md:gap-4">
                        {{$titolo}}
                    </h2>
                </div>
            @else
                <h2 class="sr-only">
                    Campagne in evidenza
                </h2>
            @endif

            @if(!empty($campagne['evidenza']) && isset($campagne['evidenza']))
                <div class="campagne-container has-card-md min-w-0 grid md:grid-cols-3 gap-4">

                    @foreach($campagne['evidenza'] as $card)
                        @include('partials.card-campagna-big', [
                            $immagine = get_post_thumbnail_id($card->ID),
                            $link = get_permalink($card->ID),
                            $title = $card->post_title,
                            $id = $card->ID
                        ])
                    @endforeach

                </div>
            @endif

        </div>
    </div>

    <div class="campagne-posts py-6 md:py-8" data-id="{{$campagne['id_evidenza']}}">
        <h2 class="sr-only">
            Tutte le campagne
        </h2>
    
   
        @include('partials.elenco-campagne', ['campagne' => $campagne['all_campagne']])

    </div>

</section>

@php unset($titolo); @endphp