{{--
  Title: Elenco Card v1
  Description: Elenco card con testo e link
  Category: custom-blocks-giovanisi
  Icon: grid-view
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$cards = get_field('cards_elenco_cards_v1');
@endphp

<section data-{{ $block['id'] }} class="{{ $block['classes'] }} elenco-card-v1-block-gutenberg">
    @if(isset($cards) && !empty($cards))
        <h2 class="sr-only">Contenuti in evidenza</h2>
        <div class="n7-container has-card-md">
            <div class="grid grid-cols-1 md:grid-cols-3 gap-6 md:gap-10 lg:gap-12">
                @foreach ($cards as $card)
                    @php
                    $image = isset($card['immagine_elenco_cards_v1']['url']) && !empty($card['immagine_elenco_cards_v1']['url']) ? attachment_url_to_postid($card['immagine_elenco_cards_v1']['url']) : '';
                    $link = isset($card['link_elenco_cards_v1']['url']) && !empty($card['link_elenco_cards_v1']['url']) ? $card['link_elenco_cards_v1']['url'] : '' ;
                    $title = isset($card['descrizione_elenco_cards_v1']) && !empty($card['descrizione_elenco_cards_v1']) ? $card['descrizione_elenco_cards_v1'] : '' ;
                    @endphp
                    <div class="w-full px-2 md:px-0">
                        @include('partials.card-post', [
                            $immagine = !empty($image) && isset($image) ? $image : '' ,
                            $link = $link,
                            $title = $title,
                            $area_tematica = '',
                            $etichetta = '',
                        ])
                    </div>
                @endforeach
            </div>
        </div>
    @endif
</section>

@php unset($cards); @endphp