{{--
  Title: Elenco Tesi
  Description: Blocco per visualizzare l'archivio delle tesi di laurea
  Category: custom-blocks-giovanisi
  Icon: grid-view
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$titolo = get_field('titolo_cards_tesi');
$sottotitolo = get_field('sottotitolo_cards_tesi');
$cards = get_field('cards_elenco_cards_tesi');
$count = 0;
@endphp

@if((isset($titolo) && !empty($titolo)) || (isset($sottotitolo) && !empty($sottotitolo)) || (isset($cards) && !empty($cards)))
  <section data-{{ $block['id'] }} class="tesi-post-block-gutenberg pt-6 pb-16 md:pt-8 md:pb-20 n7-background-02">
      <div class="n7-container grid gap-6">
        <div class="wrapper-title grid gap-8 py-4">
          @if(isset($titolo) && !empty($titolo))
            <h2 class="n7-heading-2 grid gap-2 md:gap-4">{{$titolo}}</h2>
          @endif
          @if(isset($sottotitolo) && !empty($sottotitolo))
            <p class="n7-heading-5">{!! $sottotitolo !!}</p>
          @endif
        </div>
        @if(isset($cards) && !empty($cards))
          <div class="pubblicazioni-container min-w-0 grid md:grid-cols-2 lg:grid-cols-3 gap-4">
            @foreach($cards as $card)
              @if(isset($card) && !empty($card))
                @include('partials.card-tesi', [
                    $count = $count + 1,
                    $titolo = $card['titolo_card_elenco_cards_tesi'],
                    $editor = $card['editor_card_elenco_cards_tesi'],
                ])
              @endif
            @endforeach
          </div>
        @endif
      </div>
  </section>
@endif

@php unset($titolo, $sottotitolo, $cards, $count); @endphp