{{--
  Title: Eventi Storici
  Description: Scegli gli eventi storici di Giovanisi
  Category: custom-blocks-giovanisi
  Icon: flag
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}


@php
$titolo_eventi_storici = get_field('titolo_eventi_storici');
$sottotitolo_eventi_storici = get_field('sottotitolo_eventi_storici');
$lista_eventi_storici = get_field('lista_eventi_storici');
$link = get_field('link_eventi_storici');
@endphp


<section data-{{ $block['id'] }} class="{{ $block['classes'] }} calendario-eventi-block-gutenberg py-16 md:py-20 bg-cover bg-no-repeat bg-center relative z-10 n7-content-inverse">
    <div class="n7-container grid gap-6 md:gap-10 lg:gap-12">
        <div class="wrapper-title grid lg:flex lg:items-start lg:justify-between gap-8 py-4">
            @if((!empty($titolo_eventi_storici) && isset($titolo_eventi_storici)) || (!empty($sottotitolo_eventi_storici) && isset($sottotitolo_eventi_storici)))
                <div class="justify-self-stretch">
                    <h2 class="n7-heading-3 grid gap-2 md:gap-4 text-black">
                        @if(isset($titolo_eventi_storici) && !empty($titolo_eventi_storici))
                            <small class="text-base md:text-lg">{!!$titolo_eventi_storici!!}</small>
                        @endif
                        @if(isset($sottotitolo_eventi_storici) && !empty($sottotitolo_eventi_storici))
                            <span class="font-bold">{!! $sottotitolo_eventi_storici !!}</span>
                        @endif
                    </h2>
                </div>
            @endif
            @if(isset($link['url']) && !empty($link['url']) && isset($link['title']) && !empty($link['title']))
                <a href="{{$link['url']}}" class="n7-link n7-link--action-link {{--n7-link--action-link-inverse--}} group justify-self-end hidden md:inline-flex">
                    Vedi tutti gli eventi
                    <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                        <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                        </svg>
                    </span>
                </a>
            @endif
        </div>
        @if(isset($lista_eventi_storici) && !empty($lista_eventi_storici))
            <div class="pagination-container-net7-big-wrapper"> {{-- questo elemento deve avere una min-height settata --}}
                <div class="events-container grid gap-6 md:grid-cols-2 lg:grid-cols-3">
                    @foreach ($lista_eventi_storici as $post)
                        @php
                            $data_evento = calculateDateEvent($post->ID);
                            $category_names = get_all_other_taxonomies($post->ID);
                            $areetematiche = get_area_tematica($post->ID);
                            $catevent = get_categoria_evento($post->ID);
                            $cittaevento_acf = get_field('evento_citta', $post->ID);
                            $cittaevento = isset($cittaevento_acf) && !empty($cittaevento_acf) ? $cittaevento_acf : '';
                            $indirizzoevento_acf = get_field('evento_indirizzo', $post->ID);
                            $indirizzoevento = isset($indirizzoevento_acf) && !empty($indirizzoevento_acf) ? $indirizzoevento_acf : '';
                            $visibilita = get_field('visibilita_orario_evento', $post->ID);
                            if(isset($visibilita) && $visibilita){
                                $orarioevento = $data_evento['start']['hour'].':'.$data_evento['start']['minute'];
                            } else {
                                $orarioevento = '';
                            }
                        @endphp
                        @include('partials.card-event', [
                            'event' => [
                                'title' => $post->post_title,
                                'permalink' => get_permalink($post),
                                'evento_data' => $data_evento,
                                'categories' => $category_names,
                                'aree_tematiche' => $areetematiche,
                                'categoria' => $catevent,
                                'cittaevento' => $cittaevento,
                                'indirizzoevento' => $indirizzoevento,
                                'orario' => $orarioevento,
                            ]
                        ])
                    @endforeach
                </div>
            </div>
        @endif 

        @if(isset($link) && !empty($link))
            <div class="flex justify-center md:hidden"> 
                <a href="{{$link['url']}}" class="n7-link n7-link--action-link {{--n7-link--action-link-inverse--}} group justify-self-end">
                    Vedi tutti gli eventi
                    <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                        <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                        </svg>
                    </span>
                </a>
            </div>
        @endif
    </div>
</section>

@php unset($titolo_eventi_storici, $sottotitolo_eventi_storici, $lista_eventi_storici, $link) @endphp