{{--
  Title: Evento in evidenza
  Description: Scegli il blocco da visualizzare
  Category: custom-blocks-giovanisi
  Icon: buddicons-groups
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$scelta_evento_evidenza = get_field('scelta_evento_evidenza');
$img_custom = get_field('immagine_personalizzata_evento_evidenza');
@endphp

<section data-{{ $block['id'] }} class="{{ $block['classes'] }} evento-evidenza-block-gutenberg py-8">
    <h2 class="sr-only">In evidenza</h2>
    <div class="n7-container-xs">
        <div class="grid md:grid-cols-1-2 shadow-lg">
            @if(!empty($img_custom) && isset($img_custom))
            <picture class="aspect-w-16 aspect-h-9">
                <img class="w-full h-full object-cover object-center" src="{{$img_custom['url']}}" alt="">
            </picture>
            @endif
            @if(!empty($scelta_evento_evidenza) && isset($scelta_evento_evidenza))
                @php
                $cittaevento_acf = get_field('evento_citta', $scelta_evento_evidenza[0]->ID);
                $indirizzoevento_acf = get_field('evento_indirizzo', $scelta_evento_evidenza[0]->ID);
                $visibilita = get_field('visibilita_orario_evento', $scelta_evento_evidenza[0]->ID);
                if(isset($visibilita) && $visibilita){
                    $orarioevento = $data_evento['start']['hour'].':'.$data_evento['start']['minute'];
                } else {
                    $orarioevento = '';
                }
                @endphp
                @include('partials.card-event', [ 'event' => [
                    'title' => $scelta_evento_evidenza[0]->post_title,
                    'permalink' => get_permalink($scelta_evento_evidenza[0]),
                    'evento_data' => calculateDateEvent($scelta_evento_evidenza[0]->ID),
                    'categories' => get_all_other_taxonomies($scelta_evento_evidenza[0]->ID),
                    'categoria' => get_categoria_evento($scelta_evento_evidenza[0]->ID),
                    'aree_tematiche' => get_area_tematica($scelta_evento_evidenza[0]->ID),
                    'cittaevento' => isset($cittaevento_acf) && !empty($cittaevento_acf) ? $cittaevento_acf : '',
                    'indirizzoevento' => isset($indirizzoevento_acf) && !empty($indirizzoevento_acf) ? $indirizzoevento_acf : '',
                    'orario' => $orarioevento,
                    ]
                ])
            @else
                @include('partials.card-event', ['event' => $evento_singolo[0]]) 
            @endif

        </div>
    </div>
</section>

@php unset($scelta_evento_evidenza, $img_custom); @endphp