{{--
  Title: Filtra Bando
  Description: Blocco per filtrare l'area tematica selezionata
  Category: custom-blocks-giovanisi
  Icon: filter
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$field = get_field_object('field_5d10a7e2cfcfa', 'bando'); // Chiave del campo stato
if ($field) {
    $choices = $field['choices'];
}
$terms = get_terms( 'fascia-eta', array( 'hide_empty' => false ) );
$visible_eta = get_field('visibilita_filtri_eta_blocco_filtro_bandi');
$testo_informativo = get_field('testo_informativo_blocco_filtro_bandi');
$link_ai_bandi = get_field('link_ai_bandi_blocco_filtro_bandi');
$html = '';
$first = '';
// dd($visible_eta);
@endphp

<section data-{{ $block['id'] }} class="{{ $block['classes'] }} filter-tab-block-gutenberg n7-filter-tab py-6 md:py-8 lg:py-12">
    <h2 class="sr-only">Elenco delle opportunità @if($getpostcountbystate['area_slug']){{$getpostcountbystate['area_slug']}}@endif</h2>
    <div class="n7-container grid gap-10 md:gap-12">

        <div class="filter-container-net7-big-wrapper min-w-0"> {{-- questo elemento deve avere una min-height settata --}}
            <div class="filter-container-net7" data-area-tematica="{{$getpostcountbystate['area_slug']}}" data-post-per-page="{{$posts_per_page}}" data-is-archive="{{$is_archive}}"> {{-- Don't remove this class --}}
    
                @if($is_archive == 'no')
                    <div class="border-b n7-border-gray-01 mb-4 md:mb-10 md:flex md:justify-between">
                        <p class="sr-only">Muoviti con le frecce per scegliere lo stato delle opportunità</p>
                        <ul role="tablist" class="n7-tablist is-mobile-h-scroll-list is-tablist is-manual flex gap-6 md:gap-4 flex-nowrap p-1 pb-3 md:p-0 overflow-x-auto min-w-0 md:overflow-x-visible">
                            @foreach ($getpostcountbystate['post_counts'] as $arr)
                                @if($arr['count'] > 0)
                                    <li role="presentation" class="n7-tablist__item inline-block flex-[0_0_55%] md:flex-none">
                                        <button role="tab" aria-controls="opportunityTab{{$loop->index+1}}" class="filter-button n7-tab n7-tablist__tab is-tab is-mobile-h-scroll-item !flex gap-2 pr-[3.5rem] md:pr-3 group p-3 md:px-6 border-b-[3px] n7-border-gray-01 md:border-transparent transition-all text-base md:text-lg n7-content-01 items-center flex-nowrap whitespace-nowrap md:whitespace-normal relative aria-selected:border-black hover:border-black focus:border-black @if($loop->first) active @endif" data-status="{{$arr['slug']}}" id="opportunityTab{{$loop->index+1}}" @if($loop->first) aria-selected="true" @else aria-selected="false" @endif>
                                            {{$arr['name']}}
                                            <span class="n7-tab__count py-1 px-3 md:py-2 md:px-4 border n7-border-gray-02 rounded-full italic font-extrabold text-sm md:text-base text-black absolute right-0 md:static {{$getpostcountbystate['area_color']}}"><span class="sr-only">risultati: </span>{{$arr['count']}}</span>
                                        </button>
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                        @if(isset($link_ai_bandi['url']) && !empty($link_ai_bandi['url']) && isset($link_ai_bandi['title']) && !empty($link_ai_bandi['title']))
                            <a href="{{$link_ai_bandi['url']}}" class="n7-link n7-link--action-link group justify-self-end hidden lg:inline-flex">
                                {!! $link_ai_bandi['title'] !!}
                                <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                                    <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                                        <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                                    </svg>
                                </span>
                            </a>
                        @endif
                    </div>
                @endif
    
                {{-- Contenuto wrapper --}}
                <div class="grid gap-4 content-tab-filter " >
                    @if($is_archive == 'no')
                        @if(isset($visible_eta) && !empty($visible_eta) && $visible_eta != false)
                            <button class="n7-btn n7-btn--secondary n7-background-02 border-transparent text-black hover:text-white focus:text-white active:text-white md:hidden" id="mobileModalTrigger">
                                <svg class="inline-block align-middle fill-current w-4 h-4 md:w-5 md:h-5 lg:w-6 lg:h-6 ml-2 transition-all duration-200 ease-out transform group-hover:translate-x-1" aria-hidden="true" focusable="false" role="img">
                                    <use xlink:href="{{ asset('images/icons.svg') }}#filter" />
                                </svg>
                                Filtra per età
                            </button>
                        @endif
                        <div class="filtri n7-mobile-modal hidden md:flex md:pb-6" id="mobileModalFilters" aria-labelledby="mobileModalTrigger" role="dialog" aria-modal="true">
                            @if(isset($visible_eta) && !empty($visible_eta) && $visible_eta != false)
                            <fieldset class="h-full md:h-auto">
                                <div class="mobile-modal-content flex flex-col content-start h-full md:h-auto md:flex-row md:flex-wrap md:items-center gap-8 md:gap-6">
                                    <div class="grid gap-2 content-start md:flex md:items-center">
                                        <legend id="titlemobileModalFilters" class="scelta-eta-label md:inline-flex font-bold text-xl md:text-base n7-content-01">Filtri per età:</legend>
                                        @if(isset($testo_informativo) && !empty($testo_informativo))
                                            <p id="mobileModalDescription" class="md:hidden">{{$testo_informativo}}</p>
                                            <span class="n7-tooltip-container hidden md:flex relative">  
                                                <button class="justify-center items-center w-10 h-10 rounded n7-content-01 hidden md:flex" type="button" data-toggletip-content="{{$testo_informativo}}">
                                                    <svg class="inline-block align-middle fill-current w-6 h-6" aria-hidden="true" focusable="false" role="img">
                                                        <use xlink:href="{{ asset('images/icons.svg') }}#mini--information-circle" />
                                                    </svg>
                                                    <span class="sr-only">Ulteriori informazioni</span>
                                                </button>
                                                <span class="n7-tooltip" role="status"></span>
                                            </span>
                                        @endif
                                    </div>
                                    <div class="content-start grid md:flex md:flex-wrap md:items-center md:divide-x gap-6">
                                        @foreach ( $terms as $term ) 
                                            @if($term->slug == 'meno-di-20-anni')
                                                @php $first .= '<div class="flex gap-2 items-baseline md:items-center md:pl-6 n7-border-gray-02"><input type="checkbox" id="etaRange'.$term->slug.'" class="scelta-eta" data-eta="'.$term->slug.'" value="'.$term->slug.'"><label class="text-lg n7-content-01 is-focusable-element" for="etaRange'.$term->slug.'">'.$term->name.'</label></div>'; @endphp
                                            @else
                                                @php $html .= '<div class="flex gap-2 items-baseline md:items-center md:pl-6 n7-border-gray-02"><input type="checkbox" id="etaRange'.$term->slug.'" class="scelta-eta" data-eta="'.$term->slug.'" value="'.$term->slug.'"><label class="text-lg n7-content-01 is-focusable-element" for="etaRange'.$term->slug.'">'.$term->name.'</label></div>'; @endphp
                                            @endif
                                            {{-- <div class="flex gap-2 items-baseline md:items-center md:pl-6 n7-border-gray-02">
                                                <input type="checkbox" id="etaRange{{$term->slug}}" class="scelta-eta" data-eta="{{$term->slug}}" value="{{$term->slug}}">
                                                <label class="text-lg n7-content-01 is-focusable-element'" for="etaRange{{$term->slug}}">{{$term->name}}</label>
                                            </div> --}}
                                        @endforeach   
                                        {!!$first.$html!!}
                                    </div>
    
                                    <div class="flex justify-around gap-4 mt-auto md:hidden">
                                        <button id="mobileModalClose" class="xs:flex-1 n7-btn n7-btn--only-text text-xs sm:text-base">
                                            Chiudi
                                            <svg class="inline-block align-middle fill-current w-4 h-4 md:w-5 md:h-5 lg:w-6 lg:h-6" aria-hidden="true" focusable="false" role="img">
                                                <use xlink:href="{{ asset('images/icons.svg') }}#mini--x-mark" />
                                            </svg>
                                        </button>
                                        <button class="xs:flex-1 n7-btn n7-btn--primary text-xs sm:text-base" id="mobileModalShow">
                                            Mostra risultati
                                            <svg class="inline-block align-middle fill-current flex-none w-4 h-4 md:w-5 md:h-5 lg:w-6 lg:h-6 ml-auto" aria-hidden="true" focusable="false" role="img">
                                                <use xlink:href="{{ asset('images/icons.svg') }}#mini--chevron-right" />
                                            </svg>
                                        </button>
                                    </div>
    
                                </div>
                            </fieldset>
                            @endif
                        </div>
                    @endif
                    <div class="bando-container-filter grid gap-6 md:gap-8" id="opportunityTabpanel" role="tabpanel" aria-labelledby="opportunityTab1">
                        @include('partials.elenco-bandi')
                    </div>
                </div>
    
            </div>
        </div>

        @if($is_archive == 'no')
            @if(isset($link_ai_bandi['url']) && !empty($link_ai_bandi['url']) && isset($link_ai_bandi['title']) && !empty($link_ai_bandi['title']))
            {{-- CTA bandi scaduti MOBILE - hidden su desktop --}}
                <div class="flex justify-center lg:hidden">
                    <a href="{{$link_ai_bandi['url']}}" class="n7-link n7-link--action-link group justify-self-end">
                        {!! $link_ai_bandi['title'] !!}
                        <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                            <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                                <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                            </svg>
                        </span>
                    </a>
                </div>
            @endif
        @endif

    </div>
</section>

@php
unset($field, $terms, $visible_eta, $testo_informativo, $link_ai_bandi, $html, $first);
@endphp
