{{--
  Title: Altre lingue
  Description: Blocco collegamenti a Chi siamo in altre lingue
  Category: custom-blocks-giovanisi
  Icon: translation
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$titolo = get_field('titolo_altre_lingue');
$lingue = get_field('lingue_altre_lingue');
@endphp

<div class="grid gap-3 md:gap-4 p-4 md:p-6 rounded text-sm md:text-base lg:text-lg n7-background-02 bg-no-repeat bg-contain bg-bottom" style="background-image:url('{{ asset('images/globe-illustration.svg') }}')">
    
    @if(isset($titolo) && !empty($titolo))
        <h2 id="otherLanguageLabel" class="font-bold">{{$titolo}}</h2>
    @endif

    @if(isset($lingue) && !empty($lingue))
        <ul class="grid gap-4" aria-labelledby="otherLanguageLabel">
            @foreach($lingue as $lan)
                @if(isset($lan['link_alla_lingua_altre_lingue']) && !empty($lan['link_alla_lingua_altre_lingue']))
                    <li class="flex items-center">
                        <a href="{{$lan['link_alla_lingua_altre_lingue']['url']}}" class="n7-link text-black hover:no-underline p-2 gap-2 xl:p-1 text-sm md:text-base lg:text-lg underline">
                            <svg class="inline-block align-middle fill-current w-6 h-6 rounded-full" aria-hidden="true" focusable="false" role="img">
                                @if(isset($lan['bandiera_altre_lingue']) && !empty($lan['bandiera_altre_lingue']))
                                    <use xlink:href="{{ asset('images/icons.svg') }}#{{$lan['bandiera_altre_lingue']}}"></use>
                                @endif
                            </svg>
                            {{$lan['link_alla_lingua_altre_lingue']['title']}}
                        </a>
                    </li>
                @endif
            @endforeach
        </ul>
    @endif

</div>

@php unset($titolo, $lingue); @endphp