{{--
  Title: Card Event NGF
  Description: 
  Category: ngf-blocks-giovanisi
  Icon: superhero-alt
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets:
--}}

@php
setlocale(LC_TIME, 'it_IT', 'Italian_Italy.1252');  // Imposta la localizzazione italiana
$giornoevento = get_field('giorno_ngf_card_evento');
$dataOggetto = DateTime::createFromFormat('d/m/Y', $giornoevento);

if ($dataOggetto !== false) {
    $giorno = $dataOggetto->format('d');
    $mese = strftime('%B', $dataOggetto->getTimestamp());  // '%B' per il nome completo del mese in locale
    $anno = $dataOggetto->format('Y');
    $dataISO = $dataOggetto->format('Y-m-d');  // Formato ISO per l'attributo datetime
} else {
    $giorno = '';
    $mese = '';
    $anno = '';
    $dataISO = '';
}

$link = get_field('bottone_ngf_card_evento');
$luogo = get_field('luogo_ngf_card_evento');
$intro = get_field('intro_ngf_card_evento');
$section_id = get_field('section_id');
@endphp

<section data-{{ $block['id'] }} id="@if(isset($section_id) && !empty($section_id)){{$section_id}}@else{{'cardEvent'}}@endif" class="{{ $block['classes'] }} py-16 n7-background-02">
  <h2 class="sr-only">Riassunto</h2>

  <div class="n7-container-xs">
    <div class="n7-card n7-card--event bg-white grid gap-6 md:gap-12 py-8 px-6 md:px-8 md:grid-cols-1-3 shadow-xl border-b-4 md:border-b-0 md:border-r-8 border-brand min-w-0">
      <div class="n7-card__date grid gap-1">
        <h3 class="sr-only">Data e luogo:</h3>
        @if(isset($giorno) && !empty($giorno))
          <time class="grid gap-1 text-brand" datetime="{{$dataISO}}">
            <div class="block font-serif text-6xl lg:text-7xl leading-none">{{$giorno}}</div>
            <div class="italic font-extrabold text-2xl">{{$mese}} {{$anno}}</div>
          </time>
        @endif
        @if(isset($luogo) && !empty($luogo))
          <p class="text-lg md:text-xl text-black">{!!$luogo!!}</p>
        @endif
      </div>
      
      <div class="grid gap-4 md:border-l border-dashed md:pl-12">
        @if(isset($intro) && !empty($intro))
          <div class="grid md:items-center gap-4 md:py-4">
            <h3 class="sr-only">Descrizione</h3>
            <p class="text-sm md:text-base text-black">
              {!!$intro!!}
            </p>
          </div>
        @endif
      </div>

    </div>

    @if(isset($link) && !empty($link))
      <div class="flex justify-center p-6 transition-all right-0 bottom-0 left-0 z-20">
        <a class="n7-btn n7-btn--primary n7-btn--l px-20 w-full md:w-min whitespace-nowrap" href="{{$link['url']}}" target="{{$link['target']}}">
          @if(isset($link['title']) && !empty($link['title']))
            {{$link['title']}}
          @else
            Vai al link
          @endif
        </a>
      </div>
    @endif

  </div>
</section>

@php unset($giornoevento, $dataOggetto, $giorno, $mese, $anno, $dataISO, $luogo, $intro); @endphp