{{--
  Title: Countdown NGF
  Description: Blocco Countdown
  Category: ngf-blocks-giovanisi
  Icon: superhero-alt
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets:
--}}

@php
$titolo_giallo = get_field('titolo_giallo_ngf_countdown');
$titolo_bianco = get_field('titolo_bianco_ngf_countdown');
$data = get_field('data_ngf_countdown');
$bottone = get_field('link_iscrizione_ngf_countdown');
$timestamp = strtotime($data);
$formattedDate = date("M d, Y H:i:s", $timestamp);
$timecurrent = time();
$section_id = get_field('section_id');
@endphp

@if($timecurrent < $timestamp)
    <section data-{{ $block['id'] }} id="@if(isset($section_id) && !empty($section_id)){{$section_id}}@else{{'sectionCountdown'}}@endif" class="{{ $block['classes'] }} countdown-block-gutenberg n7-background-06 n7-content-inverse py-6 n7-counter">
        <div class="n7-container grid lg:flex gap-6 justify-center lg:justify-between justify-items-center lg:justify-items-start lg:items-center">
            
            <div class="text-base md:text-lg text-center lg:text-left lg:flex-1">
                @if(isset($titolo_giallo) && !empty($titolo_giallo))
                    <h2 class="text-light-orange font-bold">{{ $titolo_giallo }}</h2>
                @endif
                @if(isset($titolo_bianco) && !empty($titolo_bianco))
                    <p>{{ $titolo_bianco }}</p>
                @endif
            </div>

            @if(isset($data) && !empty($data))
                <div class="lg:flex-1">
                    <p class="sr-only" id="counterLabel">Mancano:</p>
                    <p id="counterWrapper" class="flex justify-center gap-2 md:gap-4" aria-labelledby="counterLabel counterWrapper" data-date="{{$formattedDate}}">
                        <span class="n7-counter__item">
                            <span class="n7-counter__item-emphasis">&nbsp;</span>
                            giorni
                        </span>
                        <span class="n7-counter__item">
                            <span class="n7-counter__item-emphasis">&nbsp;</span>
                            ore
                        </span>
                        <span class="n7-counter__item">
                            <span class="n7-counter__item-emphasis">&nbsp;</span>
                            minuti
                        </span>
                        <span class="n7-counter__item">
                            <span class="n7-counter__item-emphasis">&nbsp;</span>
                            secondi
                        </span>
                    </p>
                </div>
            @endif

            <div class="lg:flex-1 lg:text-right">
                @if(isset($bottone['url']) && !empty($bottone['url']) && isset($bottone['title']) && !empty($bottone['title']))
                    <a id="topCtaSubscription" class="n7-btn n7-btn--primary whitespace-nowrap px-20 w-full md:w-min md:px-4" href="{{$bottone['url']}}">
                        {{$bottone['title']}}
                    </a>
                @endif
            </div>
        </div>

    </section>
    <script>
        var countDownDate = new Date(document.querySelector('#counterWrapper').getAttribute('data-date')).getTime();
        // Update the count down every 1 second
        var x = setInterval(function() {
            var now = new Date().getTime();
            var distance = countDownDate - now;
            var days = Math.floor(distance / (1000 * 60 * 60 * 24));
            var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
            var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
            var seconds = Math.floor((distance % (1000 * 60)) / 1000);
            document.getElementById("counterWrapper").innerHTML = "<span class=\"n7-counter__item\"><span class=\"n7-counter__item-emphasis\">" + days + "</span>giorni</span> <span class=\"n7-counter__item\"><span class=\"n7-counter__item-emphasis\">" + hours + "</span>ore</span> <span class=\"n7-counter__item\"><span class=\"n7-counter__item-emphasis\">" + minutes + "</span>minuti</span> <span class=\"n7-counter__item\"><span class=\"n7-counter__item-emphasis\">" + seconds + "</span>secondi</span>";
            // If the count down is over, write some text 
            if (distance < 0) {
                clearInterval(x);
                document.getElementById("counterWrapper").innerHTML = "EXPIRED";
            }
        }, 1000);
    </script>
@endif

@php unset($titolo_giallo, $titolo_bianco, $data, $bottone, $timestamp, $formattedDate); @endphp