{{--
  Title: Hero NGF
  Description: Hero component ngf
  Category: ngf-blocks-giovanisi
  Icon: superhero-alt
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets:
--}}

@php
$scelta = get_field('scelta_video_immagine_ngf_hero');
$titolo = get_field('titolo_ngf_hero');
$back_titolo = get_field('scelta_background_titolo_ngf_hero');
$back_mobile = get_field('background_mobile_ngf_hero');
$back_tablet = get_field('background_tablet_ngf_hero');
$back_desktop = get_field('background_desktop_ngf_hero');
$video = get_field('video_ngf_hero');
$copertina = get_field('copertina_ngf_hero');
$section_id = get_field('section_id');
@endphp

@if(isset($scelta) && $scelta == 'immagine' && isset($back_desktop) && !empty($back_desktop))
  <header data-{{ $block['id'] }} id="@if(isset($section_id) && !empty($section_id)){{$section_id}}@else{{'sectionHero'}}@endif" class="n7-hero n7-hero--fullimg min-h-[--min-height] h-[--height] max-h-[--max-height] md:min-h-[--md-min-height] md:h-[--md-height] md:max-h-[--md-max-height] lg:min-h-[--lg-min-height] lg:h-[--lg-height] lg:max-h-[--lg-max-height] grid overflow-hidden relative">

    <svg style="visibility: hidden; position: absolute;" width="0" height="0" xmlns="http://www.w3.org/2000/svg" version="1.1">
          <defs>
              <filter id="paddedEffect"><feGaussianBlur in="SourceGraphic" stdDeviation="10" result="blur" />    
                  <feColorMatrix in="blur" mode="matrix" values="1 0 0 0 0  0 1 0 0 0  0 0 1 0 0  0 0 0 19 -9" result="paddedEffect" />
                  <feComposite in="SourceGraphic" in2="paddedEffect" operator="atop"/>
              </filter>
          </defs>
      </svg>
      {{-- @if(isset($back_titolo) && !empty($back_titolo) && $back_titolo == 'scuro')  --}}
      @if(isset($titolo) && !empty($titolo))
        <div class="z-10 grid items-center md:place-content-center md:place-items-center text-center py-8 px-5 md:px-20 lg:px-28 md:py-10 lg:py-16 bg-gradient-04 bg-opacity-20 text-white">
            <h1 class="n7-heading-1 w-full lg:w-7/12">
              <div class="n7-padded-text @if(isset($back_titolo) && !empty($back_titolo) && $back_titolo == 'scuro') is-dark @else is-light @endif">
                {!!$titolo!!}
              </div>
            </h1>
        </div>
      @else
        <h1 class="sr-only">{{get_the_title()}}</h1>
      @endif

      @if(isset($back_desktop) && !empty($back_desktop))
        <picture class="w-full h-full absolute t-0 r-0 b-0 l-0">
            @if(isset($back_mobile) && !empty($back_mobile))
              <source srcset="{{$back_mobile['url']}}" media="(max-width: 767px)">
            @endif
            @if(isset($back_tablet) && !empty($back_tablet))
              <source srcset="{{$back_tablet['url']}}" media="(min-width: 768px) and (max-width: 1023px)">
            @endif
            <img class="object-cover object-center w-full h-full" src="{{$back_desktop['url']}}" alt="" />
        </picture>
      @endif

  </header>

@elseif(isset($scelta) && $scelta == 'video' && isset($video) && !empty($video))

  <header data-{{ $block['id'] }} class="bg-black" id="@if(isset($section_id) && !empty($section_id)){{$section_id}}@else{{'sectionHero'}}@endif" >
    <h1 class="sr-only">{{get_the_title()}}</h1>
    <div class="max-w-[1200px] w-full mx-auto grid gap-6">
      <!-- <h2 class="n7-heading-3 font-bold text-white">Ricordi del Next Generation Fest 2023</h2> -->
      <div class="n7-video relative aspect-video">
          
          <button type="button" id="videoPlay" class="n7-video__overlay n7-video__play transition-all absolute top-0 right-0 bottom-0 left-0 z-20 w-full group">
              
              <span class="n7-btn n7-btn--icon  w-16 h-16 absolute z-20 top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 text-white cursor-pointer rounded-full border-4">
                  <svg class="inline-block align-middle fill-current w-8 h-8 transition-all" aria-hidden="true" focusable="false" role="img">
                      <use xlink:href="{{asset('images/icons.svg')}}#mini--play" />
                  </svg>
                  <span class="sr-only">Riproduci il video: Giovanisi</span>
                </span>

              <div class="absolute z-10 top-0 right-0 bottom-0 left-0 bg-black bg-opacity-5 group-hover:bg-opacity-40 transition-all"></div>

              @if(isset($copertina) && !empty($copertina))
                <picture class="block w-full h-full aspect-video">
                    <img class="object-cover object-center w-full h-full" src="{{$copertina['url']}}" alt="" />
                </picture>
              @endif

            </button>
          @if(isset($video) && !empty($video))
            {!!$video!!}
          @endif
      </div>
    </div>
  </header>

@endif

@php unset($scelta, $titolo, $back_titolo, $back_mobile, $back_tablet, $back_desktop, $video, $copertina); @endphp