{{--
  Title: Highlights NGF
  Description: 
  Category: ngf-blocks-giovanisi
  Icon: superhero-alt
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets:
--}}

@php
$titolo = get_field('titolo_ngf_highlights');
$sottotitolo = get_field('sottotitolo_ngf_highlights');
$video = get_field('video_ngf_highlights');
$copertina = get_field('immagine_copertina_ngf_highlights');
$section_id = get_field('section_id');
$titolo_gal = get_field('titolo_ngf_gallery');
$gallery = get_field('gallery_ngf_gallery');
@endphp

<section id="@if(isset($section_id) && !empty($section_id)){{$section_id}}@else{{'sectionHighlights'}}@endif" class="py-16 md:py-24 scroll-m-24 n7-background-05 text-white">
    <div class="n7-container-xs grid gap-12 md:gap-16 lg:px-[5%]">
  
		@if(isset($titolo) && !empty($titolo))
			<h2 class="n7-heading-2">{{$titolo}}</h2>
		@endif

		@if(isset($video) && !empty($video))
			<div class="grid gap-6">
				@if(isset($sottotitolo) && !empty($sottotitolo))
					<h3 class="n7-heading-4">{!!$sottotitolo!!}</h3>
				@endif
				<div class="n7-video relative aspect-video" style="z-index:0">
					<button type="button" class="n7-video__overlay n7-video__play transition-all absolute top-0 right-0 bottom-0 left-0 z-20 w-full group">
						<span class="n7-btn n7-btn--icon  w-16 h-16 absolute z-20 top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 text-white cursor-pointer rounded-full border-4">
							<svg class="inline-block align-middle fill-current w-8 h-8 transition-all" aria-hidden="true" focusable="false" role="img">
								<use xlink:href="{{asset('images/icons.svg')}}#mini--play" />
							</svg>
							<span class="sr-only">Riproduci il video: Highlights</span>
						</span>

						<div class="absolute z-10 top-0 right-0 bottom-0 left-0 bg-black bg-opacity-5 group-hover:bg-opacity-40 transition-all"></div>

						@if(isset($copertina) && !empty($copertina))
							<picture class="block w-full h-full aspect-video">
								<img class="object-cover object-center w-full h-full" src="{{$copertina['url']}}" alt="" />
							</picture>
						@endif
					</button>
					{!!$video!!}
				</div>
			</div>
		@endif

		@if(isset($gallery) && !empty($gallery))
			<div class="grid gap-6">

				@if(isset($titolo_gal) && !empty($titolo_gal))
					<h3 class="n7-heading-4">{{$titolo_gal}}</h3>
				@endif

				<!-- :n7-grid-fill-logos -->
				@if(isset($gallery) && !empty($gallery) && isset($gallery[0]['immagine_ngf_gallery']) && !empty($gallery[0]['immagine_ngf_gallery']))
					<ul class="grid gap-4 grid-cols-2 md:grid-cols-3">
						@foreach($gallery as $gal)
							@if(isset($gal['immagine_ngf_gallery']) && !empty($gal['immagine_ngf_gallery']))
								<li class="flex">
									<a class="lightbox" href="{{ $gal['immagine_ngf_gallery']['url'] }}" data-group="ngfGallery">
										<picture class="w-full aspect-[15/8]">
											<img src="{{ $gal['immagine_ngf_gallery']['url'] }}" alt="{{$gal['immagine_ngf_gallery']['alt']}}" class="w-full h-full object-cover object-center">
										</picture>
										<span class="sr-only"> - Espandi immagine </span>
									</a>
								</li>
							@endif
						@endforeach
					</ul>
				@endif
			</div>
		@endif

    </div>
</section>
@php unset($titolo, $sottotitolo, $video, $copertina, $section_id, $titolo_gal, $gallery); @endphp