{{--
  Title: Hosts NGF
  Description: 
  Category: ngf-blocks-giovanisi
  Icon: superhero-alt
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets:
--}}

@php
$main_title = get_field('title_ngf_hosts');
$hosts = get_field('hosts_ngf_hosts');
$section_id = get_field('section_id');
@endphp

<section data-{{ $block['id'] }} id="@if(isset($section_id) && !empty($section_id)){{$section_id}}@else{{'sectionHosts'}}@endif" class="sectionHostsClass py-16 n7-background-02 scroll-m-24">

	<div class="n7-container-xs grid gap-12 md:gap-16 lg:px-[5%]">

		<div class="grid gap-6 md:gap-12">

			{{-- titolo sezione --}}
			@if(isset($main_title) && !empty($main_title))
				<h3 class="n7-heading-3">{{$main_title}}</h3>
			@endif

			@if(isset($hosts) && !empty($hosts))

				{{-- stampa <ul> solo se esistono nome descrizione e immagine desktop del primo elemento --}}
				@if( isset($hosts[0]['nome_rep_ngf_hosts']) && !empty($hosts[0]['nome_rep_ngf_hosts']) && isset($hosts[0]['immagine_desktop_rep_ngf_hosts']) && !empty($hosts[0]['immagine_desktop_rep_ngf_hosts']))

					<ul class="flex flex-wrap md:flex justify-center gap-6 md:gap-8">
					
						@foreach($hosts as $hs)

							{{-- stampa solo se esistono nome descrizione e immagine desktop --}}
							@if(
							isset($hs['nome_rep_ngf_hosts']) && !empty($hs['nome_rep_ngf_hosts']) &&
							isset($hs['descrizione_rep_ngf_hosts']) && !empty($hs['descrizione_rep_ngf_hosts']) &&
							isset($hs['immagine_desktop_rep_ngf_hosts']) && !empty($hs['immagine_desktop_rep_ngf_hosts']))
								
								<li class="n7-card content-start n7-tooltip-container has-transform is-card-fullclickable relative max-w-[225px] flex-[0_0_100%] xs:flex-[0_0_46%] md:max-w-[calc(33.33%-2rem)] md:w-[calc(33.33%-2rem)] p-4 gap-4 group group/transform text-black bg-white shadow-lg transition-all hover:shadow-xl odd:-rotate-3 even:rotate-3">
									
									{{-- picture --}}
									@if(isset($hs['immagine_desktop_rep_ngf_hosts']) && !empty($hs['immagine_desktop_rep_ngf_hosts']))
									<picture class="n7-card__image aspect-w-1 aspect-h-1">
										<source srcset="{{$hs['immagine_desktop_rep_ngf_hosts']['url']}}" media="(max-width: 424px)" />
										<source srcset="{{$hs['immagine_desktop_rep_ngf_hosts']['sizes']['medium']}}" media="(max-width: 767px)" />
										<img class="object-cover w-full h-full" alt="" src="{{$hs['immagine_desktop_rep_ngf_hosts']['url']}}" width="240" height="240">
									</picture>
									@endif

									{{-- se esiste nome o descrizione --}}
									@if(isset($hs['nome_rep_ngf_hosts']) && !empty($hs['nome_rep_ngf_hosts']) || isset($hs['descrizione_rep_ngf_hosts']) && !empty($hs['descrizione_rep_ngf_hosts']))
										
										{{-- se esiste il tooltip wrappa in un button altrimenti in uno span --}}
										@if(isset($hs['tooltip_rep_ngf_hosts']) && !empty($hs['tooltip_rep_ngf_hosts']))  
											<button class="n7-card__heading n7-card__action grid justify-start text-left" type="button" data-toggletip-content="{{$hs['tooltip_rep_ngf_hosts']}}">
										@else
											<span class="n7-card__heading n7-card__action grid justify-start text-left">
										@endif  

										{{-- Nome  --}}
										@if(isset($hs['nome_rep_ngf_hosts']) && !empty($hs['nome_rep_ngf_hosts']))
											<span class="n7-card__title leading-tight text-base md:text-xl italic font-extrabold uppercase group-hover:underline">
												{{$hs['nome_rep_ngf_hosts']}}
											</span>
										@endif

										{{-- Descr  --}}
										@if(isset($hs['descrizione_rep_ngf_hosts']) && !empty($hs['descrizione_rep_ngf_hosts']))
											<span class="text-sm md:text-base">{{$hs['descrizione_rep_ngf_hosts']}}</span>
										@endif

										{{-- se esiste tooltip --}}
										@if(isset($hs['tooltip_rep_ngf_hosts']) && !empty($hs['tooltip_rep_ngf_hosts'])) 
											<span class="sr-only"> - Ulteriori informazioni</span>
											</button>
										@else
											</span>
										@endif

									@endif

									@if(isset($hs['tooltip_rep_ngf_hosts']) && !empty($hs['tooltip_rep_ngf_hosts'])) 
										<span class="n7-tooltip n7-tooltip--inverse" role="status"></span>
									@endif

								</li>
							@endif
						@endforeach
					</ul>
				@endif

			@endif
		</div>
	</div>
</section>

@php unset($main_title, $hosts); @endphp