{{--
  Title: Novità NGF
  Description: 
  Category: ngf-blocks-giovanisi
  Icon: superhero-alt
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets:
--}}

@php
$titolo = get_field('titolo_ngf_novita');
$voci = get_field('novita_ngf_novita');
$section_id = get_field('section_id');
$card_fullclick_classes = 'is-card-fullclickable transition-all hover:shadow-lg group/card';
// dd($voci);
@endphp

<section data-{{ $block['id'] }} id="@if(isset($section_id) && !empty($section_id)){{$section_id}}@else{{'sectionNovita'}}@endif" class="sectionNovitaClass py-16 md:py-24 n7-background-02 scroll-m-24">
  	<div class="n7-container grid gap-12 md:gap-16 min-w-0">
  
		<!-- WRAPPER DESCRIZIONE -->
		<div class="grid gap-10 md:gap-12 min-w-0">
			@if(isset($titolo) && !empty($titolo))
				<h2 class="n7-heading-2 text-center">{{$titolo}}</h2>
			@endif

			@if(isset($voci) && !empty($voci))

			<div class="flex flex-wrap justify-center" style="gap: 2rem;">
				@foreach($voci as $v)
					@if(!empty($v['immagine_desktop_ngf_novita']) && !empty($v['titolo_voce_ngf_novita']))
						<article class="n7-card n7-card--news content-start gap-4 pt-0 pr-0 pb-8 pl-0 rounded-md w-full md:w-[calc(50%-1rem)] lg:w-[calc(33.333%-1.333rem)] @if(isset($v['link_voce_ngf_novita']) && !empty($v['link_voce_ngf_novita'])){{ $card_fullclick_classes }}@endif">
							@if(isset($v['immagine_desktop_ngf_novita']) && !empty($v['immagine_desktop_ngf_novita']))
								<picture class="n7-card__image aspect-w-16 aspect-h-9">
									@if(isset($v['immagine_mobile_ngf_novita']) && !empty($v['immagine_mobile_ngf_novita']))
										<source srcset="{{$v['immagine_mobile_ngf_novita']['url']}}" media="(max-width: 767px)">
									@endif
									@if(isset($v['immagine_tablet_ngf_novita']) && !empty($v['immagine_tablet_ngf_novita']))
										<source srcset="{{$v['immagine_tablet_ngf_novita']['url']}}" media="(min-width: 768px) and (max-width: 1023px)">
									@endif
									<img src="{{ $v['immagine_desktop_ngf_novita']['url'] }}" alt="" class="w-full h-full object-cover object-center">
								</picture>
							@endif
							<div class="grid gap-4 px-4">
								<div class="n7-card__heading flex flex-col-reverse gap-4">
									<h3 class="n7-card__title text-lg md:text-xl">
										@if(isset($v['link_voce_ngf_novita']) && !empty($v['link_voce_ngf_novita']))
											<a class="hover:underline group-hover/card:underline" href="{{$v['link_voce_ngf_novita']['url']}}">
										@endif
											@if(isset($v['titolo_voce_ngf_novita']) && !empty($v['titolo_voce_ngf_novita']))
												{{$v['titolo_voce_ngf_novita']}}
											@endif
										@if(isset($v['link_voce_ngf_novita']) && !empty($v['link_voce_ngf_novita']))
											</a>
										@endif
									</h3>
								</div>
								@if(isset($v['sottotitolo_voce_ngf_novita']) && !empty($v['sottotitolo_voce_ngf_novita']))
									<p class="n7-card__excerpt text-sm md:text-base">
										{{$v['sottotitolo_voce_ngf_novita']}}
									</p>
								@endif
							</div>
						</article>
					@endif
				@endforeach
			</div>

			@endif
		</div>
    </div>
</section>

@php unset($titolo, $voci, $section_id); @endphp