{{--
  Title: Speakers NGF
  Description: 
  Category: ngf-blocks-giovanisi
  Icon: superhero-alt
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets:
--}}

@php
$titolo = get_field('titolo_ngf_speakers');
$speakers = get_field('speakers_ngf_speakers');
$section_id = get_field('section_id');
@endphp

<section id="@if(isset($section_id) && !empty($section_id)){{$section_id}}@else{{'sectionSpeakers'}}@endif" data-{{ $block['id'] }} class="{{ $block['classes'] }} n7-background-04 n7-content-inverse py-16 md:py-20 scroll-m-24 n7-speakers">
    <div class="n7-container grid gap-8 md:gap-16">

        {{-- titolo --}}
        @if(isset($titolo) && !empty($titolo))
            <h2 class="n7-heading-2 text-center">{{$titolo}}</h2>
        @endif

        {{-- se esistono nome e immagine del primo elemento stampo <ul> --}}
        @if(isset($speakers[0]['nome_ngf_speakers']) && !empty($speakers[0]['nome_ngf_speakers']) || isset($speakers[0]['immagine_desktop_ngf_speakers']) && !empty($speakers[0]['immagine_desktop_ngf_speakers']))

            <ul class="grid grid-cols-2 md:grid-cols-3 lg:grid-cols-4 gap-8 md:gap-16">

                {{-- se il campo repeater esiste --}}    
                @if(isset($speakers) && !empty($speakers))
                    @foreach($speakers as $spk)

                        @if(!isset($spk['nascondi_ngf_speakers']) || (isset($spk['nascondi_ngf_speakers']) && $spk['nascondi_ngf_speakers'] != true))
                        
                            {{-- se esiste nome o immagine stampo <li> --}}
                            @if(isset($spk['nome_ngf_speakers']) && !empty($spk['nome_ngf_speakers']) || isset($spk['immagine_desktop_ngf_speakers']) && !empty($spk['immagine_desktop_ngf_speakers']))
                            
                                <li class="n7-card n7-speaker-item p-0 gap-4 items-start content-start @if(isset($spk['tooltip_ngf_speakers']) && !empty($spk['tooltip_ngf_speakers'])) n7-tooltip-container is-card-fullclickable group transition-all relative @endif">
                                        
                                    {{-- se esiste immagine desktop --}}
                                    @if(isset($spk['immagine_desktop_ngf_speakers']) && !empty($spk['immagine_desktop_ngf_speakers']))
                                        <picture class="n7-card__image aspect-w-1 aspect-h-1 rounded-full overflow-hidden bg-gradient-speaker">
                                            @if(isset($spk['immagine_desktop_ngf_speakers']['sizes']['medium']) && !empty($spk['immagine_desktop_ngf_speakers']['sizes']['medium']))
                                                <source srcset="{{$spk['immagine_desktop_ngf_speakers']['sizes']['medium']}}" media="(max-width: 767px)" />
                                            @endif
                                            <img class="object-cover w-full h-full border-8 border-transparent rounded-full" alt="" src="{{$spk['immagine_desktop_ngf_speakers']['url']}}" width="240" height="240">
                                        </picture>
                                    @endif

                                    {{-- se esiste tooltip è <button> altrimenti <span> --}}
                                    @if(isset($spk['tooltip_ngf_speakers']) && !empty($spk['tooltip_ngf_speakers']))
                                        <button class="n7-card__heading n7-card__action grid justify-center text-center n7-content-inverse" type="button" data-toggletip-content="{{$spk['tooltip_ngf_speakers']}}">
                                    @else
                                        <span class="n7-card__heading n7-card__action grid justify-center text-center n7-content-inverse">
                                    @endif

                                        {{-- se esiste nome --}}
                                        @if(isset($spk['nome_ngf_speakers']) && !empty($spk['nome_ngf_speakers']))
                                            <span class="n7-card__title leading-tight text-base md:text-xl italic font-extrabold uppercase group-hover:underline">
                                                {{$spk['nome_ngf_speakers']}}
                                            </span>
                                        @endif

                                        {{-- se esiste descrizione --}}
                                        @if(isset($spk['descrizione_ngf_speakers']) && !empty($spk['descrizione_ngf_speakers']))
                                            <span class="text-sm md:text-base">{{$spk['descrizione_ngf_speakers']}}</span>
                                        @endif

                                    @if(isset($spk['tooltip_ngf_speakers']) && !empty($spk['tooltip_ngf_speakers']))
                                        <span class="sr-only"> - Ulteriori informazioni</span>
                                        </button>
                                    @endif

                                    @if(isset($spk['tooltip_ngf_speakers']) && !empty($spk['tooltip_ngf_speakers']))
                                        <span class="n7-tooltip n7-tooltip--inverse" role="status"></span>
                                    @endif

                                </li>

                            @endif
                        @endif
                    @endforeach
                @endif
            </ul>
        @endif
    </div>
</section>

@php unset($titolo, $speakers, $section_id); @endphp