{{--
  Title: Numeri
  Description: Blocco Numeri di Giovanisì
  Category: custom-blocks-giovanisi
  Icon: info
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$titolo = get_field('titolo_blocco_numeri');
$main_number = get_field('main_number_blocco_numeri');
$repeater = get_field('numeri_blocco_numeri');

@endphp

<section data-{{ $block['id'] }} class="{{ $block['classes'] }} numeri-block-gutenberg animation-blur-container py-8 md:py-10" aria-label="Dati in numeri">
    <div class="n7-container grid gap-6 md:gap-10 lg:gap-12">
        <div class="grid justify-items-center gap-4 md:gap-8 py-4 text-center">
            @if(isset($titolo) && !empty($titolo))
                <h2 class="text-3xl md:text-4xl lg:text-5xl">{!! $titolo !!}</h2>
            @endif
            @if(isset($main_number) && !empty($main_number))
                <p class="py-1 px-2 text-2xl md:text-3xl lg:text-4xl text-white font-bold bg-brand">{!! $main_number !!}</p>
            @endif
        </div>
        @if(isset($repeater) && !empty($repeater))
        <dl class="n7-number-list grid grid-cols-2 lg:flex lg:flex-wrap justify-center gap-8 lg:gap-10 animation-blur-item opacity-0 transition-all duration-1000">
        @foreach ($repeater as $rep)
            <div class="n7-number-list__item grid sm:flex gap-1.5 items-baseline justify-items-center sm:justify-items-start justify-center">
            @if(isset($rep['label_blocco_numeri']) && !empty($rep['label_blocco_numeri']))
                <dt class="n7-number-list__label text-center sm:text-left text-sm md:text-base lg:text-lg">
                    {{$rep['label_blocco_numeri']}}
                </dt>
            @endif
            @if(isset($rep['numero_blocco_numeri']) && !empty($rep['numero_blocco_numeri']))
                <dd class="n7-number-list__number block px-1 py-1 n7-background-02 text-center sm:text-left text-base md:text-xl lg:text-2xl font-bold">
                    {{$rep['numero_blocco_numeri']}}
                </dd>
            @endif
            </div>
        @endforeach
        </dl>
        @endif
    </div>
</section>

@php unset($titolo, $main_number, $repeater); @endphp