{{--
  Title: Opportunita Homepage
  Description: Blocco per visualizzare le opportunità in Homepage
  Category: custom-blocks-giovanisi
  Icon: columns
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}
@php
$titolo = get_field('titolo_opportunita_blocco_opportunita');
$pretitolo = get_field('pretitolo_opportunita_blocco_opportunita');
$link = get_field('link_archivio_blocco_opportunita');
@endphp

<section data-{{ $block['id'] }} class="{{ $block['classes'] }} opportunitainevidenza n7-background-01 py-16 md:py-20">
    <div class="n7-container grid gap-6 md:gap-10 lg:gap-12">

        <div class="wrapper-title grid lg:flex lg:items-start lg:justify-between gap-8 py-4">
            <div class="justify-self-stretch">
              
                <h2 class="text-3xl md:text-4xl lg:text-5xl grid gap-2 md:gap-4">
                    @if(isset($pretitolo) && (!empty($pretitolo)))
                        <small class="text-base md:text-lg">{!!$pretitolo!!}</small>
                    @endif
                    @if(isset($titolo) && (!empty($titolo)))
                        <span>{!!$titolo!!}</span>
                    @endif
                </h2>
                  <!-- TODO: MARKUP ALTERNATIVO -->
                <!-- <div class="grid gap-2 md:gap-4">
                    <h2 class="text-base md:text-lg" id="opportunityTitle{{ $block['id'] }}" aria-describedby="opportunityDescription{{ $block['id'] }}">
                        Opportunità
                    </h2>
                    <p id="opportunityDescription{{ $block['id'] }}" class="text-3xl md:text-4xl lg:text-5xl">Il tuo <strong>pass per il futuro</strong></p>
                </div> -->
                <!-- <div class="editoropportunita">{!! get_field('editor_giovanisi_blocco_opportunità') !!}</div> -->
            </div>

            @if(isset($link['url']) && !empty($link['url']) && isset($link['title']) && !empty($link['title']))
                <a href="{{$link['url']}}" class="n7-link n7-link--action-link group justify-self-end hidden md:inline-flex">
                    {{$link['title']}}
                    <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                        <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                        </svg>
                    </span>
                </a>
            @endif
        </div>

        <div class="wrapper-lista-bandi grid gap-4 md:grid-cols-2 lg:grid-cols-4">
            @foreach ($bando_posts as $post)
                @include('partials.card-bando', ['bando_posts' => $post])
            @endforeach
        </div>

        @if(isset($link['url']) && !empty($link['url']) && isset($link['title']) && !empty($link['title']))
            <div class="flex justify-center pt-6 md:hidden"> 
                <a href="{{$link['url']}}" class="n7-link n7-link--action-link group justify-self-end">
                    {{$link['title']}}
                    <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                        <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                        </svg>
                    </span>
                </a>
            </div>
        @endif 
    </div>
</section>
@php unset($titolo, $link, $pretitolo) @endphp