{{--
  Title: Popup
  Description: Popup con titolo, sottotitolo e cta
  Category: custom-blocks-giovanisi
  Icon: share-alt2
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$data_popup = get_field('data_popup');
$luogo_popup = get_field('luogo_popup');
$titolo_popup = get_field('titolo_popup');
$testo_popup = get_field('testo_popup');
$link_popup = get_field('link_popup');
$id_popup = get_field('id_popup');
$cookie_name = 'hide_popup_' . (isset($id_popup) && !empty($id_popup) ? $id_popup : get_the_ID());
$hide_popup = isset($_COOKIE[$cookie_name]);

if(isset($id_popup) && !empty($id_popup)){
  $id_popup_def = $id_popup;
} else {
  $id_popup_def = 'popup-'.get_the_ID();
}

@endphp

@if (!$hide_popup && !is_admin())
  @if((isset($titolo_popup) && !empty($titolo_popup)) || (isset($testo_popup) && !empty($testo_popup)))
    <section class="popup-section bg-black bg-opacity-30 fixed w-full h-full top-0 right-0 bottom-0 left-0 grid z-[999] overflow-y-auto justify-center items-center">
        <div role="dialog" aria-modal="true" 
        aria-labelledby="popupLabel{{$id_popup_def}}" 
        aria-describedby="popupText{{$id_popup_def}}" 
        id="{{$id_popup_def}}" 
        class="popup-wrapper mx-auto w-full max-w-md md:w-auto transition-all duration-500 min-h-0 max-h-full" tabindex="0">
        {{-- absolute left-[50vw] top-[50vh] -translate-x-[50%] -translate-y-[50%] --}}


      
            @if((isset($data_popup) && !empty($data_popup)) || (isset($luogo_popup) && !empty($luogo_popup)))
              <img src="{{asset('images/popup-top.svg')}}" alt="" class="w-full">
              <div class="w-full pb-6 md:pb-8 px-5 md:px-9 pt-2 md:pt-4 rounded-tl-[0] rounded-tr-[0] rounded-bl-[20px] rounded-br-[20px] bg-white/95">
                @if(isset($data_popup) && !empty($data_popup))
                  <p class="font-bold n7-heading-5">{{$data_popup}}</p>
                @endif
                @if(isset($luogo_popup) && !empty($luogo_popup))
                  <p class="text-sm">{{$luogo_popup}}</p>
                @endif
              </div>
            @endif

            <div class="bg-white/95 mx-[20px] dotted"></div>
            <div class="w-full flex justify-center flex-col relative gap-5 md:gap-9 py-6 md:py-10 px-5 md:px-9 rounded-tl-[20px] rounded-tr-[20px] rounded-bl-[0] rounded-br-[0] bg-white/95">
              @if(isset($titolo_popup) && !empty($titolo_popup))
                <h2 
                id="popupLabel{{$id_popup_def}}" 
                class="n7-heading-3 font-bold text-[#401489]">{{$titolo_popup}}</h2>
              @endif
              @if(isset($testo_popup) && !empty($testo_popup))
                <p 
                id="popupText{{$id_popup_def}}" 
                class="text-sm">{!!$testo_popup!!}</p>
              @endif
            </div>

            <div class="flex flex-col md:flex-row justify-center gap-4 w-full pt-6 md:pt-9 pb-4 md:pb-6 px-5 md:px-9 bg-[#401489]">
              <button id="closepopup" data-cookie-name="{{ $cookie_name }}" class="n7-btn n7-btn--secondary focus:bg-secondary-900 focus:border-secondary-900 n7-btn--l w-full md:w-auto border-0 ring-white outline-white order-1">Chiudi<span class="sr-only"> la modale</span></button>
              @if(isset($link_popup['url']) && !empty($link_popup['url']))
                <a href="{{$link_popup['url']}}" class="n7-btn n7-btn--primary n7-btn--l w-full md:w-auto border-0 ring-white outline-white" target="{{$link_popup['target']}}">
                  @if(isset($link_popup['title']) && !empty($link_popup['title']))
                    {{$link_popup['title']}}
                  @else
                    Iscriviti
                  @endif
                </a>
              @endif
            </div>
            <img src="{{asset('images/popup-bottom.svg')}}" alt="">
      </div>
    </section>
  @endif
@endif

<style>
  .dotted::before{
    content: '';
    display: block;
    width: 100%;
    height: 2px;
    background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' stroke='black' stroke-width='5' stroke-dasharray='28' stroke-dashoffset='0' stroke-linecap='square'/%3e%3c/svg%3e");
  }


</style>

@php unset($cookie_name, $hide_popup); @endphp
