{{--
  Title: Registrazione
  Description: Blocco per la registrazione
  Category: custom-blocks-giovanisi
  Icon: admin-users
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsInnerBlocks: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets:
--}}

@php 
$testo = get_field('testo_blocco_registrazione');
$scelta_form = get_field('scelta_form_blocco_registrazione');
$editor = get_field('editor_blocco_registrazione');
$link = get_field('link_accesso_blocco_registrazione');
@endphp

{{-- CONTENUTO  --}}
{{--  con lg:bg-[url('{{ asset('images/forms-illustration.svg') }}')] non funziona --}}
<section data-{{ $block['id'] }} class="n7-container pb-12 bg-no-repeat bg-[size:16rem] lg:pb-48 lg:bg-[size:28rem] bg-right-bottom lg:bg-[right_10%_top] lg:bg-[url('images/forms-illustration.svg')]">
    <div class="w-full max-w-[520px] pb-8 lg:pr-8 grid gap-6 bg-white/75 ">

        @if ( !is_user_logged_in() ) 
            @if(isset($testo) && !empty($testo))
                <p class="text-xs md:text-base lg:text-lg">
                    {!! $testo !!}
                </p>
            @endif
            @if(isset($scelta_form) && !empty($scelta_form))
                <div class="n7-form has-heading-hidden grid gap-6">
                    {!!do_shortcode('[gravityform id="'.$scelta_form['id'].'" title="true"]')!!}
                </div>
            @endif

            @if(isset($link) && !empty($link))
                <div class="border-t n7-border-gray-02 grid gap-2 py-8 md:py-12">
                    <p class="text-sm md:text-base lg:text-lg"><strong>Hai già un account?</strong> <a class="underline n7-link-primary hover:n7-link-primary-hover" href="{{$link['url']}}">Accedi</a></p>
                </div>
            @endif
            @if(isset($editor) && !empty($editor))
                <div class="border-t n7-border-gray-02 grid gap-2 py-6">
                    {!! $editor !!}
                </div>
            @endif
        @else
            <div class="space-y-4 border-t n7-border-gray-02 mt-6 py-9">
                <h2 class="n7-heading-3 font-bold">Accesso effettuato come {{wp_get_current_user()->data->user_nicename}}</h2>
                <div>
                    <a class="n7-btn n7-btn--primary" href="{{ wp_logout_url(strtok($_SERVER["REQUEST_URI"],'?')) }}">{{'Logout'}}</a>
                </div>
                {{-- <p class="text-base md:text-lg">Puoi iniziare a pubblicare contenuti nel Magazine!</p> --}}
            </div> 
        @endif
    </div>
</section>

@php unset($testo, $scelta_form, $editor, $link ); @endphp