{{--
  Title: Immagine e Testo
  Description: Blocco con immagine e testo
  Category: custom-blocks-giovanisi
  Icon: id
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$pretitolo = get_field('pretitolo_blocco_immagine_testo') ? get_field('pretitolo_blocco_immagine_testo') : '';
$titolo = get_field('titolo_blocco_immagine_testo') ? get_field('titolo_blocco_immagine_testo') : '';
$link = get_field('campo_link_blocco_immagine_testo');
$immagine = get_field('immagine_blocco_immagine_testo');
$allineamento = get_field('allineamento_blocco_immagine_testo') ? get_field('allineamento_blocco_immagine_testo') : 'sinistra';
$background_mob = get_field('background_mobile_blocco_immagine_testo');
$background_tab = get_field('background_tablet_blocco_immagine_testo');
$background_desk = get_field('background_desktop_blocco_immagine_testo');
$larghezza_img = get_field('larghezza_immagine_blocco_immagine_testo');
$larghezza_img_custom = get_field('larghezza_in_pixel_blocco_immagine_testo');
if(isset($larghezza_img) && !empty($larghezza_img)){
    $largh = $larghezza_img;
} else {
    $largh = '';
}
@endphp

<div data-{{ $block['id'] }} class="{{ $block['classes'] }} img-text-block-gutenberg">
    <section class="n7-banner py-20 @if(isset($background_desk) && !empty($background_desk)) relative before:content-[''] before:absolute before:top-0 before:right-0 before:bottom-0 before:left-0 before:bg-darker-teal before:z-[1] before:opacity-80 @else bg-white @endif">
  
        @if(isset($background_desk) && !empty($background_desk))
            <picture class="w-full h-full absolute top-0 right-0 bottom-0 left-0">
                @if(isset($background_mob) && !empty($background_mob))
                    <source srcset="{{$background_mob['url']}}" media="(max-width: 767px)">
                @endif
                @if(isset($background_tab) && !empty($background_tab))
                    <source srcset="{{$background_tab['url']}}" media="(min-width: 768px) and (max-width: 1023px)">
                @endif
                <img class="object-cover object-center w-full h-full" src="{{$background_desk['url']}}" alt="" />
            </picture>
        @endif

        <div class="n7-container grid md:flex md:items-center md:justify-between gap-8 md:gap-9 lg:gap-20 @if(isset($background_desk) && !empty($background_desk)) z-10 relative @endif">
            @if($allineamento=='sinistra')
                @if(isset($immagine['url']))
                                                        
                    <div class="@if(!empty($largh)) md:{{$largh}} @else md:w-1/2 @endif mt-4 md:mt-0 flex align-center justify-center">
                        <picture class="w-full h-full" @if(isset($larghezza_img_custom) && !empty($larghezza_img_custom) && $largh == 'custom') style="max-width: {{$larghezza_img_custom}}px;" @endif>
                            {{-- <source srcset="{!! wp_get_attachment_image_url($immagine['ID'], 'medium') !!} , {!! wp_get_attachment_image_url($immagine['ID'], 'medium') !!}@2x 2x" media="(max-width: 567px)">
                            <source srcset="{!! wp_get_attachment_image_url($immagine['ID'], 'large') !!} , {!! wp_get_attachment_image_url($immagine['ID'], 'large') !!}@2x 2x" media="(max-width: 767px)">
                            <source srcset="{!! wp_get_attachment_image_url($immagine['ID'], 'full') !!} , {!! wp_get_attachment_image_url($immagine['ID'], 'full') !!}@2x 2x" media="(min-width: 768px) and (max-width: 1023px)">
                            <img src="{{ $immagine['url'] }}" alt="{{ $immagine['alt'] }}" class="w-full h-full object-contain object-left-top"> --}}
                            <source srcset="{!! wp_get_attachment_image_url($immagine['ID'], 'large') !!}" media="(max-width: 567px)">
                            <source srcset="{!! wp_get_attachment_image_url($immagine['ID'], 'large') !!}" media="(max-width: 767px)">
                            <source srcset="{!! wp_get_attachment_image_url($immagine['ID'], 'full') !!}" media="(min-width: 768px) and (max-width: 1023px)">
                            <img src="{{ $immagine['url'] }}" alt="{{ $immagine['alt'] }}" class="w-full h-full object-contain object-left-top">
                        </picture>
                    </div>
                @endif
            @endif

            <div class="flex-1 grid gap-8 md:gap-9 lg:gap-10 order-last md:order-none @if(isset($background_desk) && !empty($background_desk)) text-white @endif">
                {{-- md:flex-1 --}}
                <div class="flex flex-col-reverse gap-5 md:gap-6 md:max-w-[500px] lg:max-w-[900px]">
                    @if(!empty($titolo))
                        <h2 class="n7-heading-2" id="bannerTitle{{ $block['id'] }}">
                            {!! $titolo !!}
                        </h2>
                    @endif
                    @if(!empty($pretitolo))
                        <small class="text-sm md:text-base lg:text-lg">
                            {!! $pretitolo !!}
                        </small>
                    @endif
                </div>
    
                @if(isset($link['url']) && !empty($link['title']))
                    <div class="flex md:block">
                        <a href="{{ $link['url'] }}" class="flex-1 n7-btn @if(isset($background_desk) && !empty($background_desk)) bg-white border-transparent hover:n7-button-primary-hover focus:n7-button-primary-hover active:n7-button-primary-active text-black hover:text-white focus:text-white active:text-white @else n7-btn--outline @endif" id="bannerCta{{ $block['id'] }}" aria-labelledby="bannerCta{{ $block['id'] }} bannerTitle{{ $block['id'] }}">
                            {!! $link['title'] !!}
                        </a>
                    </div>
                @endif
    
            </div>
            @if($allineamento=='destra')
                @if(isset($immagine['url']))
                    <div class="@if(!empty($largh)) md:{{$largh}} @endif mt-4 md:mt-0 flex align-center justify-center order-first md:order-none">
                        <picture class="w-full h-full" @if(isset($larghezza_img_custom) && !empty($larghezza_img_custom) && $largh == 'custom') style="max-width: {{$larghezza_img_custom}}px;" @endif>
                            {{-- <source srcset="{!! wp_get_attachment_image_url($immagine['ID'], 'medium') !!} , {!! wp_get_attachment_image_url($immagine['ID'], 'medium') !!}@2x 2x" media="(max-width: 567px)">
                            <source srcset="{!! wp_get_attachment_image_url($immagine['ID'], 'large') !!} , {!! wp_get_attachment_image_url($immagine['ID'], 'large') !!}@2x 2x" media="(max-width: 767px)">
                            <source srcset="{!! wp_get_attachment_image_url($immagine['ID'], 'full') !!} , {!! wp_get_attachment_image_url($immagine['ID'], 'full') !!}@2x 2x" media="(min-width: 768px) and (max-width: 1023px)">
                            <img src="{{ $immagine['url'] }}" alt="{{ $immagine['alt'] }}" class="w-full h-full object-contain object-left-top"> --}}
                            <source srcset="{!! wp_get_attachment_image_url($immagine['ID'], 'large') !!}" media="(max-width: 567px)">
                            <source srcset="{!! wp_get_attachment_image_url($immagine['ID'], 'large') !!}" media="(max-width: 767px)">
                            <source srcset="{!! wp_get_attachment_image_url($immagine['ID'], 'full') !!}" media="(min-width: 768px) and (max-width: 1023px)">
                            <img src="{{ $immagine['url'] }}" alt="{{ $immagine['alt'] }}" class="w-full h-full object-contain object-left-top">
                        </picture>
                    </div>
                @endif
            @endif
        </div>
    </section>  
</div>

@php unset($pretitolo, $titolo, $link, $immagine, $allineamento, $larghezza_img, $larghezza_img_custom, $background_mob, $background_tab, $background_desk, $largh); @endphp
