{{--
  Title: Slider Gallery
  Description: Slider Gallery
  Category: custom-blocks-giovanisi
  Icon: ellipsis
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets:
--}}

@php
$slides = get_field('slides_slider_gallery');
@endphp

<section data-{{ $block['id'] }} class="{{ $block['classes'] }} min-w-0 py-4">
    <h2 class="sr-only">Carosello slider immagini in evidenza</h2>
    <div class="n7-container">  
        <section id="imageCarouselGallery" class="n7-slider n7-slider--image-gallery min-w-0">
            @if(!empty($slides) && isset($slides))
                @foreach($slides as $slide)
                    @if(!empty($slide['immagine_desktop_slider_gallery']) && isset($slide['immagine_desktop_slider_gallery']))
                        <div class="n7-slider__slide aspect-w-7	aspect-h-3">
                            <picture class="w-full h-full">
                                @if(isset($slide['immagine_mobile_slider_gallery']['url']) && !empty($slide['immagine_mobile_slider_gallery']['url']))
                                   <source srcset="{{$slide['immagine_mobile_slider_gallery']['url']}}" media="(max-width: 767px)">
                                @endif
                                @if(isset($slide['immagine_tablet_slider_gallery']['url']) && !empty($slide['immagine_tablet_slider_gallery']['url']))
                                    <source srcset="{{$slide['immagine_tablet_slider_gallery']['url']}}" media="(min-width: 768px) and (max-width: 1023px)">
                                @endif
                                <img class="n7-slider__slide-image object-cover object-center w-full h-full" src="{{$slide['immagine_desktop_slider_gallery']['url']}}" alt="{{$slide['immagine_desktop_slider_gallery']['alt']}}" />
                            </picture>
                        </div>
                    @endif
                @endforeach
            @endif
        </section>
    </div>
</section>

@php unset($slides); @endphp