{{--
  Title: Slider Homepage
  Description: Blocco dello slider per l'homepage
  Category: custom-blocks-giovanisi
  Icon: ellipsis
  Keywords: 
  Align: wide
  Mode: preview
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$slider = get_field('slider_homepage');
$count = 0;
@endphp

@if (isset($slider) && !empty($slider))
  <div data-{{ $block['id'] }} class="{{ $block['classes'] }} sliderhomepage">
    <svg style="visibility: hidden; position: absolute;" width="0" height="0" xmlns="http://www.w3.org/2000/svg" version="1.1">
        <defs>
            <filter id="paddedEffect"><feGaussianBlur in="SourceGraphic" stdDeviation="10" result="blur" />    
                <feColorMatrix in="blur" mode="matrix" values="1 0 0 0 0  0 1 0 0 0  0 0 1 0 0  0 0 0 19 -9" result="paddedEffect" />
                <feComposite in="SourceGraphic" in2="paddedEffect" operator="atop"/>
            </filter>
        </defs>
    </svg>
    <div class="min-w-0">
      <h1 class="sr-only">Slider contenuti in evidenza</h1>
      <section id="mainSlider" class="n7-slider min-w-0" style="">

        @foreach ($slider as $slide)
          @if(!empty($slide['immagine_slider']['url']) && isset($slide['immagine_slider']['url']))
            @php
            $allineamento = getAlignment($slide['allineamento_orizzontale_testo_slider'], $slide['allineamento_verticale_testo_slider']);
            $count++;
            @endphp
            <div class="n7-slider__slide {{$allineamento}}">
              <div class="min-h-[--min-height] h-[--height] max-h-[--max-height] md:min-h-[--md-min-height] md:h-[--md-height] md:max-h-[--md-max-height] lg:min-h-[--lg-min-height] lg:h-[--lg-height] lg:max-h-[--lg-max-height] grid overflow-hidden relative">
                <div class="n7-slider__slide-content z-10 grid py-4 md:px-20 lg:px-28 md:py-10 lg:py-16 bg-gradient-06 bg-opacity-20">
                    <div class="n7-slider__slide-content-wrapper grid w-full md:w-10/12 lg:w-8/12 gap-6 md:gap-8 lg:gap-12 px-10 md:px-0">
                      
                        @if($slide['titolo_slider'])
                          <h3 id="@if($count<10){{'slide0'}}@else{{'slide'}}@endif{{$count}}head" class="text-3xl md:text-3xl lg:text-5xl">
                            <div class="n7-padded-text @if (isset($slide['colore_background']) && ($slide['colore_background'] == 'is-dark')) is-dark @else is-light @endif">
                              {!! $slide['titolo_slider'] !!}
                            </div>
                          </h3>
                        @endif

                        @if($slide['bottone_slider'])
                          <a href="{{ $slide['bottone_slider']['url'] }}" id="@if($count<10){{'slide0'}}@else{{'slide'}}@endif{{$count}}cta" target="{{$slide['bottone_slider']['target']}}" class="n7-btn n7-btn--primary n7-btn--l w-full md:w-auto md:min-w-80" aria-labelledby="@if($count<10){{'slide0'}}@else{{'slide'}}@endif{{$count}}cta @if($count<10){{'slide0'}}@else{{'slide'}}@endif{{$count}}head">
                              {!! $slide['bottone_slider']['title'] !!}
                              @if($slide['bottone_slider']['target'] == "_blank")
                              <span class="sr-only"> - Apre una nuova finestra del browser</span>
                              @endif
                          </a>
                        @endif
                    </div>
                </div>
                {{-- <picture class="w-full h-full absolute top-0 right-0 bottom-0 left-0">
                  @if(isset($slide['immagine_slider_mobile']['url']) && !empty($slide['immagine_slider_mobile']['url']))
                    <source srcset="{{ $slide['immagine_slider_mobile']['url'] }}" media="(max-width: 450px)">
                  @endif
                  @if(isset($slide['immagine_slider_tablet']['url']) && !empty($slide['immagine_slider_tablet']['url']))
                    <source srcset="{{ $slide['immagine_slider_tablet']['url'] }}" media="(max-width: 768px)">
                  @endif
                    <img class="n7-slider__slide-image object-cover object-center w-full h-full" src="{{ $slide['immagine_slider']['url'] }}" alt="" />
                </picture> --}}

                @php
                //mobile
                $immagine_mobile = null;
                $immagine_retina_mobile = null;
                if(isset($slide['immagine_slider_mobile']['url']) && !empty($slide['immagine_slider_mobile']['url'])){
                    $immagine_retina_mobile = $slide['immagine_slider_mobile']['url'];
                    $immagine_mobile = str_replace(['.jpeg', '.jpg', '.webp', '.avif'], '', $slide['immagine_slider_mobile']['url']);
                }
                //tablet
                $immagine_tablet = null;
                $immagine_retina_tablet = null;
                if(isset($slide['immagine_slider_tablet']['url']) && !empty($slide['immagine_slider_tablet']['url'])){
                    $immagine_retina_tablet = $slide['immagine_slider_tablet']['url'];
                    $immagine_tablet = $slide['immagine_slider_tablet']['sizes']['medium_large'];
                }
                //desktop
                $immagine_desktop = str_replace(['.jpeg', '.jpg', '.webp', '.avif'], '', $slide['immagine_slider']['url']);
                $immagine_desktop = str_replace('-scaled', '', $immagine_desktop);
                $immagine_desktop_full = $slide['immagine_slider']['url'];

                @endphp
            
                <picture class="w-full h-full absolute top-0 right-0 bottom-0 left-0">
                    @if(isset($immagine_mobile) && !empty($immagine_mobile))
                        <source  media="(max-width: 458px)" srcset="{{ $immagine_mobile.'-458w.webp' }} 1x, {{ $immagine_retina_mobile }} 2x" >
                    @endif
                    @if(isset($immagine_tablet) && !empty($immagine_tablet))
                        <source media="(max-width: 768px)" srcset="{{ $immagine_tablet }} 1x, {{ $immagine_retina_tablet }} 2x">
                    @endif
                    <source media="(max-width: 1024px)" srcset="{{ $immagine_desktop.'-1024w.webp' }} 1x, {{ $immagine_desktop.'-2048w.webp' }} 2x">
                    <source media="(max-width: 1440px)" srcset="{{ $immagine_desktop.'-1440w.webp' }} 1x, {{ $immagine_desktop_full }} 2x">
                    <source media="(max-width: 1920px)" srcset="{{ $immagine_desktop.'-1920w.webp' }} 1x, {{ $immagine_desktop_full }} 2x">
                    <source media="(max-width: 2580px)" srcset="{{ $immagine_desktop.'-2048w.webp' }} 1x, {{ $immagine_desktop_full }} 2x">
                    <img class="n7-slider__slide-image object-cover object-center w-full h-full" src="{{ $immagine_desktop.'-1920w.webp' }}" alt="immagine dello slider">
                </picture>

              </div>
            </div>
          @endif
        @endforeach
      </section>
    </div>
  </div>
@endif

@php unset($slider, $count, $allineamento); @endphp