{{--
  Title: Slider Video
  Description: Blocco Video per l'homepage
  Category: custom-blocks-giovanisi
  Icon: ellipsis
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}


@php
$title = get_field('title_blocco_video');
$subtitle = get_field('subtitle_blocco_video');
$ordine = get_field('scegli_lordine_dei_video_blocco_video');
$playlistVideos = get_option('my_playlist_videos');
if(isset($ordine) && !empty($ordine)){
    if($ordine == 'reverse'){
        $playlistVideos = array_reverse($playlistVideos);
    } elseif ($ordine == 'shuffle'){
        shuffle($playlistVideos);
    }
}
$link = get_field('link_blocco_video');
$numbervideo = get_field('scegli_il_numero_dei_video_blocco_video');
$novideo = isset($numbervideo) && !empty($numbervideo) ? $numbervideo : 4 ;
@endphp

<section class="py-20 text-white bg-gradient-07 relative z-[1]">
  	<div class="absolute opacity-30 top-0 right-0 bottom-0 left-0 bg-auto z-[2] bg-no-repeat bg-left-top" style="background-image: url('/app/themes/giovanisi2024/resources/images/video-bg-graphic-01.svg');"></div>
   		<div class="absolute opacity-30 top-0 right-0 bottom-0 left-0 bg-auto z-[2] bg-no-repeat bg-right-bottom md:bg-[right_bottom_10%]" style="background-image: url('/app/themes/giovanisi2024/resources/images/video-bg-graphic-02.svg');"></div>
      		<div class="n7-container grid gap-6 md:gap-10 lg:gap-12 relative z-[3]">
        		<div class="wrapper-title grid items-center md:items-start lg:flex lg:justify-between gap-8 py-4">
          			<div class="grid gap-3 justify-center md:justify-start justify-self-stretch ">
                		@if(!empty($title))
							<h2 class="n7-heading-2">
								{!! $title !!}
							</h2>
                		@endif

                		@if(!empty($subtitle))
                  			<p class="text-base lg:text-lg">{!! $subtitle !!}</p>
                		@endif
            		</div>

                    @if(isset($link['url']) && !empty($link['url']) && isset($link['title']) && !empty($link['title']))
                        <a href="{{$link['url']}}" target="{{$link['target']}}" class="n7-link n7-link--action-link group text-white hover:text-white justify-self-end hidden md:inline-flex">
                            {{$link['title']}}
                            <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                                <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                                    <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                                </svg>
                            </span>
                        </a>
                    @endif

        		</div>

        		{{-- <div class="row-2">
          			{!! do_shortcode('[ff id="2"]') !!}
        		</div> --}}
                @if(!empty($playlistVideos))
                    <div class="row-2">
                        <div class="flex flex-wrap">
                            @foreach($playlistVideos as $key => $video)
                                @if($loop->iteration <= $novideo )
                                    <a class="px-0 w-full sm:w-1/2 mb-8 lg:w-1/4 lg:mb-0 sm:px-2" href="https://www.youtube.com/watch?v={{$video['snippet']['resourceId']['videoId']}}&list={{$video['snippet']['playlistId']}}" target="">
                                        <div class="overflow-hidden relative" style="padding-bottom: 60%;">
                                            <div class="absolute flex items-center justify-center">
                                                @if($video['snippet']['thumbnails']['high'])
                                                    <img src="{{$video['snippet']['thumbnails']['high']['url']}}" alt="" loading="lazy" class="object-cover aspect-video">
                                                @elseif($video['snippet']['thumbnails']['default'])
                                                    <img src="{{$video['snippet']['thumbnails']['high']['url']}}" alt="" loading="lazy" class="object-cover aspect-video">
                                                @elseif($video['snippet']['thumbnails']['medium'])
                                                    <img src="{{$video['snippet']['thumbnails']['high']['url']}}" alt="" loading="lazy" class="object-cover aspect-video">
                                                @else
                                                    <img src="{{asset('images/card-placeholder.png')}}" alt="" loading="lazy" class="object-cover aspect-video">
                                                @endif
                                                <span style="background-image:url('{{asset('images/play.png')}}')" alt="" class="absolute h-10 w-10 bg-cover"></span>
                                            </div>
                                        </div>
                                        <h3 style="font-size: 1rem; font-weight: 700; line-height: 140%;">{{$video['snippet']['title']}}</h3>
                                    </a>
                                @else
                                    @break
                                @endif
                            @endforeach
                        </div>
                    </div>
                @endif
                
                @if(isset($link['url']) && !empty($link['url']) && isset($link['title']) && !empty($link['title']))
                    <div class="flex justify-center pt-6 md:hidden"> 
                        <a href="{{$link['url']}}" target="{{$link['target']}}" class="n7-link n7-link--action-link group justify-self-end text-white hover:text-white">
                            {{$link['title']}}
                            <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                                <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                                    <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                                </svg>
                            </span>
                        </a>
                    </div>
                @endif 

      		</div>
    	</div>
  	</div>
</section>

@php unset($title, $subtitle, $playlistVideos, $ordine, $link, $numbervideo, $novideo); @endphp