{{--
  Title: Storie Possibili
  Description: Blocco delle storie possibili per l'homepage
  Category: custom-blocks-giovanisi
  Icon: groups
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$storie_possibili_background = get_field('storie_possibili_background');
$storie_possibili_title = get_field('storie_possibili_title');
$storie_possibili_main_title = get_field('storie_possibili_main_title');
$storie_possibili_postlogo = get_field('storie_possibili_testo_post_logo');
$storie_possibili_subtitle = get_field('storie_possibili_subtitle');
$storie_possibili_bottone = get_field('storie_possibili_bottone');
@endphp

<section data-{{ $block['id'] }} class="{{ $block['classes'] }} storiepossibili py-16 md:py-20 @if($storie_possibili_background) n7-background-02 @endif">
  <div class="@if($tipologia == 'tipo_1')n7-container-xs @else n7-container-md @endif grid gap-12 md:gap-14 lg:gap-16">
    <div class="wrapper-title grid justify-items-center gap-8 py-4">
      
      <h2 class="text-2xl md:text-3xl lg:text-4xl grid gap-4 justify-items-center">
        @if(!empty($storie_possibili_title) && isset($storie_possibili_title))
          <span>{!!$storie_possibili_title!!}</span>
        @endif
        @if(!empty($storie_possibili_main_title) && isset($storie_possibili_main_title))
          <em class="not-italic block n7-text-with-gradient bg-gradient-01 font-extrabold font-serif text-4xl md:text-7xl lg:text-8xl">{!!$storie_possibili_main_title!!}</em>
        @endif
        @if(!empty($storie_possibili_postlogo) && isset($storie_possibili_postlogo))
          <span>{!!$storie_possibili_postlogo!!}</span>
        @endif
      </h2>
      
      @if(!empty($storie_possibili_subtitle) && isset($storie_possibili_subtitle))
        <p class="text-xl md:text-3xl max-w-[30ch] text-center">{!!$storie_possibili_subtitle!!}</p>
      @endif

    </div>

    @if($tipologia == 'tipo_2')
      @include('partials.wrapper-storie-possibili', [
        'classes_wrapper' => 'grid md:grid-cols-2 gap-12',
        'include' => 'card-storiepossibili2',
        'area_visible' => true,
      ])
    @else
      @include('partials.wrapper-storie-possibili', [
        'classes_wrapper' => 'grid grid-cols-2 lg:grid-cols-4 gap-6',
        'include' =>'card-storiepossibili',
        'area_visible' => false,
        'pagination' => false
      ])
    @endif

    @if(!empty($storie_possibili_bottone) && isset($storie_possibili_bottone))
      <div class="flex justify-center">
        <a href="{{$storie_possibili_bottone['url']}}" class="n7-btn n7-btn--outline">{{$storie_possibili_bottone['title']}}<span class="sr-only"> da STORIEPOSSIBILI</span></a>
      </div>
    @endif

  </div>
</section>

@php unset($storie_possibili_title, $storie_possibili_main_title, $storie_possibili_postlogo, $storie_possibili_subtitle, $storie_possibili_bottone, $storie_possibili_background); @endphp