{{--
  Title: Tab News / Eventi
  Description: Tab per le News e per gli Eventi
  Category: custom-blocks-giovanisi
  Icon: align-wide
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$titolo = get_field('titolo_blocco_tab_news_eventi');
//tab 1
$nome_tab1 = get_field('nome_tab_1_tab_news_eventi');
$scelta_eventi = get_field('scelta_eventi_blocco_tab_news_eventi');
//tab 2
$nome_tab2 = get_field('nome_tab_2_tab_news_eventi');
$scelta_news = get_field('scelta_news_blocco_tab_news_eventi');
@endphp

@if(isset($scelta_eventi) && !empty($scelta_eventi) || isset($scelta_news) && !empty($scelta_news))
    <section aria-label="Notizie ed eventi in evidenza" class="py-12">
        <div class="n7-container grid gap-6">
            <div class="grid lg:flex lg:items-start lg:justify-between gap-4 md:gap-6">
                @if(isset($titolo) && !empty($titolo))
                    <h2 class="text-2xl md:text-3xl lg:text-4xl font-bold">
                        {!!$titolo!!}
                    </h2>
                @endif
                <ul role="tablist" class="n7-tablist is-tablist is-manual flex gap-2 md:justify-end">
                    @if(!empty($nome_tab1) && isset($nome_tab1) && isset($scelta_news) && !empty($scelta_news))
                        <li role="presentation" class="flex-1 md:flex-initial">
                            <button id="news-events-tab-1" type="button" role="tab" class="n7-tab n7-tab--filled n7-tablist__tab is-tab w-full" aria-selected="true" aria-controls="news-events-tabpanel-1">
                                <span class="focus">{{$nome_tab1}}</span>
                            </button>
                        </li>
                    @endif
                    @if(!empty($nome_tab2) && isset($nome_tab2) && isset($scelta_eventi) && !empty($scelta_eventi))
                        <li role="presentation" class="flex-1 md:flex-initial">
                            <button id="news-events-tab-2" type="button" role="tab" class="n7-tab n7-tab--filled n7-tablist__tab is-tab w-full" aria-selected="false" aria-controls="news-events-tabpanel-2" tabindex="-1">
                                <span class="focus">{{$nome_tab2}}</span>
                            </button>
                        </li>
                    @endif
                </ul>
            </div>
            @if(isset($scelta_news) && !empty($scelta_news))
                <div id="news-events-tabpanel-1" class="n7-tablist__tabpanel hidden" role="tabpanel" aria-labelledby="news-events-tab-1">
                    <div class="grid gap-6 md:grid-cols-2 lg:grid-cols-4">
                        @foreach ($scelta_news as $p)
                            @include('partials.card-post', [
                                $immagine = get_post_thumbnail_id($p->ID),
                                $link = get_permalink($p->ID),
                                $title = $p->post_title,
                                $area_tematica = isset(get_the_terms( $p->ID,'area-tematica')[0]->slug) && !empty(get_the_terms( $p->ID,'area-tematica')[0]->slug) ? get_the_terms( $p->ID,'area-tematica')[0]->slug : '',
                                $etichetta = '',
                            ])
                        @endforeach
                    </div>
                </div>
            @endif
            @if(isset($scelta_eventi) && !empty($scelta_eventi))
                <div id="news-events-tabpanel-2" class="n7-tablist__tabpanel" role="tabpanel" aria-labelledby="news-events-tab-2">
                    <div class="grid gap-6 md:grid-cols-2">
                        @foreach ($scelta_eventi as $post)
                            @php
                            $data_evento = calculateDateEvent($post->ID);
                            $category_names = get_all_other_taxonomies($post->ID);
                            $categoria_evento = get_categoria_evento($post->ID);
                            $areetematiche = get_area_tematica($post->ID);
                            $cittaevento_acf = get_field('evento_citta', $post->ID);
                            $cittaevento = isset($cittaevento_acf) && !empty($cittaevento_acf) ? $cittaevento_acf : '';
                            $indirizzoevento_acf = get_field('evento_indirizzo', $post->ID);
                            $indirizzoevento = isset($indirizzoevento_acf) && !empty($indirizzoevento_acf) ? $indirizzoevento_acf : '';
                            $visibilita = get_field('visibilita_orario_evento', $post->ID);
                            if(isset($visibilita) && $visibilita){
                                $orarioevento = $data_evento['start']['hour'].':'.$data_evento['start']['minute'];
                            } else {
                                $orarioevento = '';
                            }
                            @endphp
                            @include('partials.card-event', [ 'event' => [ 'title' => $post->post_title, 'permalink' => get_permalink($post), 'evento_data' => $data_evento, 'categories' => $category_names, 'categoria' => $categoria_evento,'aree_tematiche' => $areetematiche, 'cittaevento' => $cittaevento, 'indirizzoevento' => $indirizzoevento, 'orario' => $orarioevento]])
                        @endforeach
                    </div>
                </div>
            @endif 
        </div>
    </section>
@endif
@php unset($titolo, $nome_tab1, $scelta_eventi, $nome_tab2, $scelta_news); @endphp