{{--
  Title: Titolo, immagine, descrizione e cta
  Description: Blocco con Titolo, immagine, descrizione e cta
  Category: custom-blocks-giovanisi
  Icon: align-wide
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$titolo = get_field('titolo_tit_img_descr_link');
$img_mob = get_field('immagine_mobile_tit_img_descr_link');
$img_desk = get_field('immagine_desktop_tit_img_descr_link');
$lightbox = get_field('lightbox_tit_img_descr_link');
$editor = get_field('editor_tit_img_descr_link');
$link = get_field('link_tit_img_descr_link');
// dd($lightbox);
@endphp

@if((isset($titolo) && !empty($titolo)) || (isset($img_desk) && !empty($img_desk)) || (isset($editor) && !empty($editor)) || (isset($link) && !empty($link)))
    
    <div data-{{ $block['id'] }} class="grid gap-3 md:gap-4 py-4 md:py-6 rounded">
        
        @if(isset($titolo) && !empty($titolo))
            <h2 class="font-bold text-sm md:text-base lg:text-lg" >{{$titolo}}</h2>
            {{-- id="headingBlockTitleImage{{ $block['id'] }}" --}}
        @endif
        
        <div class="n7-card p-0 @if(isset($lightbox) && $lightbox != true && isset($link) && !empty($link)) is-card-fullclickable group/card @endif"> 
            @if(isset($img_desk) && !empty($img_desk))
                @if(isset($lightbox) && $lightbox == true)
                    <a class="lightbox" href="{{$img_desk['url']}}">
                @endif
                    <picture>
                        @if(isset($img_mob) && !empty($img_mob))
                            <source srcset="{{$img_mob['url']}}"/>
                        @endif
                        <img src="{{$img_desk['url']}}" alt="{{$img_desk['alt']}}" loading="lazy" class="w-full h-full object-cover object-center"/>
                    </picture>
                @if(isset($lightbox) && $lightbox == true)
                    </a>
                @endif
            @endif
            <div class="n7-card__title grid gap-4 text-sm md:text-base lg:text-lg">
                @if(isset($editor) && !empty($editor))
                    {!! $editor !!}
                @endif
                @if(isset($link) && !empty($link))
                {{-- aria-describedby="headingBlockTitleImage{{ $block['id'] }} descriptionBlockTitleImage{{ $block['id'] }}" --}}
                    <a href="{{$link['url']}}" class="n7-link n7-link--action-link inline-flex group text-sm md:text-base justify-self-start" id="descriptionBlockTitleImage{{ $block['id'] }}">
                        {{$link['title']}}
                        <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                            <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                                <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                            </svg>
                        </span>
                    </a>
                @endif
            </div>
        </div>

    </div>

@endif

@php unset($titolo, $img_mob, $img_desk, $editor, $link); @endphp