{{--
  Title: Ultimi post
  Description: Blocco Ultimi post
  Category: custom-blocks-giovanisi
  Icon: wordpress
  Keywords: 
  Mode: preview
  Align: wide
  PostTypes: page post
  SupportsAlign: false
  SupportsMode: true
  SupportsMultiple: true
  EnqueueStyle: global.css
  EnqueueScript: global.js
  EnqueueAssets: 
--}}

@php
$titolo = get_field('titolo_blocco_ultimi_post');
$scelta = get_field('scelta_blocco_ultimi_post');
$link = get_field('link_all_archivio_blocco_ultimi_post');
if( isset($link) && !empty($link) ){
    $url = $link['url'];
    $title_url = $link['title'];
} else {
    $title_url = 'Vedi tutte le news';
    $url = '#';
}
@endphp


<section data-{{ $block['id'] }} class="{{ $block['classes'] }} ultimi-post-block-gutenberg n7-background-02 py-16 md:py-20">
    <div class="n7-container grid gap-6 md:gap-10 lg:gap-12">
        <div class="wrapper-title grid lg:flex lg:items-start lg:justify-between gap-8 py-4">
            <div class="justify-self-stretch">
                <h2 class="n7-heading-2 grid gap-2 md:gap-4">
                    <small class="text-base md:text-lg">News</small>
                    @if(isset($titolo) && !empty($titolo))
                        <span>{!! $titolo !!}</span>
                    @endif
                </h2>
                {{-- TODO: MARKUP ALTERNATIVO
                 <div class="grid gap-2 md:gap-4">
                    <h2 class="text-base md:text-lg" id="newsTitle{{ $block['id'] }}" aria-describedby="newsDescription{{ $block['id'] }}">
                        News
                    </h2>
                    <p id="newsDescription{{ $block['id'] }}" class="text-3xl md:text-4xl lg:text-5xl">Testo</strong></p>
                </div> --}}
            </div>
           
            <a href="{!!$url!!}" class="n7-link n7-link--action-link group justify-self-end hidden md:inline-flex">
                {!! $title_url !!}
                <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                    <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                        <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                    </svg>
                </span>
            </a>
        </div>

        <div class="articoli-container n7-carousel n7-carousel--news has-card-md min-w-0">
            @if(isset($scelta) && !empty($scelta))
                @foreach ($scelta as $p)
                    @include('partials.card-post', [
                        $immagine = get_post_thumbnail_id($p->ID),
                        $link = get_permalink($p->ID),
                        $title = $p->post_title,
                        $area_tematica = isset(get_the_terms( $p->ID,'area-tematica')[0]->slug) && !empty(get_the_terms( $p->ID,'area-tematica')[0]->slug) ? get_the_terms( $p->ID,'area-tematica')[0]->slug : '',
                        $etichetta = '',
                    ])
                @endforeach
            @else 
                @php $post = default_query_giovanisi('post', 3, 'DESC', array(), array(array('taxonomy' => 'category', 'field' => 'slug', 'terms' => 'senza-categoria', 'operator' => 'NOT IN',),), '') ; @endphp
                @foreach ($post as $p)
                    @include('partials.card-post', [
                        $immagine = get_post_thumbnail_id($p->ID),
                        $link = get_permalink($p->ID),
                        $title = $p->post_title,
                        $area_tematica = isset(get_the_terms( $p->ID,'area-tematica')[0]->slug) && !empty(get_the_terms( $p->ID,'area-tematica')[0]->slug) ? get_the_terms( $p->ID,'area-tematica')[0]->slug : '',
                        $etichetta = '',
                    ])
                @endforeach
            @endif
        </div>

        <div class="flex justify-center pt-6 md:hidden"> 
            <a href="{!!$url!!}" class="n7-link n7-link--action-link group justify-self-end">
                {!!$title_url!!}
                <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                    <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                        <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                    </svg>
                </span>
            </a>
        </div>

    </div>
</section>

@php unset($titolo, $scelta, $link, $url, $title_url); @endphp
