@extends('layouts.app')

@section('content')

	@include('partials.page-header-custom', [
		'title' => 'News',
		'subtitle' => 'Le ultime dal mondo Giovanisì',
		'align' => ''
	])

	@if (!have_posts())
		<div class="alert alert-warning">
			{{ __('Sorry, no results were found.', 'sage') }}
		</div>
		{!! get_search_form(false) !!}
	@endif

	@php
	$taxonomies = get_terms( array(
		'taxonomy' => 'area-tematica',
		'hide_empty' => false
	));
	@endphp

	<section class="archive-post py-6 md:py-8 lg:py-12">
		<div class="n7-container grid gap-6">
			<div class="wrapper-title grid lg:flex lg:justify-end gap-8">
				<h2 class="sr-only">
					Tutte le news
				</h2>
				<form>
					<div class="grid gap-4 md:flex md:items-baseline">
						<label for="filterSelect" class="block flex-1 font-bold n7-content-01">Filtra per:</label>
						<link rel="preconnect" href="https://fonts.googleapis.com">
						<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
						<link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap" rel="stylesheet">
						<select id="filterSelect" class="placeholder:n7-content-01 md:min-w-64 filter-archive-news" onchange='font()'>
							<option value="" id="selectNews">Tutte le opportunità</option>
							@foreach($taxonomies as $term)
								<option value="{{$term->slug}}">{{$term->name}}</option>
							@endforeach
							<option value="varie">Varie</option>
						</select>
						<script>
						var ff = document.getElementById('filterSelect');
						function font() {
							console.log('cambio-font');
							ff.style.fontFamily = "'" + ff + "', sans-serif";
						}
						</script>
						
						<style>
						select#filterSelect {
							font-family: 'Poppins', sans-serif;
						}
						
						select#filterSelect option {
							font-family: 'Poppins', sans-serif;
						}
						</style>

					</div>
				</form>
			</div>
			<div class="wrapper-container-articoli grid gap-6 md:gap-8">
				@include('partials.elenco-news')
			</div>
		</div>
	</section>
@endsection
