<!doctype html>
<html class="scroll-smooth" @php(language_attributes())>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  @php(do_action('get_header'))
  @php(wp_head())

  @if(WP_ENV == 'production')
  <!-- Facebook Pixel Code -->
  <script type="text/plain" class="_iub_cs_activate" data-iub-purposes="3">
    !function(f,b,e,v,n,t,s)
      {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
      n.callMethod.apply(n,arguments):n.queue.push(arguments)};
      if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
      n.queue=[];t=b.createElement(e);t.async=!0;
      t.src=v;s=b.getElementsByTagName(e)[0];
      s.parentNode.insertBefore(t,s)}(window, document,'script',
      'https://connect.facebook.net/en_US/fbevents.js');
      fbq('init', '1049479655464848');
      fbq('track', 'PageView');
      </script>
  <noscript type="text/plain" class="_iub_cs_activate" data-iub-purposes="3"><img height="1" width="1" style="display:none" src="https://www.facebook.com/tr?id=1049479655464848&ev=PageView&noscript=1" /></noscript>
  <!-- End Facebook Pixel Code -->
  <meta name="facebook-domain-verification" content="p9662a5fy9esczmn1zh4ourmj7p65t" />
  <!-- Start Matomo Code -->
  <script type="text/javascript">
    var _paq = window._paq = window._paq || [];
    /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
    _paq.push(['trackPageView']);
    _paq.push(['enableLinkTracking']);
    (function() {
      var u = "https://ingestion.webanalytics.italia.it/";
      _paq.push(['setTrackerUrl', u + 'matomo.php']);
      _paq.push(['setSiteId', 'Kj0dLKE0nL']);
      var d = document,
        g = d.createElement('script'),
        s = d.getElementsByTagName('script')[0];
      g.type = 'text/javascript';
      g.async = true;
      g.src = u + 'matomo.js';
      s.parentNode.insertBefore(g, s);
    })();
  </script>
  <!-- End Matomo Code -->
  <!--<script type="text/javascript">
        document.addEventListener("DOMContentLoaded", function() {
          document.getElementById("iscriviti").addEventListener("click", function() {
            fbq('trackCustom', 'Iscriviti');
          });
        });
      </script>-->
  <!-- TikTok Pixel Code Start -->
  <script>
    ! function(w, d, t) {
      w.TiktokAnalyticsObject = t;
      var ttq = w[t] = w[t] || [];
      ttq.methods = ["page", "track", "identify", "instances", "debug", "on", "off", "once", "ready", "alias", "group", "enableCookie", "disableCookie", "holdConsent", "revokeConsent", "grantConsent"], ttq.setAndDefer = function(t, e) {
        t[e] = function() {
          t.push([e].concat(Array.prototype.slice.call(arguments, 0)))
        }
      };
      for (var i = 0; i < ttq.methods.length; i++) ttq.setAndDefer(ttq, ttq.methods[i]);
      ttq.instance = function(t) {
        for (
          var e = ttq._i[t] || [], n = 0; n < ttq.methods.length; n++) ttq.setAndDefer(e, ttq.methods[n]);
        return e
      }, ttq.load = function(e, n) {
        var r = "https://analytics.tiktok.com/i18n/pixel/events.js",
          o = n && n.partner;
        ttq._i = ttq._i || {}, ttq._i[e] = [], ttq._i[e]._u = r, ttq._t = ttq._t || {}, ttq._t[e] = +new Date, ttq._o = ttq._o || {}, ttq._o[e] = n || {};
        n = document.createElement("script");
        n.type = "text/javascript", n.async = !0, n.src = r + "?sdkid=" + e + "&lib=" + t;
        e = document.getElementsByTagName("script")[0];
        e.parentNode.insertBefore(n, e)
      };


      ttq.load('CQKAP0BC77U23D25FG6G');
      ttq.page();
    }(window, document, 'ttq');
  </script>
  <!-- TikTok Pixel Code End -->
  @endif
</head>

<body @php(body_class())>
  @php(wp_body_open())

  <div id="app" class="flex-1 flex flex-col min-h-screen">

    <nav aria-label="{{ __('Skip links') }}">
      <ul class="absolute top-4 left-4 z-50">
        <li>
          <a class="sr-only focus:not-sr-only bg-white focus:p-2" href="#main">
            {{ __('Skip to content') }}
          </a>
        </li>
      </ul>
    </nav>


    @include('sections.header')

    <main id="main" class="main">
      @yield('content')
    </main>

    @hasSection('sidebar')
    <aside class="sidebar">
      @yield('sidebar')
    </aside>
    @endif

    @include('sections.footer')
  </div>

  @php(do_action('get_footer'))
  @php(wp_footer())
</body>

</html>
