@php
$classes_cat = !empty($event['categoria'][0]['classes_cat']) && isset($event['categoria'][0]['classes_cat']) ? $event['categoria'][0]['classes_cat'] : ''; 
$classes_lab = !empty($event['categoria'][0]['classes_lab']) && isset($event['categoria'][0]['classes_lab']) ? $event['categoria'][0]['classes_lab'] : ''; 
$background_cat = !empty($event['categoria'][0]['background_cat']) && isset($event['categoria'][0]['background_cat']) ? $event['categoria'][0]['background_cat'] : ''; 
$name_cat = !empty($event['categoria'][0]['category_name']) && isset($event['categoria'][0]['category_name']) ? $event['categoria'][0]['category_name'] : ''; 
$area_name = !empty($event['aree_tematiche'][0]['category_name']) && isset($event['aree_tematiche'][0]['category_name']) ? $event['aree_tematiche'][0]['category_name'] : '';
$area_color = !empty($event['aree_tematiche'][0]['category_color']) && isset($event['aree_tematiche'][0]['category_color']) ? $event['aree_tematiche'][0]['category_color'] : '';
@endphp
<article class="n7-card n7-card--event grid gap-6 py-8 px-6 bg-no-repeat bg-cover rounded is-card-fullclickable transition-all hover:shadow-lg group md:grid-cols-1-2 {{$classes_cat}} min-w-0" @if(!empty($background_cat)) style="background-image: url('{{ asset('images/' . $background_cat) }}');" @endif>
  <div class="grid gap-4 order-2 md:border-l border-dashed md:pl-4">
    <div class="n7-card__heading flex flex-col-reverse gap-4">

      @if(!empty($event['orario']))
        <small class="mb-4 text-sm font-bold">ore {{$event['orario']}}</small>
      @endif

      @if(!empty($event['indirizzoevento']))
        {{$event['indirizzoevento']}} -
      @endif
      @if(!empty($event['cittaevento']))
        {{$event['cittaevento']}}
      @endif

      <h3 class="n7-card__title text-lg">
          <a class="hover:underline group-hover:underline" href="{{ $event['permalink'] }}">
            {!! $event['title'] !!}
          </a>
      </h3>

      @if(!empty($event['categories']))
        <div class="flex items-baseline justify-between">
            <div class="n7-card__categories">
                <small class="n7-category n7-category--xs">
                  <span class="sr-only">Tipologia: </span>
                    @foreach ($event['categories'] as $category)
                      @if($category['taxonomy'] == 'tipologia-evento')
                        {{$category['category_name']}}
                      @endif
                    @endforeach
                </small>
            </div>
        </div>
      @endif


    </div>

    @if( !empty($name_cat) || !empty($area_name))
      <div class="mt-auto pt-4 text-lg flex flex-wrap gap-2">
          @if(!empty($name_cat))
            <small class="n7-category n7-category--area-tematica {{$classes_lab}}">
              <span class="sr-only">Categoria: </span>
                {{$name_cat}}
            </small>
          @endif
          @if(!empty($area_name))
            <small class="n7-category n7-category--area-tematica n7-category--filled {{$area_color}}">
              <span class="sr-only">Area tematica: </span>
                  {{$area_name}}
            </small>
          @endif
      </div>
    @endif
    
  </div>
  <div class="order-1">
    <div class="n7-card__date">
     {!! $event['evento_data']['display'] !!}
    </div>
  </div>
</article>

@php unset($classes_cat, $classes_lab, $background_cat, $name_cat, $area_name, $area_color) @endphp
