@php 
$excerpt = get_the_excerpt($storia['id']);
$riassunto = !empty($excerpt) && isset($excerpt) ? wp_trim_words($excerpt, 20, '...') : wp_trim_words(get_post_field('post_content', $storia['id']), 20, '...');
@endphp
<article class="n7-card n7-card--storia is-card-fullclickable lg:flex transition-all duration-300 group">
    <div class="grid gap-4 content-start lg:gap-6 order-2 lg:flex-3">
        <h3 class="n7-heading-4 font-bold group-hover:underline">
            <a href="{{$storia['permalink']}}" id="cardStoriaTitle{{$storia['id']}}" aria-labelledby="cardStoriaTitle{{$storia['id']}} cardStoriaName{{$storia['id']}}">
                {!!$storia['titolo_post']!!}
            </a>
        </h3>
        @if(isset($area_visible) && $area_visible == true)
            @if(isset($storia['areetematiche'][0]) && !empty($storia['areetematiche'][0]))
            <div class="flex items-baseline justify-between">
                    <div class="n7-card__categories">
                        <small class="n7-category n7-category--area-tematica n7-category--filled -rotate-3 {{$storia['areetematiche'][0]['category_color']}}">
                            <span class="sr-only">Area tematica: </span>{{$storia['areetematiche'][0]['category_name']}}
                        </small>
                    </div>
                </div>
            @endif
        @endif
        <p class="text-sm lg:text-base">{!! $riassunto !!}</p>
        <span>
            <span class="n7-link n7-link--action-link group hover:no-underline" aria-hidden="true">
                Leggi tutta la storia
                <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary" >
                    <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                        <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                    </svg>
                </span>
            </span>
        </span>
    </div>
    <div class="grid p-4 gap-4 {{$storia['colore']}} order-1 lg:flex-2 items-start content-between">
        <div class="n7-card__image aspect-w-1 aspect-h-1">
            <img class="object-cover w-full h-full" alt="" src="{{$storia['immagine_anteprima']}}" />
        </div>
        <div class="grid gap-4">
            <div class="n7-card__heading flex flex-col-reverse gap-4">
                <small id="cardStoriaName{{$storia['id']}}" class="n7-card__title flex text-sm md:text-base italic font-extrabold">
                    <span class="sr-only">(</span><span class="mr-auto">{!!$storia['nome_post']!!}</span>
                    <span>
                        @if($storia['video_storia'] == 'video')
                            <span class="sr-only">: Video</span>
                        @else
                            <span class="sr-only">: Storia</span>
                        @endif
                        <svg class="inline-block align-middle fill-current w-6 h-6" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}{{$storia['icona_categoria']}}" />
                        </svg>
                    </span>
                    <span class="sr-only">)</span>
                </small>
            </div>
        </div>
    </div>

</article>
@php unset($excerpt, $riassunto); @endphp