<article @php(post_class('h-entry'))>

    @include('partials.page-header-bando')

    <div class="n7-container grid gap-4 md:grid-cols-1-2 md:gap-10 lg:gap-20 xl:gap-40 py-10 md:py-12 lg:py-16">
        @include('partials.sidebar.sidebar-bando')

        <div class="min-w-0 grid gap-12 md:gap-16 lg:gap-20 animation-blur-out-container">

            {!! $bando_details['update'] !!}

            {{-- Il bando: --}}
            <section id="idsezione01" class="grid gap-6 md:gap-8" tabindex="0">
                <h2 class="n7-heading-3 font-bold">Il bando</h2>
                <div class="n7-page-body">
                    {!!get_the_content()!!}
                </div>
                <a class="flex gap-2 p-2 sr-only focus:not-sr-only bg-white focus:p-2 font-bold hover:underline" href="#sideNavList">
                    <svg class="inline-block align-middle fill-current w-6 h-6" aria-hidden="true" focusable="false" role="img">
                        <use xlink:href="{{ asset('images/icons.svg') }}#mini--arrow-up" />
                    </svg> Torna alla navigazione
                </a>
            </section>

            {{-- Annuncio --}}
            @if( !empty($bando_details['avviso']['annuncio']) || !empty($bando_details['avviso']['graduatoria']) )
                <section id="idsezione02" class="grid gap-6 md:gap-8 opacity-0 transition-all md:opacity-100 animation-item" tabindex="0">
                    <h2 class="n7-heading-3 font-bold">Annuncio</h2>
                    <div class="n7-page-body">
                        @if(!empty($bando_details['avviso']['annuncio']))
                            {!! $bando_details['avviso']['annuncio'] !!}
                        @endif
                        @if(!empty($bando_details['avviso']['graduatoria']))
                            <h3>Annuncio:</h3>
                            @foreach ($bando_details['avviso']['graduatoria'] as $grad)
                                @if(!empty($grad['graduatoria_testo'] && isset($grad['graduatoria_testo'])))
                                   {!!$grad['graduatoria_testo']!!}
                                @endif
                                @if(!empty($grad['graduatoria_file'] && isset($grad['graduatoria_file'])))
                                    <a href="{{$grad['graduatoria_file']['url']}}" class="n7-link n7-link--action-link flex group text-sm md:text-base">
                                        <span class="sr-only">Documento: </span>{!!$grad['graduatoria_file']['title']!!}
                                        <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                                            <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                                                <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                                            </svg>
                                        </span>
                                    </a>
                                @endif
                            @endforeach
                        @endif
                    </div>
                    <a class="flex gap-2 p-2 sr-only focus:not-sr-only bg-white focus:p-2 font-bold hover:underline" href="#sideNavList">
                        <svg class="inline-block align-middle fill-current w-6 h-6" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#mini--arrow-up" />
                        </svg> Torna alla navigazione
                    </a>
                </section>
            @endif

            {{-- Chi può partecipare --}}
            @if(!empty($bando_details['chi_puo_partecipare']))
                <section id="idsezione03" class="grid gap-6 md:gap-8 opacity-0 transition-all md:opacity-100 animation-item" tabindex="0">
                    <h2 class="n7-heading-3 font-bold">Chi può partecipare</h2>
                    <div class="n7-page-body">
                        {!! $bando_details['chi_puo_partecipare'] !!}
                    </div>
                    <a class="flex gap-2 p-2 sr-only focus:not-sr-only bg-white focus:p-2 font-bold hover:underline" href="#sideNavList">
                        <svg class="inline-block align-middle fill-current w-6 h-6" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#mini--arrow-up" />
                        </svg> Torna alla navigazione
                    </a>
                </section>
            @endif

            {{-- Come fare domanda --}}
            @if(!empty($bando_details['come_fare_domanda']))
                <section id="idsezione04" class="grid gap-6 md:gap-8 opacity-0 transition-all md:opacity-100 animation-item" tabindex="0">
                    <h2 class="n7-heading-3 font-bold">Come fare domanda</h2>
                    <div class="n7-page-body">
                        {!! $bando_details['come_fare_domanda'] !!}
                    </div>
                    <a class="flex gap-2 p-2 sr-only focus:not-sr-only bg-white focus:p-2 font-bold hover:underline" href="#sideNavList">
                        <svg class="inline-block align-middle fill-current w-6 h-6" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#mini--arrow-up" />
                        </svg> Torna alla navigazione
                    </a>
                </section>
            @endif

            {{-- Da chi è finanziato --}}
            @if(!empty($bando_details['da_chi_è_finanziato']))
                <section id="idsezione05" class="grid gap-6 md:gap-8 opacity-0 transition-all md:opacity-100 animation-item" tabindex="0">
                    <h2 class="n7-heading-3 font-bold">Da chi è finanziato</h2>
                    <div class="n7-page-body">
                        {!! $bando_details['da_chi_è_finanziato'] !!}
                    </div>
                    <a class="flex gap-2 p-2 sr-only focus:not-sr-only bg-white focus:p-2 font-bold hover:underline" href="#sideNavList">
                        <svg class="inline-block align-middle fill-current w-6 h-6" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#mini--arrow-up" />
                        </svg> Torna alla navigazione
                    </a>
                </section>
            @endif

            {{-- SEZIONE DOCUMENTI - GESTIRE I LINK DOCUMENTI FUORI DA <p> --}}
            {{-- Documentazione --}}
            @if(!empty($bando_details['documentazione']))
                <section id="idsezione06" class="grid gap-6 md:gap-8 opacity-0 transition-all md:opacity-100 animation-item" tabindex="0">
                    <h2 class="n7-heading-3 font-bold">Documentazione</h2>

                    @foreach($bando_details['documentazione'] as $doc)
                        <div class="n7-page-body">
                            {{-- I DOCUMENTI LINK DEVONO ESSERE STAMPATI FUORI DA <p> e wrappati in div con classi griglia --}}
                            <div class="grid gap-4">

                                @if(!empty($doc['gs_doc_text']))
                                    {!! $doc['gs_doc_text'] !!}
                                @endif

                                {{-- MARKUP LINK A DOCUMENTO -  --}}
                                @if(!empty($doc['documento']['url']))
                                    <a href="{{$doc['documento']['url']}}" class="n7-link n7-link--action-link flex group text-sm md:text-base">
                                        <span class="sr-only">Documento: </span>{{$doc['documento']['title']}}
                                        <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                                            <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                                                <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                                            </svg>
                                        </span>
                                    </a>
                                @endif

                                @if(!empty($doc['link']['url']) && !empty($doc['link']['title']))
                                    <a href="{{$doc['link']['url']}}" class="n7-link n7-link--action-link flex group text-sm md:text-base">
                                        <span class="sr-only">Documento: </span>{!!$doc['link']['title']!!}
                                        <span class="inline-flex justify-end items-start w-10 h-10 n7-button-primary">
                                            <svg class="inline-block align-middle fill-current w-10 h-10 text-white transition-all group-hover:translate-x-1 group-hover:-translate-y-1" aria-hidden="true" focusable="false" role="img">
                                                <use xlink:href="{{ asset('images/icons.svg') }}#arrow-up" />
                                            </svg>
                                        </span>
                                    </a>
                                @endif

                            </div>
                        </div>
                    @endforeach
                    <a class="flex gap-2 p-2 sr-only focus:not-sr-only bg-white focus:p-2 font-bold hover:underline" href="#sideNavList">
                        <svg class="inline-block align-middle fill-current w-6 h-6" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#mini--arrow-up" />
                        </svg> Torna alla navigazione
                    </a>
                </section>
            @endif

            {{-- Info --}}
            @if(!empty($bando_details['info']))
                <section id="idsezione07" class="grid gap-6 md:gap-8 opacity-0 transition-all md:opacity-100 animation-item" tabindex="0">
                    <h2 class="n7-heading-3 font-bold">Info</h2>
                    <div class="n7-page-body">
                        {!! $bando_details['info'] !!}
                    </div>

                    <a class="flex gap-2 p-2 sr-only focus:not-sr-only bg-white focus:p-2 font-bold hover:underline" href="#sideNavList">
                        <svg class="inline-block align-middle fill-current w-6 h-6" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#mini--arrow-up" />
                        </svg> Torna alla navigazione
                    </a>
                </section>
            @endif

            {{-- Domande e risposte --}}
            @if(!empty($bando_details['domande_risposte']))
                <section id="idsezione08" class="grid gap-6 md:gap-8 opacity-0 transition-all md:opacity-100 animation-item" tabindex="0">
                    <h2 class="n7-heading-3 font-bold">Domande e risposte</h2>
                    
                        @foreach($bando_details['domande_risposte'] as $quest)
                        <div class="grid gap-4 md:gap-6">
                            <h3 class="n7-heading-4">{!!$quest['domanda']!!}</h3>
                            <div class="n7-page-body">
                               {!!$quest['risposta']!!}
                            </div>
                        </div>
                        @endforeach
                   
                    <a class="flex gap-2 p-2 sr-only focus:not-sr-only bg-white focus:p-2 font-bold hover:underline" href="#sideNavList">
                        <svg class="inline-block align-middle fill-current w-6 h-6" aria-hidden="true" focusable="false" role="img">
                            <use xlink:href="{{ asset('images/icons.svg') }}#mini--arrow-up" />
                        </svg> Torna alla navigazione
                    </a>
                </section>
            @endif

        </div>
    </div>

    @php(comments_template())

</article>
