<article>

	@php
	$visibilita = get_field('visibilita_orario_evento', get_the_id());
	$eventostart = '';
	$eventoend = '';
	if(isset($visibilita) && $visibilita){
		if(isset($evento_details['data_evento']['start']['hour']) && !empty($evento_details['data_evento']['start']['hour'])){
			$eventostart = $evento_details['data_evento']['start']['hour'].':'.$evento_details['data_evento']['start']['minute'];
		} 
		if(isset($evento_details['data_evento']['end']['hour']) && !empty($evento_details['data_evento']['end']['hour'])){
			$eventoend = ' - '.$evento_details['data_evento']['end']['hour'].':'.$evento_details['data_evento']['end']['minute'];
		}
	}
	@endphp

	@include('partials.page-header-single', [
		'titolo' => get_the_title(),
		'sottotitolo' => !empty($evento_details['data_evento']['display']) ? $evento_details['data_evento']['display'].' '.$eventostart.$eventoend : '',
		'luogo' => !empty($evento_details['luogo_display']) ? $evento_details['luogo_display'] : '',
		'link' => !empty($evento_details['link']) ? $evento_details['link'] : '',
		'background' => '',
	])

  	<div class="n7-container-md grid gap-8 md:grid-cols-2-1 lg:grid-cols-2 md:gap-10 lg:gap-20 xl:gap-40 py-10 md:py-12 lg:py-16">

    	<section class="min-w-0 grid gap-12 md:gap-16 lg:gap-20">

			<div class="n7-page-body">
				<h2 class="sr-only">Dettagli evento</h2>
				@php(the_content())
			</div>

			@include('partials.label-categorie-single', [
				'areatematica' => isset($evento_details['areetematiche'][0]) && !empty($evento_details['areetematiche'][0]) ? $evento_details['areetematiche'][0] : '',
				'categoria' => isset($evento_details['catevent'][0]) && !empty($evento_details['catevent'][0]) ? $evento_details['catevent'][0] : '',
				'tipologia' => isset($evento_details['category_names'][0]) && !empty($evento_details['category_names'][0]) ? $evento_details['category_names'][0] : '',
				'tag' => '',
				'categoria_post' => '',
				'classes' => 'items-baseline'
			])

		</section>

    	<div>
			@if(!empty($evento_details['immagine_desktop']))
				<picture class="w-full inline-flex">
					@if(!empty($evento_details['immagine_mobile']))
						<source srcset="{{ $evento_details['immagine_mobile'] }}"  media="(max-width: 767px)" />
					@endif
					<img class="w-full h-full object-contain object-left-top" src="{{$evento_details['immagine_desktop']}}" alt="Locandina evento">
				</picture>
			@endif

			<!-- SEZIONE GALLERY -->
			{{-- in href link a immagine fullsize --}}
			{{-- in src della img, immagine thumb --}}
			{{-- @dd($evento_details['gallery_full']) --}}

			@if(isset($evento_details['gallery_full']) && !empty($evento_details['gallery_full']))
				<section class="n7-container-md pt-3 md:pt-5 lg:pt-6 pb-8 md:pb-12 lg:pb-16">
					<div class="grid gap-6">
						<h2 class="n7-heading-4">Galleria fotografica</h2>
						<ul class="grid gap-4 grid-cols-2 md:grid-cols-3 lg:grid-cols-4">
							@for($i = 0; $i < count($evento_details['gallery_full']); $i++)
								<li class="flex">
									<a class="lightbox" href="{{ $evento_details['gallery_full'][$i] }}" data-group="eventGallery">
										<picture class="w-full aspect-[15/8]">
											<img src="{{ $evento_details['gallery_thumb'][$i] }}" alt="" class="w-full h-full object-cover object-center">
										</picture>
										<span class="sr-only"> - Espandi immagine </span>
									</a>
								</li>
							@endfor
						</ul>
					</div>
				</section>
			@endif

		</div>



  	</div>
</article>
