<article @php post_class('h-entry') @endphp>
  @include('partials.page-header-single', [
    'titolo' => $storia_details['titolo'],
    'sottotitolo' => '',
    'luogo' => '',
    'link' => '',
	'background' => '',
  ])
  <div class="n7-container-md {{--grid md:grid-cols-2-1 lg:grid-cols-2--}} flex flex-col md:flex-row gap-8 md:gap-10 lg:gap-20 xl:gap-40 py-10 md:py-12 lg:py-16">
    <section class="min-w-0 {{--grid--}} flex flex-col gap-12 md:gap-16 lg:gap-20 w-full md:max-w-[50%]">
      <div class="grid gap-6">
          <h2 class="n7-heading-3 italic font-extrabold">{!! $title !!}</h2>
          @include('partials.label-categorie-single', [
            'areatematica' => isset($storia_details['areetematiche'][0]) && !empty($storia_details['areetematiche'][0]) ? $storia_details['areetematiche'][0] : '',
            'categoria' => '',
            'tipologia' => '',
            'tag' => '',
            'categoria_post' => '',
			'classes' => 'items-baseline'
          ])  
      </div>
      <div class="n7-page-body" style="word-wrap: break-word">
          {!!the_content()!!}
      </div>

      @include('partials.modules.social-box', [ 'titolo_share' => $storia_details['titolo'].' - '.get_the_title().'.' ])

    </section>
    <div class="w-full md:max-w-[50%]">
		@if(!empty($storia_details['immagine_desktop']))
			<picture class="w-full">
				@if(!empty($storia_details['immagine_mobile']))
					<source srcset="{{ $storia_details['immagine_mobile'] }}"  media="(max-width: 500px)" />
				@endif
				<img class="w-full h-full object-contain object-left-top" src="{{$storia_details['immagine_desktop']}}" alt="Immagine della storia">
			</picture>
		@endif
    </div>
  </div>
</article>

@if(!empty($storia_details['terms_corrente']) && isset($storia_details['terms_corrente']))
	<section class="py-8 md:py-16 n7-background-02">
		<div class="n7-container-xs grid gap-6 md:gap-10 lg:gap-14">
			<div class="wrapper-title grid justify-items-center gap-8 ">
				<h2 class="text-2xl md:text-3xl lg:text-4xl grid gap-4 justify-items-center">Storie correlate</h2>
			</div>
			@include('partials.wrapper-storie-possibili', [
				'classes_wrapper' => 'grid grid-cols-2 lg:grid-cols-4 gap-6',
				'include' =>'card-storiepossibili',
				'area_visible' => false,
			])
		</div>
	</section>

  	<section class="n7-banner bg-white py-12 md:py-16">
		<div class="n7-container-xs grid md:items-center md:justify-center md:text-center gap-6 md:gap-8">
			<h2 class="n7-heading-2" id="bannerLinkTitleblockId">
				Scopri le opportunità di Giovanisì per <strong><em>{{$storia_details['terms_corrente']}}</em></strong>
			</h2>
			<div class="flex md:justify-center">
				<a href="{{get_archive_for_storie($storia_details['terms_corrente_slug'])}}" class="n7-btn n7-btn--primary" id="bannerLinkCtablockId" aria-labelledby="bannerLinkCtablockId bannerLinkTitleblockId">
					Vedi tutto
				</a>
			</div>
		</div>
  	</section>
@endif