@php
$send_email = get_field('send_email', 'options-general');
$send_message = get_field('send_message', 'options-general');
$numeroverde = get_field('numero_verde', 'options-general');
$linkbottonenewsletter = get_field('link_bottone_newsletter', 'options-general');
@endphp

<div class="n7-footer__bottom-bar border-t n7-border-gray-01 md:px-5 py-6">   
    <div class="n7-container grid gap-6 md:flex items-center md:justify-between flex-wrap">
        <div class="n7-footer__bottom-bar-left grid lg:flex gap-8 lg:gap-12">
            {{-- CONTATTO TELEFONICO --}}
            @if(!empty($numeroverde) && isset($numeroverde))
                <a href="tel:{{$numeroverde}}" class="flex items-center hover:underline gap-2 text-intense-light-green leading-none">
                    <svg class="inline-block align-middle fill-current w-9 h-9" aria-hidden="true" focusable="false" role="img">
                        <use xlink:href="{{ asset('images/icons.svg')}}#mini--phone"></use>
                    </svg>
                    <span class="grid">
                        <span>{{str_replace('+39', '', $numeroverde)}}</span>
                        <span>Numero verde</span>
                    </span>
                </a>
            @endif

            {{-- CONTATTI FOOTER --}}
            <div class="n7-contact-block grid gap-1 md:flex md:items-center md:gap-6">
                @if((!empty($send_email) && isset($send_email)) || (!empty($send_message) && isset($send_message)))
                    <h2 id="socialMessageLabelId">Scrivici</h2>
                    <ul id="footerMessaging" class="flex items-center gap-4 lg:gap-6 p-2 lg:p-0" aria-labelledby="socialMessageLabelId">
                        <li class="flex items-center">
                            <a href="mailto: @if(!empty($send_email) && isset($send_email)) {{$send_email}} @endif" class="n7-link p-2 xl:p-1 text-2xl text-white hover:bg-white focus:text-white hover:rounded-lg">
                                <span class="sr-only">Invia un'Email</span>
                                <svg class="inline-block align-middle fill-current w-8 h-8 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                    <use xlink:href="{{ asset('images/icons.svg')}}#solid--envelope-open"></use>
                                </svg>
                            </a>
                        </li>
                        <li class="flex items-center">
                            <a href="@if(!empty($send_message) && isset($send_message)) {{$send_message}} @endif" class="n7-link p-2 xl:p-1 text-2xl text-white hover:bg-white focus:text-white hover:rounded-lg">
                                <span class="sr-only">Messenger</span>
                                <svg class="inline-block align-middle fill-current w-8 h-8 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                    <use xlink:href="{{ asset('images/icons.svg')}}#solid--messenger"></use>
                                </svg>

                            </a>
                        </li>
                    </ul>
                @endif
            </div>
        </div>
        
        {{-- FOOTER BOTTOM BAR CENTER CONTENT --}}
        <div class="n7-footer__bottom-bar-center flex">
            @if(!empty($linkbottonenewsletter) && isset($linkbottonenewsletter))
                <a href="{{$linkbottonenewsletter}}" class="n7-btn w-full md:w-auto n7-background-01 text-black hover:n7-background-05 hover:text-white">
                    Iscriviti alla newsletter
                </a>
            @endif
        </div>
    
        @include('partials.modules.socials')

    </div>
</div>

@php unset($send_email, $send_message, $numeroverde, $linkbottonenewsletter); @endphp