@php
$socials = get_field('socials', 'options-general');
@endphp

<!-- FOOTER BOTTOM BAR RIGHT CONTENT -->
<div class="n7-footer__bottom-bar-right md:w-full xl-min-w-480-min-h:w-[--social-width]">
    <!-- SOCIAL BLOCK -->
    @if(isset($socials) && !empty($socials))

        <div class="n7-social-block">
            <h2 class="sr-only" id="footerSocialLabel">Canali Social</h2>
            <ul id="footerSocial" class="flex flex-wrap justify-around md:justify-center items-center gap-2 md:gap-4 lg:gap-6" aria-labelledby="footerSocialLabel">
                @if(!empty($socials['instagram']))
                    <li class="flex items-center">
                        <a href="@if(!empty($socials['instagram']['url']) && isset($socials['instagram']['url'])) {{$socials['instagram']['url']}} @endif" target="_blank" class="n7-link p-1 xl:p-1 hover:rounded-lg text-2xl text-white hover:bg-white focus:text-white">
                            <span class="sr-only">Vai al profilo Instagram di Giovanisì</span>
                            <svg class="inline-block align-middle fill-current w-6 h-6 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                <use xlink:href="{{ asset('images/icons.svg')}}#solid--instagram"></use>
                            </svg>
                        </a>
                    </li>
                @endif
                @if(!empty($socials['tik_tok']))
                    <li class="flex items-center">
                        <a href="@if(!empty($socials['tik_tok']['url']) && isset($socials['tik_tok']['url'])) {{$socials['tik_tok']['url']}} @endif" target="_blank" class="n7-link p-1 xl:p-1 hover:rounded-lg text-2xl text-white hover:bg-white focus:text-white">
                            <span class="sr-only">Vai al canale TikTok di Giovanisì</span>
                            <svg class="inline-block align-middle fill-current w-6 h-6 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                <use xlink:href="{{ asset('images/icons.svg')}}#solid--tik-tok"></use>
                            </svg>
                        </a>
                    </li>
                @endif
                @if(!empty($socials['youtube']))
                    <li class="flex items-center">
                        <a href="@if(!empty($socials['youtube']['url']) && isset($socials['youtube']['url'])) {{$socials['youtube']['url']}} @endif" target="_blank" class="n7-link p-1 xl:p-1 hover:rounded-lg text-2xl text-white hover:bg-white focus:text-white">
                            <span class="sr-only">Vai al canale YouTube di Giovanisì</span>
                            <svg class="inline-block align-middle fill-current w-6 h-6 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                <use xlink:href="{{ asset('images/icons.svg')}}#solid--youtube"></use>
                            </svg>
                        </a>
                    </li>
                @endif
                @if(!empty($socials['facebook']))
                    <li class="flex items-center">
                        <a href="@if(!empty($socials['facebook']['url']) && isset($socials['facebook']['url'])) {{$socials['facebook']['url']}} @endif" target="_blank" class="n7-link p-1 xl:p-1 hover:rounded-lg text-2xl text-white hover:bg-white focus:text-white">
                            <span class="sr-only">Vai al profilo Facebook di Giovanisì </span>
                            <svg class="inline-block align-middle fill-current w-6 h-6 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                <use xlink:href="{{ asset('images/icons.svg')}}#solid--facebook"></use>
                            </svg>
                        </a>
                    </li>
                @endif
                @if(!empty($socials['x']))
                    <li class="flex items-center">
                        <a href="@if(!empty($socials['x']['url']) && isset($socials['x']['url'])) {{$socials['x']['url']}} @endif" target="_blank" class="n7-link p-1 xl:p-1 hover:rounded-lg text-2xl text-white hover:bg-white focus:text-white">
                            <span class="sr-only">Vai al profilo X di Giovanisì</span>
                            <svg class="inline-block align-middle fill-current w-6 h-6 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                <use xlink:href="{{ asset('images/icons.svg')}}#solid--x"></use>
                            </svg>

                        </a>
                    </li>
                @endif
                @if(!empty($socials['telegram']))
                    <li class="flex items-center">
                        <a href="@if(!empty($socials['telegram']['url']) && isset($socials['telegram']['url'])) {{$socials['telegram']['url']}} @endif" target="_blank" class="n7-link p-1 xl:p-1 hover:rounded-lg text-2xl text-white hover:bg-white focus:text-white">
                            <span class="sr-only">Vai al canale Telegram di Giovanisì</span>
                            <svg class="inline-block align-middle fill-current w-6 h-6 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                <use xlink:href="{{ asset('images/icons.svg')}}#solid--telegram"></use>
                            </svg>

                        </a>
                    </li>
                @endif
                @if(!empty($socials['threads']))
                    <li class="flex items-center">
                        <a href="@if(!empty($socials['threads']['url']) && isset($socials['threads']['url'])) {{$socials['threads']['url']}} @endif" target="_blank" class="n7-link p-1 xl:p-1 hover:rounded-lg text-2xl text-white hover:bg-white focus:text-white">
                            <span class="sr-only">Vai al canale Threads di Giovanisì</span>
                            <svg class="inline-block align-middle fill-current w-6 h-6 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                <use xlink:href="{{ asset('images/icons.svg')}}#threads"></use>
                            </svg>

                        </a>
                    </li>
                @endif
                @if(!empty($socials['linkedin']))
                    <li class="flex items-center">
                        <a href="@if(!empty($socials['linkedin']['url']) && isset($socials['linkedin']['url'])) {{$socials['linkedin']['url']}} @endif" target="_blank" class="n7-link p-1 xl:p-1 hover:rounded-lg text-2xl text-white hover:bg-white focus:text-white">
                            <span class="sr-only">Vai al profilo LinkedIn di Giovanisì </span>
                            <svg class="inline-block align-middle fill-current w-6 h-6 lg:w-1e lg:h-1e" aria-hidden="true" focusable="false" role="img">
                                <use xlink:href="{{ asset('images/icons.svg')}}#solid--linkedin"></use>
                            </svg>
                        </a>
                    </li>
                @endif
            </ul>
        </div>
    @endif
</div>

@php unset($socials); @endphp