@php
$iscrizione_newsletter_link = get_field('link_bottone_newsletter', 'options-general');
$mailto_header = get_field('send_email', 'options-general');
$message_header = get_field('send_message', 'options-general');
@endphp

@if(isset($iscrizione_newsletter_link) && !empty($iscrizione_newsletter_link))
    <a href="{{$iscrizione_newsletter_link}}" class="n7-link justify-center w-full xl:w-auto xl:mr-8 px-4 py-2 n7-header-link-right border border-black rounded-sm shadow-red-outline -skew-x-15 text-black hover:n7-content-primary group">
        <span class="block skew-x-15 italic font-extrabold">
            Iscriviti alla <span class="n7-link-primary">newsletter</span>
        </span>
    </a>
@endif

<!-- CONTATTI HEADER -->
<ul id="headerSocial" class="n7-header-contacts flex items-center gap-4 xl:gap-6 p-2 xl:py-0 xl:px-4">
    @if(isset($mailto_header) && !empty($mailto_header)) 
        <li class="n7-header-contacts__item flex items-center">
            <a href="mailto: {{$mailto_header}}" class="n7-link p-2 xl:p-1 text-2xl text-black hover:n7-button-secondary-hover hover:text-white hover:rounded-lg">
                <span class="sr-only">Contattaci via email</span>
                <svg class="inline-block align-middle fill-current w-8 h-8 xl:w-1e xl:h-1e" aria-hidden="true" focusable="false" role="img">
                    <use xlink:href="{{ asset('images/icons.svg') }}#solid--envelope-open"></use>
                </svg>
            </a>
        </li>
    @endif 
    @if(isset($message_header) && !empty($message_header))
        <li class="flex items-center">
            <a href="{{$message_header}}" class="n7-link p-2 xl:p-1 text-2xl text-black hover:n7-button-secondary-hover hover:text-white hover:rounded-lg">
                <span class="sr-only">Contattaci via messenger</span>
                <svg class="inline-block align-middle fill-current w-8 h-8 xl:w-1e xl:h-1e" aria-hidden="true" focusable="false" role="img">
                    <use xlink:href="{{ asset('images/icons.svg') }}#solid--messenger"></use>
                </svg>
            </a>
        </li>
    @endif
</ul>

@php unset($iscrizione_newsletter_link, $mailto_header, $message_header);@endphp