<?php 
// csp-report-endpoint.php

// Verifica che la richiesta sia POST
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    http_response_code(405); // Metodo non consentito
    exit;
}

// Legge il corpo della richiesta
$report = file_get_contents('php://input');

// Verifica che il report non sia vuoto
if (empty($report)) {
    http_response_code(400); // Richiesta non valida
    exit;
}

// Sanitizza il report per prevenire iniezioni
$report = filter_var($report, FILTER_SANITIZE_STRING);

// Percorso del file di log
$logFile = '/var/log/csp-reports.log';

// Aggiungi il rapporto CSP al file di log
file_put_contents($logFile, $report . PHP_EOL, FILE_APPEND | LOCK_EX);

// Rispondi con successo
http_response_code(204);
exit;
